2007-08-13  Christian Persch  <chpe@gnome.org>

	=== Release 2.19.90 ===

	* Makefile.am:
	* configure.ac:
	A data/Makefile.am:
	A data/icons/Makefile.am:
	* extensions/rss/Makefile.am:
	R extensions/rss/icons/16x16/Makefile.am:
	R extensions/rss/icons/16x16/status/Makefile.am:
	R extensions/rss/icons/22x22/Makefile.am:
	R extensions/rss/icons/22x22/status/Makefile.am:
	R extensions/rss/icons/24x24/Makefile.am:
	R extensions/rss/icons/24x24/status/Makefile.am:
	R extensions/rss/icons/32x32/Makefile.am:
	R extensions/rss/icons/32x32/status/Makefile.am:
	R extensions/rss/icons/Makefile.am:
	R extensions/rss/icons/scalable/Makefile.am:
	R extensions/rss/icons/scalable/status/Makefile.am:
	R extensions/rss/icons/scalable/status/feed-presence.svg:

	Clean up icons installation rules.

2007-08-07  Sebastien Bacher  <seb128@ubuntu.com>

	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(load_scripts): don't break when the directory is not created
	(Closes: #437648)

2007-07-30  Christian Persch  <chpe@gnome.org>

	==== Release 2.19.6 ===

2007-07-21  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* extensions/sidebar/ephy-sidebar-extension.c:
	(remove_dialog_response_cb), (free_remove_data),
	(sidebar_page_remove_requested_cb), (extension_weak_notify_cb),
	(dialog_weak_notify_cb), (ephy_sidebar_extension_add_sidebar_cb):

	Show delete confirmation dialog in sidebar extension.
	Original patch by Wouter Bolsterlee, updated and
	improved by Cosimo Cecchi. Fixes bug #333301.

2007-07-15  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Add check for the required pygtk version.

2007-07-15  Christian Persch  <chpe@gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Use C++ casts. Script from bmo#348748.

2007-07-12  Sebastien Bacher  <seb128@ubuntu.com>

	reviewed by: Christian Persch  <chpe@gnome.org>

	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(load_scripts), (ephy_greasemonkey_extension_init): 
	commit change from Daniel Holbach <dholbach@ubuntu.com> 
	to "add a global greasmonkey directory" (#437648)

2007-07-11  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Update gtk req to 2.11.6.

	* extensions/adblock/ephy-adblock-extension.c: (update_statusbar),
	(destroy_statusbar_icon):
	* extensions/cc-license-viewer/cc-license-viewer.py:
	* extensions/rss/ephy-rss-extension.c:
	(ephy_rss_create_statusbar_icon),
	(ephy_rss_destroy_statusbar_icon):
	* extensions/sample-python/sample-python-statusbar.py:

	Port to new tooltips API.

2007-07-09  Christian Persch  <chpe@gnome.org>

	=== Release 2.19.5 ===

	* configure.ac:

2006-07-08  Jean-François Rameau  <jframeau@svn.gnome.org>

	* extensions/adblock/adblock-pattern.c:
	(adblock_pattern_get_filterg_date),
	(adblock_pattern_get_filtersetg_patterns),
	(adblock_pattern_get_filterg_patterns):

	Added support for new filterset.g update process.
	filterset.g now has static file pointing to last update (latest.txt).
	Added some checks to avoid crashes.

2007-06-12  Magnus Therning <mtherning@svn.gnome.org>

	* extensions/epilicious/magnolia.py: Adding compatibility with Python
	2.5 (location of ElementTree).

2007-06-07  Magnus Therning <mtherning@svn.gnome.org>

	* extensions/epilicious/DeliciousStore.py:
	* extensions/epilicious/EpiphanyStore.py:
	* extensions/epilicious/Makefile.am:
	* extensions/epilicious/__init__.py:
	* extensions/epilicious/backend.py:
	* extensions/epilicious/config.py:
	* extensions/epilicious/delicious.py:
	* extensions/epilicious/epilicious-config.glade:
	* extensions/epilicious/epilicious-progress.glade:
	* extensions/epilicious/epilicious.py.in:
	* extensions/epilicious/epilicious.schemas.in:
	* extensions/epilicious/magnolia.py:
	* extensions/epilicious/progress.py:
	Major update to epilicious, including adding support for ma.gnolia as
	a backend store for bookmarks.

2007-05-16  Christian Persch  <chpe@gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(show_extension_info): Fix about dialogue for the change in gtk+ 
	bug #345822.

2007-05-13  Reinout van Schouwen <reinouts@gnome.org>

	=== Release 2.19.2 ===

	* configure.ac:

	Set version to 2.19.2.

2007-04-22  Magnus Therning <mtherning@svn.gnome.org>

	* extensions/epilicious/epilicious.ephy-extension.in:
	* extensions/epilicious/progress.py:
	* extensions/epilicious/config.py:
	* extensions/epilicious/epilicious.py.in:
	* extensions/epilicious/Makefile.am:
	Localisation issues in epilicious; bug #425304

2007-03-16  Loic Minier  <lool@svn.gnome.org>

	* extensions/epilicious/epilicious.py.in:
	Explicitely import all needed functions; fixes SyntaxWarning: import *
	only allowed at module level; bug #418164.

2007-03-14  Christian Persch  <chpe@gnome.org>

	* extensions/epilicious/Makefile.am:

	Don't distribute the generated epilicious.py file, and regenerate the
	file when Makefile changes. Should fix bug #418041.

2007-03-11  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Bump version to 2.19.

2007-03-11  Christian Persch  <chpe@gnome.org>

	=== Release 2.18.0 ===

	* extensions/adblock/ephy-adblock-extension.c:

	Remove unused function.

2007-03-11  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Set version to 2.18.0.

2007-03-03  Benjamin Berg  <benjamin@sipsolutions.net>

	* extensions/adblock/ad-blocker.c:
	* extensions/adblock/ad-blocker.h:
	* extensions/adblock/ephy-adblock-extension.c:

	Reload the page with ads on mouse click. Fixes Bug #348331.

	* extensions/page-info/page-info-dialog.c:

	Some modifications needed due to the API change for above fix.

2007-03-02  Christian Persch  <chpe@svn.gnome.org>

	* extensions/epilicious/Makefile.am:

	More distcheck fixes.

2007-03-01  Christian Persch  <chpe@svn.gnome.org>

	* extensions/epilicious/Makefile.am:
	* po/POTFILES.in:

	Try to fix distcheck.

2007-02-28  Christian Persch  <chpe@svn.gnome.org>

	* extensions/cc-license-viewer/cc-license-viewer.ephy-extension.in:

	Don't mark Author for translation. Bug #412924.

2006-02-13  Jean-François Rameau  <jframeau@svn.gnome.org>

	* configure.ac

	Enable adblock by default.

2006-02-05  Jean-François Rameau  <jframeau@svn.gnome.org>

	* configure.ac
	* po/POTFILES.in
	* AUTHORS

	A extensions/epilicious/BaseStore.py
	A extensions/epilicious/DeliciousStore.py
	A extensions/epilicious/EpiphanyStore.py
	A extensions/epilicious/Makefile.am
	A extensions/epilicious/THOUGHTS
	A extensions/epilicious/TODO
	A extensions/epilicious/__init__.py
	A extensions/epilicious/config.py
	A extensions/epilicious/delicious.py
	A extensions/epilicious/epilicious-config.glade
	A extensions/epilicious/epilicious-progress.glade
	A extensions/epilicious/epilicious.ephy-extension.in
	A extensions/epilicious/epilicious.py.in
	A extensions/epilicious/epilicious.schemas.in
	A extensions/epilicious/progress.py

	Epilicious is an extension that lets you synchronise your local 
	bookmarks with the bookmarks in a Delicious account.

	Patch from Magnus Therning.

	Fix bug #352082.

2006-01-28  Jean-François Rameau  <jframeau@svn.gnome.org>

	* extensions/page-info/page-info-dialog.c: (media_treeview_selection_changed_cb):

	Media displays in the embed, or not at all, but no downloads. Add a 
	veto to download workflow. Fix #342951.

2006-01-20  Jean-François Rameau  <jframeau@svn.gnome.org>

	* extensions/page-info/page-info-dialog.c: (links_info_page_fill),
	(media_info_page_filter):

	Page Info lists blocked links first. Fix #397554.

	* extensions/page-info/page-info-dialog.c: (mozilla_embed_type_to_string):
	* extensions/page-info/mozilla/mozilla-helpers.cpp: (WalkTree):
	* extensions/page-info/mozilla/mozilla-helpers.h:

	Page Info distinguishes between regular images and background images.
	Fix part of #342951.

2006-01-20  Jean-François Rameau  <jframeau@svn.gnome.org>

	* extensions/adblock/adblock-ui.c:
	* extensions/adblock/adblock.glade:
	
	Better layout (pb with some paddings).
	Delete buttons on the right side of the treeview.
	Patterns in the lists are editable (no more apply button).

2006-01-13  Jean-François Rameau  <jframeau@svn.gnome.org>

	* extensions/adblock/ephy-adblock-extension.c: (ephy_adblock_extension_init):

	Bad path used to ensure adblock's data directory. 
	Fix bug #395763.

2007-01-09  Luca Ferretti  <elle.uca@libero.it>

	* extensions/rss/icons/22x22/status/Makefile.am:
	* extensions/rss/icons/24x24/status/Makefile.am:
	* extensions/rss/icons/32x32/status/Makefile.am:
	* extensions/rss/icons/scalable/status/Makefile.am:

	Fix the installation path (.../icons/hicolor, not
	.../icons/icons/hicolor).

2007-01-09  Luca Ferretti  <elle.uca@libero.it>

	* help/C/epiphany-extensions.xml:
	Add <abstract role="description"> and <revhistory> needed to
	fix the build. Maybe someone should review them.

2007-01-09  Luca Ferretti  <elle.uca@libero.it>

	* extensions/rss/icons/24x24/Makefile.am:
	Add missing file

	* help/C/epiphany-extensions.xml:
	Add role="maintainer" in <publisher> needed by recent
	gnome-doc-utils.

2007-01-09  Luca Ferretti  <elle.uca@libero.it>

	* configure.in:

	Depend on epiphany 2.17.5 to use new icondir variable from
	pkg-config file; use this value to set EPIPHANY_ICONDIR to
	install images for new named icon; add new directories to
	AC_CONFIG_FILES

	* extensions/rss/icons/*/feed-presence.*:
	* extensions/rss/icons/*/Makefile.am:
	* extensions/rss/Makefile.am

	Add images to install for "feed-presence" named icon
	(from Andreas Nilsson based on common shape from
	http://feedicons.com but using Tango style and GPL licence).

	* extensions/rss/ephy-rss-extension.c:

	Replace STOCK_ICON with FEED_ICON to use new "feed-presence"
	named icon.
	
2006-01-07  Jean-François Rameau  <jframeau@svn.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c: (build_ui):

	Makes extension dialog easier to read.

2007-01-03  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* extensions/rss/rss-ui.glade:
	* extensions/error-viewer/error-viewer.ephy-extension.in.in:

	Minor translation fix. Patch by Gabor Kelemen.

2006-12-31  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* extensions/rss/ephy-rss-extension.c:

	Removes the now useless GtkFrame.

2006-12-31  Christian Persch  <chpe@svn.gnome.org>

	* extensions/error-viewer/sgml-validator.c:
	(save_source_completed_cb):

	Assert the threads are initialised; we cannot init them
	at this late time.

2006-12-31  Priit Laes  <plaes@svn.gnome.org>

	* extensions/adblock/adblock.glade:
	
	Use gtk-refresh icon instead of gtk-save for reload button.

2006-12-23  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/sample-mozilla/mozilla/mozilla-sample.cpp: (mozilla_do_something):

	Fix incorrect cast. dom_event parameter is nsIDOMEvent, not nsIDOMMouseEvent.
	Bug #357052.

2006-12-22  Priit Laes  <plaes@cvs.gnome.org>

	* help/C/epiphany-extensions.xml:
	
	Correct path for Greasemonkey user script in manual.
	Closes bug #388181.

2006-12-19  Priit Laes  <plaes@cvs.gnome.org>

	* extensions/favicon/favicon.py:

	Fix DeprecationWarning (Python enchancement proposal 0263). 
	Closes bug #387421.

2006-12-17  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-12-17  Jean-François Rameau  <jframeau@cvs.gnome.org>

	=== Release 2.17.4 ===

	* configure.ac:

2006-12-17  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:

	Add a column so one can see if a media/link has been blocked (if Adblock extension is on).
	Page info dialog can now be opened when clicking on the Adblock icon.

2006-12-17  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/adblock/Makefile.am:
	* extensions/adblock/ad-uri-tester.c:
	* extensions/adblock/ad-uri-tester.h:
	* extensions/adblock/ephy-adblock-extension.c:
	* extensions/adblock/extension.c:
	A extensions/adblock/adblock-ui.h
	A extensions/adblock/adblock-ui.c
	A extensions/adblock/adblock.glade

	Add an UI to Adblock extension.	

2006-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/Makefile.am:
	* extensions/page-info/mozilla/PageInfoPrivate.cpp:

	Fix for mozilla API change.

	* m4/gecko.m4:

	Updated.

2006-12-07  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/smart-bookmarks/Makefile.am:
	* po/POTFILES.in:
	A extensions/smart-bookmarks/smart-bookmarks.schemas.in

	Add gconf schemas to smart-bookmarks extension.

2006-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/ephy-adblock-extension.c:
	(create_statusbar_icon):

	Don't crash when we can't load the adblock icon.

2006-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/ephy-adblock-extension.c: (update_statusbar),
	(create_statusbar_icon), (destroy_statusbar_icon),
	(switch_page_cb):

	Remove frame around the adblock icon, to make it look like the other
	items. From bug #368759.

2006-12-02  Reinout van Schouwen <reinouts@cvs.gnome.org>

	* configure.ac:
	Update version to 2.17.3.90	

2006-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Add -lxpcomglue_s to EXTRA_LIBS on trunk.

2006-11-24  Mart Raudsepp  <mraudsepp@cvs.gnome.org>

	* configure.ac:

	Update list of extensions in configure help. Fixes bug #377295.

2006-10-30  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/livehttpheaders/mozilla/LiveHTTPHeadersListener.cpp:
	(LiveHTTPHeadersListener::Observe):

	Don't use free'd string. Fix #367468.

2006-10-10  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* extensions/cc-license-viewer/Makefile.am:

	Fix last commit.

2006-10-10  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/cc-license-viewer/cc-license-viewer.py:
	* extensions/cc-license-viewer/cc-license-viewer.ephy-extension.in:

	New extension. Shows the Creative Commons license of the current website if available.
	Created by Jaime Frutos Morales <acidborg@gmail.com>
	
2006-10-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension.c:

	Fix Actions menu accelerator overlapping with "Select All".
	Bug #358721.

2006-09-06  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/link-checker.c:
	(link_checker_register_type), (link_checker_class_init):
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:
	* extensions/error-viewer/mozilla/register-listener.cpp:

	No need to register a factory for the observer, just instantiate the
	class directly.

2006-09-06 Christian Persch  <chpe@cvs.gnome.org>

	* *.c *.cpp:

	Remove some unnecessary static data.

2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Use Epiphany 2.17.

2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.16.0 ===

	* configure.ac:

2006-09-03  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:

	Fix varargs.
	
	* m4/gecko.m4:

	Sync with epiphany.

2006-08-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-08-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	=== Release 2.15.2 ===

	* configure.ac:

2006-08-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* po/POTFILES.in:
	* po/POTFILES.skip:

	Remove dashboard from translation.

2006-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window), (impl_detach_window),
	(ephy_certificates_extension_iface_init):

	Remove parts which are now in Epiphany.

2006-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Don't distribute dashboard and imagebar extensions, they're just too
	broken. Bug #348440.

2006-07-22  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* include/Makefile.am:

	Remove eggtrayicon.h (doesn't exist anymore).

	* extensions/livehttpheaders/Makefile.am:

	Fix typo.

2006-07-16  Christian Persch  <chpe@cvs.gnome.org>

	* include/EphyUtils.h:
	* include/eggtrayicon.h:
	* include/ephy-gui.h:

	Sync with epiphany.

2006-07-12  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* README:
	* configure.ac:
	* extensions/livehttpheaders/ephy-livehttpheaders-extension.c:
	* extensions/livehttpheaders/ephy-livehttpheaders-extension.h:
	* extensions/livehttpheaders/extension.c:
	* extensions/livehttpheaders/livehttpheaders.ephy-extension.in.in:
	* extensions/livehttpheaders/livehttpheaders-ui.c:
	* extensions/livehttpheaders/livehttpheaders-ui.h:
	* extensions/livehttpheaders/livehttpheaders-ui.glade:
	* extensions/livehttpheaders/Makefile.am:
	* extensions/livehttpheaders/mozilla/LiveHTTPHeadersListener.cpp:
	* extensions/livehttpheaders/mozilla/LiveHTTPHeadersListener.h:
	* extensions/livehttpheaders/mozilla/mozilla-helper.cpp:
	* extensions/livehttpheaders/mozilla/mozilla-helper.h:
	* extensions/livehttpheaders/mozilla/Makefile.am:

	New Live HTTP Headers extension.

2006-07-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/rss/ephy-rss-extension.c: (impl_attach_window):
	* extensions/greasemonkey/ephy-greasemonkey-extension.c: (impl_attach_window):

	Some clean up since EphyImageLinkPopup doesn't exist anymore.

2006-06-28  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac:
	
	Configure now prints a summary of enabled/disabled features as for
	Epiphany. Bug 345908.

2006-05-17  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/adblock/ad-blocker.c:
	* extensions/adblock/ad-blocker.h:
	* extensions/adblock/ephy-adblock-extension.c:

	Code cleanup. AdBlocker doesn't depend on AdUriTester anymore.

2006-05-17  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* extensions/sidebar/ephy-sidebar-extension.c:
	(ephy_sidebar_extension_add_sidebar_cb):

	Show a notification dialog when a duplicate sidebar is
	added. Fixes bug #333306.

2006-05-16  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/smart-bookmarks/adblock-patterns:
	* extensions/smart-bookmarks/download-latest.pl:

	Update from upstream (2006-04-06a).
	Adjust url to http://www.pierceive.com/filtersetg/ in download-latest.pl.

2006-05-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:
	* po/LINGUAS:

	Update intltool requirement to 0.35, and sync gecko.m4 with epiphany.

2006-05-14  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/smart-bookmarks/smart-bookmarks-extension.c: (rebuild_ui):

	Remove all references to EphyFullscreenDocumentPopup which has been removed
	from Epiphany's ui from a while.

2006-05-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Non-toolkit geckos aren't supported anymore.

2006-05-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.h:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.h:
	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/error-viewer/mozilla/mozilla-helpers.cpp:
	* extensions/error-viewer/mozilla/mozilla-helpers.h:
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:
	* extensions/error-viewer/mozilla/mozilla-link-checker.h:
	* extensions/error-viewer/mozilla/register-listener.cpp:
	* extensions/error-viewer/opensp/validate.cpp:
	* extensions/error-viewer/opensp/validate.h:
	* extensions/greasemonkey/mozilla/mozilla-helpers.cpp:
	* extensions/greasemonkey/mozilla/mozilla-helpers.h:
	* extensions/imagebar/mozilla-event.cpp:
	* extensions/imagebar/mozilla-event.h:
	* extensions/java-console/mozilla/java-console.cpp:
	* extensions/page-info/mozilla/PageInfoPrivate.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/sample-mozilla/mozilla/mozilla-sample.cpp:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:
	* extensions/smart-bookmarks/mozilla/mozilla-selection.cpp:
	* extensions/smart-bookmarks/mozilla/mozilla-selection.h:
	* m4/gecko.m4:

	Drop support for gecko 1.7, and remove MOZILLA_INTERNA_API usage.
	Should fix compilation with gecko trunk once epiphany compiles against
	it again.

2006-04-24  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-04-24  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.15.1 ===

	* Makefile.am:

	Fix distcheck.

	* configure.ac:

	Updated for 2.15.1. Remove tabsmenu extension, since it doesn't work
	with new notebook code, and shouldn't be used anyway because of the
	gecko bug.

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(ephy_bookmarks_tray_extension_init):
	* extensions/sidebar/ephy-sidebar-extension.c:
	(impl_attach_window):
	* extensions/sidebar/ephy-sidebar.c: (ephy_sidebar_init):

	Fix build with GTK_DISABLE_DEPRECATED.

	* po/POTFILES.in:
	* po/POTFILES.skip:

	Remove tabsmenu extension files from POTFILES.in.

2006-04-10  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_grab_notify_cb):
	* extensions/gestures/ephy-gesture.c: (grab_notify_cb):
	* extensions/push-scroller/ephy-push-scroller.c:
	(ephy_push_scroller_grab_notify_cb):

	Only ungrab if we were grabbed. Should work around breakage with gtk+
	2.8.17.

2006-04-09  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:
	* include/ephy-gui.h:

	Update from Epiphany.

	* extensions/actions/actions-editor.glade:
	* extensions/actions/ephy-actions-extension-editor-dialog.c:
	(ephy_actions_extension_editor_dialog_response_cb):
	* extensions/certificates/ephy-certificates-extension.c:
	(manage_certificates_cb), (manage_devices_cb):
	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.c: (help_cb), (impl_attach_window), (impl_detach_window):
	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(extensions_manager_ui_response_cb):

	Add help to some extensions.

2006-04-04  Christian Persch  <chpe@cvs.gnome.org>

	* .cvsignore:
	* Makefile.am:
	* configure.ac:

	Use gnome doc utils.

	* help/.cvsignore:
	* help/C/epiphany-extensions.xml:
	* help/C/figures/epi-ext-action-create.png:
	* help/C/figures/epi-ext-actions-use.png:
	* help/C/figures/epi-ext-adblocker.png:
	* help/C/figures/epi-ext-gestures-back.png:
	* help/C/figures/epi-ext-gestures-close-2.png:
	* help/C/figures/epi-ext-gestures-close.png:
	* help/C/figures/epi-ext-gestures-forward.png:
	* help/C/figures/epi-ext-gestures-fullscreen.png:
	* help/C/figures/epi-ext-gestures-homepage.png:
	* help/C/figures/epi-ext-gestures-new-tab.png:
	* help/C/figures/epi-ext-gestures-new-window.png:
	* help/C/figures/epi-ext-gestures-next-tab.png:
	* help/C/figures/epi-ext-gestures-prev-tab.png:
	* help/C/figures/epi-ext-gestures-reload.png:
	* help/C/figures/epi-ext-gestures-stop.png:
	* help/C/figures/epi-ext-gestures-up.png:
	* help/C/figures/epi-ext-gestures-view-source-2.png:
	* help/C/figures/epi-ext-gestures-view-source.png:
	* help/C/figures/epi-ext-sidebar.png:
	* help/C/figures/epi-ext-tabgroups.png:
	* help/C/legal.xml:
	* help/Makefile.am:
	* help/epiphany-extensions.omf.in:

	Add documentation for Epiphany Extensions, written by Baptiste
	Mille-Mathias.

2006-03-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	No need to check for nsIContentPolicy variants anymore.

2006-03-25  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	
	PageInfo extension crashes after it has been unloaded
	and when a Pageinfo dialog is currently displayed.
	Fix #335738.

	* extensions/tab-groups/ephy-tab-grouper.c:(ephy_tab_grouper_finalize):

	Missing code.
	
2006-03-25  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac:

	Typo.
	
2006-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/tab-groups/ephy-tab-grouper.c: (reset_last_tab),
	(notebook_page_added_cb), (ephy_tab_grouper_set_notebook),
	(ephy_tab_grouper_finalize):

	Port to gtk+ 2.9 notebook API.

2006-03-16  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/adblock.ephy-extension.in.in:

	No need to make this resident anymore.

	* extensions/adblock/ephy-adblock-extension.c:
	(destroy_statusbar_icon), (ensure_adblocker), (impl_detach_tab):

	Clean up on unload.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update after branching.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.14.0 ===

	* NEWS:
	* configure.ac:

	Update for 2.14.0.

	* m4/gecko.m4:

	Updated from Epiphany.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(show_extension_info):

	Add extensions About dialogue to the parent's window group.

2006-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(extensions_manager_ui_response_cb):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Fix Help button.

	* include/EphyUtils.h:
	* include/eel-gconf-extensions.h:
	* include/egg-editable-toolbar.h:
	* include/egg-toolbars-model.h:
	* include/ephy-debug.h:
	* include/ephy-dnd.h:
	* include/ephy-embed-dialog.h:
	* include/ephy-favicon-cache.h:
	* include/ephy-file-chooser.h:
	* include/ephy-file-helpers.h:
	* include/ephy-gui.h:
	* include/ephy-prefs.h:

	Updated from Epiphany.

2006-03-11  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* extensions/adblock/ephy-adblock-extension.c:
	
	We now ensure that a blocker is attached to any window.
	Prevent a critical when recovering a page from a previous crash (attach_tab
	is called after switch_tab signal and then no blocker is attached to that tab).
	
2006-03-05  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:(ephy_certificates_extension_finalize),
	(manage_certificates_cb),(manage_certificates_cb),(manage_devices_cb):
	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-extension.c:
	(display_cb):
	* extensions/permissions/ephy-permissions-extension.c: (ephy_permissions_extension_finalize),
	(manage_permissions_cb):
	* extensions/rss/ephy-rss-extension.c: (ephy_rss_dialog_display), (ephy_rss_extension_finalize):

	Fix gcc 4.1 warnings (dereferencing type-punned pointer will break strict-aliasing rules).	

2006-02-14  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* m4/gecko.m4:

	Updated from Epiphany.

2006-02-13  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac: 

	Post release version bump

2006-02-13  Crispin Flowerday  <gnome@flowerday.cx>

	=== Release 1.9.7 ===
	
	* NEWS:
	* configure.ac:

	Update for 1.9.7
	
2006-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(update_actions):

	Fix a compile warning

2006-02-07  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(store_extension), (active_sync):

	Sync the checkbox against the 'enabled' flag not the 'active'
	flag, so that failed extensions can be disabled.
	Fixes bug #164704

2006-02-07  Christian Persch  <chpe@cvs.gnome.org>

	* m4/epiphany.m4:

	Install a local copy of epiphany.m4.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Go back to AM_GLIB_GNU_GETTEXT for now, until
	intltool 0.34.2 is more widespread.

2006-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Updated from Epiphany.

	* configure.ac:
	A po/Makevars:
	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/page-info/mozilla/Makefile.am:
	* extensions/select-stylesheet/mozilla/Makefile.am:
	* extensions/smart-bookmarks/mozilla/Makefile.am:

	Use AM_GNU_GETTEXT, and build with xulrunner trunk.

2006-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove all bookmarks-tray references from configure; it's just
	broken and I don't foresee it being fixed for 1.10. Bug #325854.

2006-01-30  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac: 

	Post-release version bump.

2006-01-30  Crispin Flowerday  <gnome@flowerday.cx>

	=== Release 1.9.6 ===

	* NEWS:
	* configure.ac:

	Update for 1.9.6

2006-01-29  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/favicon/favicon.py (net_stop_cb): 

	If using gecko >= 1.8 then load favicons for https sites as well

2006-01-29  Reinout van Schouwen <reinout@cs.vu.nl>

        * NEWS: 1.9.6 release
        
2006-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	R extensions/net-monitor/.cvsignore:
	R extensions/net-monitor/Makefile.am:
	R extensions/net-monitor/ephy-net-monitor-extension.c:
	R extensions/net-monitor/ephy-net-monitor-extension.h:
	R extensions/net-monitor/extension.c:
	R extensions/net-monitor/net-monitor.ephy-extension.in.in:

	Net-monitor is now integrated into Epiphany; remove the extension.

2006-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/error-viewer/ephy-error-viewer-extension.c (update_actions): 

	Check that we have a content_type before calling strcmp() on it.
	Fixes bug #322082

2006-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/permissions/ephy-permissions-dialog.c:

	Update for EphyPermissionManager API change

2006-01-22  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(context_menu_cb):

	Fix the greasemonkey extension for the ephy_embed_event_get_property
	API change.

2006-01-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.c:
	Add ... to "Tools/Extensions" menu item

2006-01-18  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/net-monitor/ephy-net-monitor-extension.c:
	(ephy_net_monitor_network_status),(ephy_net_monitor_attach_to_dbus),
	(filter_func):

	Re-sync with NetworkManager.
	getActiveDevice method went away from NM so replace it with getDevices and so on.

	Errors form NM must be freed (dbus_error_free).

	We now includes constants from NetworkManager.h.

2006-01-18  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension.c: 
	(ephy_actions_extension_run_action_on_embed_property):
	* extensions/rss/ephy-rss-extension.c: (ephy_rss_feed_subscribe_cb),
	(ephy_rss_ge_context_cb):
	* extensions/sidebar/ephy-sidebar-embed.c: (show_context_menu),
	(save_property_url),(embed_mouse_click_cb):
	* extensions/sidebar/sidebar-commands.c: (save_property_url):

	Re-sync with Epiphany (ephy_embed_event_get_property)

2006-01-16  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac: 

	Post-release version bump.

2006-01-16  Crispin Flowerday  <gnome@flowerday.cx>

	=== Release 1.9.5 ===

	* configure.ac:

	Updated for 1.9.5.

2006-01-16  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/auto-reload/auto-reload.ephy-extension.in.in:

	Get the extension description file in the correct format.

2006-01-16  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/adblock/ephy-adblock-extension.c
	(ephy_adblock_extension_finalize): 

	Another build fix

2006-01-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* extensions/auto-reload/Makefile.am:
	* extensions/auto-reload/auto-reload.ephy-extension.in.in:
	* extensions/auto-reload/auto-reload.xml.in.in:
	* po/POTFILES.in:
	Build tools fixes, and translation files

2006-01-15 Christian Persch <chpe@cvs.gnome.org>
 
	* m4/gecko.m4:

	Updated from Epiphany: correct gecko version check
	if mozilla-config.h includes other files (multi-arch).

2006-01-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* extensions/auto-reload/.cvsignore:
	* extensions/auto-reload/Makefile.am:
	* extensions/auto-reload/auto-reload.xml.in.in:
	* extensions/auto-reload/ephy-auto-reload-extension.c:
	(ephy_auto_reload_extension_init),
	(ephy_auto_reload_extension_finalize),
	(ephy_auto_reload_remove_timeout), (ephy_auto_reload_create),
	(ephy_auto_reload_timeout), (ephy_auto_reload_activate_cb),
	(update_auto_reload_menu_cb), (impl_attach_window),
	(impl_detach_window), (impl_attach_tab), (impl_detach_tab),
	(ephy_auto_reload_extension_iface_init),
	(ephy_auto_reload_extension_class_init),
	(ephy_auto_reload_extension_get_type),
	(ephy_auto_reload_extension_register_type):
	* extensions/auto-reload/ephy-auto-reload-extension.h:
	* extensions/auto-reload/extension.c: (register_module):
	New Extension allowing to auto-reload a webpage automatically.
	For now it supports only every 3 minutes but can be improved to allow
	custom refresh intervals.

2006-01-13  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac:

	Forgot to remove mozilla directory when configuring adblock extension.
	
2006-01-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c: (media_info_page_construct),
	(links_info_page_construct), (forms_info_page_construct):

	Ellipsizes urls and set a maximum size to urls.

	Fix #171577.
	
2006-01-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/adblock/Makefile.am:
	* extensions/adblock/ad-blocker.c:
	* extensions/adblock/ad-blocker.h:
	* extensions/adblock/ad-uri-tester.h:
	* extensions/adblock/ephy-adblock-extension.c:
	R mozilla/

	Adblock extension now uses the new EphyAdblock interface from Epiphany core
	and listens to content-blocked signal from EphyContentPolicy.
	The Mozilla part has been removed since it is now Epiphany which controls
	content blocking through EphyContentPolicy component.
	
	Should fix #319561.
	
2006-01-06  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac:

	Remove some bonobo defines

2006-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-01-01  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.4 ===

	* NEWS:
	* configure.ac:

	Updated for 1.9.4.

	* extensions/imagebar/Makefile.am:
	* extensions/imagebar/ephy-imagebar-extension.c:
	(ephy_imagebar_extension_init):
	* extensions/imagebar/mozilla-event.cpp:

	Make it compile, plus extensive fixes.

2005-12-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* extensions/rss/rss-ui.c: (rss_ui_constructor):
	Fixes bug #324599, ellipsize the URL in the RSS extension dialog.

2005-12-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* extensions/rss/Makefile.am:
	* extensions/rss/rss-dbus.c:
	* extensions/rss/rss-dbus.h:
	* extensions/rss/rss-ui.c: (rss_ui_subscribe_selected),
	(rss_ui_init), (rss_ui_finalize):
	Fixes crash with newer dbuses.
	Only support dbus >0.3 from now on, using the new glib API

2005-12-22  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Fix for FC5.

2005-12-18  Kang Jeong-Hee  <Keizi@mail.co.kr>

	* extensions/imagebar/mozilla-event.*:

	Check parentNode is anchor or not, to work conditionally.

2005-12-18  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac

	Revert part of change made for imagebar (typo).

	* extensions/rss/rss-dbus.c: (rss_dbus_subscribe_feed):

	Fix compile warning (unused variable).

2005-12-17  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/imagebar/mozilla-event.cpp:

	Undefine MOZILLA_INTERNAL_API while including nsEmbedString

2005-12-17  Kang Jeong-Hee  <Keizi@mail.co.kr>

	* extensions/imagebar/:

	New extension Image Toolbar added. Many TODOs and FIXMEs.

2005-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Set Help button insensitive.

2005-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am: (EXTRA_DIST):

	Added ephy-extension.symbols.
	
2005-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.glade:

	Don't force error viewer to be above all windows.

2005-12-14  Christian Persch  <chpe@cvs.gnome.org>

	A ephy-extension.symbols:
	* extensions/actions/Makefile.am:
	* extensions/adblock/Makefile.am:
	* extensions/auto-scroller/Makefile.am:
	* extensions/bookmarks-tray/Makefile.am:
	* extensions/certificates/Makefile.am:
	* extensions/dashboard/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/extensions-manager-ui/Makefile.am:
	* extensions/gestures/Makefile.am:
	* extensions/greasemonkey/Makefile.am:
	* extensions/java-console/Makefile.am:
	* extensions/net-monitor/Makefile.am:
	* extensions/page-info/Makefile.am:
	* extensions/permissions/Makefile.am:
	* extensions/push-scroller/Makefile.am:
	* extensions/rss/Makefile.am:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample/Makefile.am:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/sidebar/Makefile.am:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/tab-groups/Makefile.am:
	* extensions/tab-states/Makefile.am:
	* extensions/tabsmenu/Makefile.am:
	* extensions/toolbar-extras/Makefile.am:

	Add -export-symbols to LDFLAGS, since we only need the
	"register_module" symbol exported.

2005-12-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-12-11  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.3 ===

	* NEWS:
	* configure.ac:

2005-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller-extension.c:
	* extensions/auto-scroller/ephy-auto-scroller.c:
	* extensions/push-scroller/ephy-push-scroller-extension.c:
	* extensions/push-scroller/ephy-push-scroller.c:

	Remove include of mozilla-helpers.h which doesn't exist anymore.

2005-12-07  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/action-properties.glade:
	* extensions/actions/actions-editor.glade:
	* extensions/error-viewer/error-viewer.glade:
	* extensions/page-info/page-info.glade:

	HIG fixes.

2005-12-07  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/java-console/java-console.ephy-extension.in.in:

	Mark the name and description for translation.

2005-12-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/auto-scroller/Makefile.am:
	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_timeout_cb):
	R extensions/auto-scroller/mozilla/.cvsignore:
	R extensions/auto-scroller/mozilla/Makefile.am:
	R extensions/auto-scroller/mozilla/mozilla-helpers.cpp:
	R extensions/auto-scroller/mozilla/mozilla-helpers.h:
	* extensions/push-scroller/Makefile.am:
	* extensions/push-scroller/ephy-push-scroller.c:
	(ephy_push_scroller_motion_cb):
	R extensions/push-scroller/mozilla/.cvsignore:
	R extensions/push-scroller/mozilla/Makefile.am:
	R extensions/push-scroller/mozilla/mozilla-helpers.cpp:
	R extensions/push-scroller/mozilla/mozilla-helpers.h:

	Use ephy_embed_scroll_pixels(), and remove the now unused
	mozilla helpers.

2005-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update default extensions list.

2005-12-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* action-properties.glade:
	* actions-editor.glade:
	* ephy-actions-extension-editor-dialog.c:
	* ephy-actions-extension-properties-dialog.c:

	Convert glade callbacks to normal callbacks.
	Fix bug #320257.

	* ephy-actions-extension.c:

	Update for the removal of the EphyImagePopup,
	EphyImageLinkPopup, EphyFramedDocumentPopup and
	EphyFullscreenFramedDocumentPopup popup menus.
	Fix bug #320552.

2005-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.c: (display_cb):
	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(show_extension_info), (extensions_manager_ui_init),
	(extensions_manager_ui_finalize):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Don't force the extensions manager window to be in front of all
	windows. Set window role.

	* extensions/java-console/mozilla/java-console.cpp:

	Fix compilation with gecko 1.8.

	* extensions/rss/rss-ui.c: (rss_ui_drag_data_get_cb):

	Fix signed/unsigned problem.

2005-11-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Suppress some C++ compiler warnings.

2005-11-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* m4/gecko.m4:

	Updated.

2005-11-27  Christian Persch  <chpe@cvs.gnome.org>

	* AUTHORS:
	* configure.ac:
	A extensions/java-console/.cvsignore:
	A extensions/java-console/Makefile.am:
	A extensions/java-console/ephy-java-console-extension.c:
	A extensions/java-console/ephy-java-console-extension.h:
	A extensions/java-console/java-console.c: 
	A extensions/java-console/java-console.ephy-extension.in.in:
	A extensions/java-console/mozilla/.cvsignore:
	A extensions/java-console/mozilla/Makefile.am:
	A extensions/java-console/mozilla/java-console.cpp:
	A extensions/java-console/mozilla/java-console.h:

	Add an extension to open the java console. Written by
	Mathias Hasselmann. Fixes bug #322576.

2005-11-23  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/adblock/mozilla/MozAdBlocker.cpp: (ShouldLoadURI):
	* extensions/adblock/mozilla/MozAdBlocker.h:
	* extensions/adblock/mozilla/mozilla-helpers.cpp: 
	(mozilla_register_ad_blocker), (mozilla_unregister_ad_blocker):

	Works around mozilla bug https://bugzilla.mozilla.org/show_bug.cgi?id=246092;
	fixes bug #319562.
	
2005-11-23  Christian Persch  <chpe@cvs.gnome.org>

	* AUTHORS:
	* Makefile.am:
	* configure.ac:
	A extensions/push-scroller/.cvsignore:
	A extensions/push-scroller/Makefile.am:
	A extensions/push-scroller/ephy-push-scroller-extension.c:
	A extensions/push-scroller/ephy-push-scroller-extension.h:
	A extensions/push-scroller/ephy-push-scroller.c:
	A extensions/push-scroller/ephy-push-scroller.h:
	A extensions/push-scroller/extension.c: 
	A extensions/push-scroller/mozilla/.cvsignore:
	A extensions/push-scroller/mozilla/Makefile.am:
	A extensions/push-scroller/mozilla/mozilla-helpers.cpp:
	A extensions/push-scroller/mozilla/mozilla-helpers.h:
	A extensions/push-scroller/push-scroller.ephy-extension.in.in:

	Add "Push Scroller" extension. Based on the Auto Scroller extension,
	modified by Samuel Abels. Bug #322275.

2005-11-18  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/permissions/ephy-permissions-dialog.c:
	(ephy_permissions_dialog_constructor):

	Set the window's type hint to NORMAL; else it stays in front
	of all windows.

2005-11-17  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/permissions/ephy-permissions-dialog.c: (fill_tab),
	(ephy_permissions_dialog_add_tab):

	Set the model's sort column only after filling it. Vastly improves
	delay when opening the permissions dialogue when you have many host
	entries.

2005-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Set ACLOCAL_AMFLAGS.

2005-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-11-12  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.2 ===

	* Makefile.am:

	Fix distcheck.

	* NEWS:
	* configure.ac:

	Updated for 1.9.2.

2005-11-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	A m4/gecko.m4:

	Use the gecko macro package from Epiphany.

2005-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/net-monitor/ephy-net-monitor-extension.c:
	(ephy_net_monitor_set_mode):

	Fix for Epiphany API change.

2005-11-05  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window):

	Remove custom free function for WindowData, and just don't
	store a ref to the action group.

2005-11-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Use tar-ustar instead of tar-pax to work with older tar's.
	Should fix bug #320011.

	A extensions/permissions/.cvsignore:
	A extensions/permissions/Makefile.am:
	A extensions/permissions/ephy-permissions-dialog.c:
	A extensions/permissions/ephy-permissions-dialog.h:
	A extensions/permissions/ephy-permissions-extension.c:
	A extensions/permissions/ephy-permissions-extension.h:
	A extensions/permissions/extension.c:
	A extensions/permissions/permissions.ephy-extension.in.in:

	Add Permissions extension.

2005-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sidebar/ephy-sidebar-embed.c: (show_context_menu):
	* extensions/sidebar/epiphany-sidebar-ui.xml:
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(rebuild_ui):

	Fix for removal of the Ephy*FramedDocumentPopup popup menus.

2005-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension-properties-dialog.c:
	(ephy_actions_extension_properties_dialog_update_title):
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:
	* extensions/error-viewer/opensp/validate.cpp:
	* extensions/error-viewer/sgml-validator.c: (opensp_thread),
	(check_doctype):
	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(save_source_completed_cb):
	* extensions/select-stylesheet/ephy-css-menu.c:
	(create_stylesheet_action):
	* extensions/sidebar/ephy-sidebar-extension.c:
	(ephy_sidebar_extension_add_sidebar_cb):
	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(add_action_and_menu_item):

	Use curly quotes.

2005-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.c: (response_cb),
	(build_ui), (error_viewer_finalize):
	* extensions/error-viewer/error-viewer.glade:
	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(build_ui):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:
	* extensions/page-info/page-info-dialog.c:
	(page_info_dialog_response_cb), (page_info_media_box_realize_cb),
	(media_info_page_construct), (page_info_dialog_constructor):
	* extensions/page-info/page-info.glade:
	* extensions/rss/rss-ui.c: (rss_ui_constructor):
	* extensions/rss/rss-ui.glade:

	Remove glade callbacks.

2005-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(ephy_certificates_extension_finalize), (manage_certificates_cb),
	(manage_devices_cb), (impl_attach_window):

	Add a menu item to open the Security Device Manager, and set
	the window roles of the cert and device managers.

2005-10-24  Philip Langdale  <philipl@mail.utexas.edu>

	* extensions/gestures/ephy-gesture.c
	* extensions/gestures/ephy-gesture.h
	 (ephy_gesture_activate), (ephy_gesture_do_activate_cb),
	 (ephy_gesture_init);
	* extensions/gestures/ephy-gestures-extension.c:
	 (gesture_performed_cb):
	Use a zero-timeout callback to activate actions linked to
	gestures. This prevents middle-click side effects which
	existed before but are now more obvious because more actions
	now have middle-click support.

2005-10-24  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-10-24  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.9.1 ===

	* NEWS:
	* configure.ac:

	Update for 1.9.1. Use tar-pax format because of overlong paths.

	* extensions/sidebar/Makefile.am:

	Dist the .in.in file.

2005-10-23  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(show_extension_info):

	Authors are from Authors key, not Name.

2005-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/adblock.ephy-extension.in.in:

	Make the module resident. Works around mozilla bug
	https://bugzilla.mozilla.org/show_bug.cgi?id=246092;
	fixes bug #170518.

2005-10-22  Philip Langdale  <philipl@mail.utexas.edu>

	* extensions/adblock/mozilla/Makefile.am
	* extensions/auto-scroller/mozilla/Makefile.am
	* extensions/error-viewer/mozilla/Makefile.am
	* extensions/page-info/mozilla/Makefile.am
	* extensions/select-stylesheet/mozilla/Makefile.am:
	Add extra mozilla includes to allow compilation against an
	uninstalled mozilla build.

2005-10-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(show_extension_info), (store_extension), (fill_list_store),
	(extension_added_cb), (extension_removed_cb):

	Adapt to changed ephy-extensions-manager API.

2005-10-10  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sidebar/ephy-sidebar-embed.c:
	(ephy_sidebar_embed_set_window):

	Fix gettext domain use.

2005-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tab-groups/ephy-tab-grouper.c:
	(ephy_tab_grouper_set_notebook):

	Fix tab-groups extension for changed EphyNotebook signal
	name.

2005-09-25  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* configure.ac: 
	
	Add rss extension to help section.

2005-09-24  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac: Use the EPIPHANY_EXTENSION_INIT
	macro.

2005-09-24  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	(impl_attach_window):

	Move Page Information menu item to View menu.
	Patch by Tommi Komulainen, fixes bug #316247.

2005-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* tools/copy-template:

	Adapt to new .ini files.

2005-09-23  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/actions/.cvsignore:
	* extensions/actions/Makefile.am:
	* extensions/actions/actions.ephy-extension.in.in:
	* extensions/actions/actions.xml.in.in:
	* extensions/adblock/.cvsignore:
	* extensions/adblock/Makefile.am:
	* extensions/adblock/adblock.ephy-extension.in.in:
	* extensions/adblock/adblock.xml.in.in:
	* extensions/auto-scroller/.cvsignore:
	* extensions/auto-scroller/Makefile.am:
	* extensions/auto-scroller/auto-scroller.ephy-extension.in.in:
	* extensions/auto-scroller/auto-scroller.xml.in.in:
	* extensions/bookmarks-tray/.cvsignore:
	* extensions/bookmarks-tray/Makefile.am:
	* extensions/bookmarks-tray/bookmarks-tray.ephy-extension.in.in:
	* extensions/bookmarks-tray/bookmarks-tray.xml.in.in:
	* extensions/certificates/.cvsignore:
	* extensions/certificates/Makefile.am:
	* extensions/certificates/certificates.ephy-extension.in.in:
	* extensions/certificates/certificates.xml.in.in:
	* extensions/dashboard/.cvsignore:
	* extensions/dashboard/Makefile.am:
	* extensions/dashboard/dashboard.ephy-extension.in.in:
	* extensions/dashboard/dashboard.xml.in.in:
	* extensions/error-viewer/.cvsignore:
	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/error-viewer.ephy-extension.in.in:
	* extensions/error-viewer/error-viewer.xml.in.in:
	* extensions/extensions-manager-ui/.cvsignore:
	* extensions/extensions-manager-ui/Makefile.am:
	* extensions/extensions-manager-ui/extensions-manager-ui.ephy-extension.in.in:
	* extensions/extensions-manager-ui/extensions-manager-ui.xml.in.in:
	* extensions/favicon/.cvsignore:
	* extensions/favicon/Makefile.am:
	* extensions/favicon/favicon.ephy-extension.in:
	* extensions/favicon/favicon.xml.in.in:
	* extensions/gestures/Makefile.am:
	* extensions/gestures/gestures.ephy-extension.in.in:
	* extensions/greasemonkey/.cvsignore:
	* extensions/greasemonkey/Makefile.am:
	* extensions/greasemonkey/greasemonkey.ephy-extension.in.in:
	* extensions/greasemonkey/greasemonkey.xml.in.in:
	* extensions/net-monitor/.cvsignore:
	* extensions/net-monitor/Makefile.am:
	* extensions/net-monitor/net-monitor.ephy-extension.in.in:
	* extensions/net-monitor/net-monitor.xml.in.in:
	* extensions/page-info/.cvsignore:
	* extensions/page-info/Makefile.am:
	* extensions/page-info/page-info.ephy-extension.in.in:
	* extensions/page-info/page-info.xml.in.in:
	* extensions/python-console/.cvsignore:
	* extensions/python-console/Makefile.am:
	* extensions/python-console/python-console.ephy-extension.in:
	* extensions/python-console/python-console.xml.in:
	* extensions/rss/.cvsignore:
	* extensions/rss/Makefile.am:
	* extensions/rss/rss.ephy-extension.in.in:
	* extensions/rss/rss.xml.in.in:
	* extensions/sample-mozilla/.cvsignore:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample-mozilla/sample-mozilla.ephy-extension.in.in:
	* extensions/sample-mozilla/sample-mozilla.xml.in.in:
	* extensions/sample-python/.cvsignore:
	* extensions/sample-python/Makefile.am:
	* extensions/sample-python/sample-python-location.ephy-extension.in:
	* extensions/sample-python/sample-python-location.xml.in:
	* extensions/sample-python/sample-python-menu.ephy-extension.in:
	* extensions/sample-python/sample-python-menu.xml.in:
	* extensions/sample-python/sample-python-statusbar.ephy-extension.in:
	* extensions/sample-python/sample-python-statusbar.xml.in:
	* extensions/sample-python/sample-python.ephy-extension.in:
	* extensions/sample-python/sample-python.xml.in:
	* extensions/sample/.cvsignore:
	* extensions/sample/Makefile.am:
	* extensions/sample/sample.ephy-extension.in.in:
	* extensions/sample/sample.xml.in.in:
	* extensions/select-stylesheet/.cvsignore:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/select-stylesheet/select-stylesheet.ephy-extension.in.in:
	* extensions/select-stylesheet/select-stylesheet.xml.in.in:
	* extensions/sidebar/.cvsignore:
	* extensions/sidebar/Makefile.am:
	* extensions/sidebar/sidebar.ephy-extension.in.in:
	* extensions/sidebar/sidebar.xml.in.in:
	* extensions/smart-bookmarks/.cvsignore:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/smart-bookmarks/smart-bookmarks.ephy-extension.in.in:
	* extensions/smart-bookmarks/smart-bookmarks.xml.in.in:
	* extensions/tab-groups/.cvsignore:
	* extensions/tab-groups/Makefile.am:
	* extensions/tab-groups/tab-groups.ephy-extension.in.in:
	* extensions/tab-groups/tab-groups.xml.in.in:
	* extensions/tab-states/.cvsignore:
	* extensions/tab-states/Makefile.am:
	* extensions/tab-states/tab-states.ephy-extension.in.in:
	* extensions/tab-states/tab-states.xml.in.in:
	* extensions/tabsmenu/.cvsignore:
	* extensions/tabsmenu/Makefile.am:
	* extensions/tabsmenu/tabsmenu.ephy-extension.in.in:
	* extensions/tabsmenu/tabsmenu.xml.in.in:
	* extensions/toolbar-extras/.cvsignore:
	* extensions/toolbar-extras/Makefile.am:
	* extensions/toolbar-extras/toolbar-extras.ephy-extension.in.in:
	* extensions/toolbar-extras/toolbar-extras.xml.in.in:

	Port the rest of the extensions to the new .ephy-extension file
	format. Patch from Gustavo Gama, adapted with some changes.

2005-09-23  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac:
	* extensions/gestures/.cvsignore:
	* extensions/gestures/Makefile.am:
	* extensions/gestures/gestures.ephy-extension.in.in:
	* extensions/gestures/gestures.xml.in.in:

	Port the gestures extension to the new .ephy-extensions
	file format.

2005-09-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/rss/ephy-rss-extension.c:
	(ephy_rss_feed_subscribe_cb):
	* extensions/sidebar/ephy-sidebar-embed.c:
	(embed_popup_deactivate_cb), (show_context_menu):
	* extensions/sidebar/sidebar-commands.c: (save_property_url):

	Fix context events to use ephy_window_get_context_event instead
	of the old method.
	Fix sidebar context menu setting of the context event, and
	menu deactivation.

2005-09-18  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* extensions/actions/ephy-actions-extension.c:
	(ephy_actions_extension_run_action_on_embed_property):

	Use public function ephy_window_get_context_event() to get the
	EphyEmbedEvent for the current popup menu, instead of using an
	undocument g_object_get_data() call.

2005-09-09  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* extensions/smart-bookmarks/mozilla/mozilla-selection.cpp: (mozilla_get_selected_text):

	Avoid a dependency to gecko 1.8.

2005-09-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	* extensions/smart-bookmarks/mozilla/mozilla-selection.cpp:

	Allow lookup of selections within forms (textarea and text input).
	Fix bug #315319.

2005-09-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/action-properties.glade:
	* extensions/actions/actions-editor.glade:
	* extensions/actions/ephy-actions-extension-properties-dialog.c:
	(ephy_actions_extension_properties_dialog_constructor):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Fix HIG spacings.

2005-08-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update gtk requirement.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove check for old dbus.

2005-08-28  Crispin Flowerday  <gnome@flowerday.cx>

	* README:
	* configure.ac:
	* extensions/favicon/.cvsignore:
	* extensions/favicon/Makefile.am:
	* extensions/favicon/favicon.py:
	* extensions/favicon/favicon.xml.in.in:

	Add a favicon fallback extension (written in python)

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* autogen.sh:
	* configure.ac:

	Version 1.9.0.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix configure check for gecko 1.8.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.5 ===

	* NEWS:

2005-08-28  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac: Add auto-scroller to default
	extension list, and the useful extension list

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gesture.c: (ephy_gesture_stop),
	(button_press_event_cb), (key_press_event_cb), (mouse_release_cb),
	(unmap_event_cb), (grab_broken_event_cb), (grab_notify_cb),
	(ephy_gesture_start), (ephy_gesture_init), (ephy_gesture_finalize),
	(ephy_gesture_set_property), (ephy_gesture_get_property),
	(ephy_gesture_get_event), (ephy_gesture_set_event),
	(ephy_gesture_new):
	* extensions/gestures/ephy-gesture.h:
	* extensions/gestures/ephy-gestures-extension.c: (ensure_gesture),
	(dom_mouse_down_cb), (impl_detach_window), (impl_attach_tab),
	(impl_detach_tab), (ephy_gestures_extension_iface_init):

	Converte gestures to one-per-window like autoscroller, and make
	grab lockup-proof.

2005-08-27  Crispin Flowerday  <gnome@flowerday.cx>

	* AUTHORS: Add auto scroll extension
	* README: Update

2005-08-27  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/auto-scroller/ephy-auto-scroller-extension.c
	(dom_mouse_down_cb): 

	Don't activate auto-scroll over links

2005-08-27  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/sample-mozilla/ephy-sample2-extension.c:
	(impl_attach_tab), (impl_detach_tab):

	Remove some unneeded type checks

2005-08-27  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller-extension.c:
	(ephy_auto_scroller_extension_init), (dom_mouse_down_cb):

	Remove unused variable.

2005-08-27  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller-extension.c:
	(ensure_auto_scroller), (dom_mouse_down_cb),
	(ephy_auto_scroller_extension_iface_init):

	Lazily create the auto scroller.

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_timeout_cb):

	Remove one unnecessary type check, and add one comment.

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller-extension.c:
	(dom_mouse_down_cb), (impl_attach_window), (impl_detach_window),
	(impl_attach_tab), (impl_detach_tab),
	(ephy_auto_scroller_extension_iface_init):
	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_set_window),
	(ephy_auto_scroller_unmap_event_cb),
	(ephy_auto_scroller_grab_broken_event_cb),
	(ephy_auto_scroller_grab_notify_cb),
	(ephy_auto_scroller_timeout_cb), (ephy_auto_scroller_start),
	(ephy_auto_scroller_stop), (ephy_auto_scroller_new),
	(ephy_auto_scroller_finalize), (ephy_auto_scroller_class_init):
	* extensions/auto-scroller/ephy-auto-scroller.h:

	Phase VI: Make one autoscroller per window, and just start/stop it.
	Eliminate pointer deadlock when gecko pops up a modal dialogue!

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_set_embed), (ephy_auto_scroller_motion_cb),
	(ephy_auto_scroller_timeout_cb), (ephy_auto_scroller_start_scroll),
	(ephy_auto_scroller_stop), (ephy_auto_scroller_init),
	(ephy_auto_scroller_finalize):

	Phase V: Minor cleanups. Handle grab failure.

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_set_window), (ephy_auto_scroller_set_embed),
	(ephy_auto_scroller_motion_cb),
	(ephy_auto_scroller_mouse_press_cb),
	(ephy_auto_scroller_key_press_cb),
	(ephy_auto_scroller_unmap_event_cb),
	(ephy_auto_scroller_grab_broken_event_cb),
	(ephy_auto_scroller_grab_notify_cb),
	(ephy_auto_scroller_start_scroll), (ephy_auto_scroller_stop),
	(ephy_auto_scroller_init), (ephy_auto_scroller_finalize),
	(ephy_auto_scroller_set_property):
	* extensions/auto-scroller/ephy-auto-scroller.h:

	Phase IV: Further code cleanups. Use event time when
	grabbing/ungrabbing, not GDK_CURRENT_TIME.

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller-extension.c:
	(dom_mouse_down_cb):
	* extensions/auto-scroller/ephy-auto-scroller-extension.h:
	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_start_scroll), (ephy_auto_scroller_stop),
	(ephy_auto_scroller_new), (ephy_auto_scroller_init),
	(ephy_auto_scroller_finalize), (ephy_auto_scroller_set_property),
	(ephy_auto_scroller_get_property), (ephy_auto_scroller_class_init):
	* extensions/auto-scroller/ephy-auto-scroller.h:

	Phase III: Use object properties, and rename some variables.

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_set_embed), (ephy_auto_scroller_start_scroll),
	(ephy_auto_scroller_stop), (ephy_auto_scroller_init),
	(ephy_auto_scroller_finalize), (ephy_auto_scroller_class_init):
	* extensions/auto-scroller/ephy-auto-scroller.h:

	Phase II: Move the popup window into the priv struct, and destroy
	the window when not needed anymore.

2005-08-26  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/auto-scroller/ephy-auto-scroller-extension.c:
	(ephy_auto_scroller_extension_init), (dom_mouse_down_cb),
	(impl_attach_tab), (ephy_auto_scroller_extension_register_type):
	* extensions/auto-scroller/ephy-auto-scroller-extension.h:

	Clean up, remove finalize / private data. Use connect_object
	and remove empty functions

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_set_embed), (ephy_auto_scroller_motion_cb),
	(ephy_auto_scroller_mouse_press_cb),
	(ephy_auto_scroller_key_press_cb),
	(ephy_auto_scroller_unmap_event_cb),
	(ephy_auto_scroller_timeout_cb), (ephy_auto_scroller_stop),
	(ephy_auto_scroller_start_scroll), (ephy_auto_scroller_new),
	(ephy_auto_scroller_init), (ephy_auto_scroller_finalize),
	(ephy_auto_scroller_class_init):
	* extensions/auto-scroller/ephy-auto-scroller.h:

	Phase I: Move code around, rename variables, remove unnecessary
	prototypes etc.

2005-08-26  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac:
	* extensions/auto-scroller/.cvsignore:
	* extensions/auto-scroller/Makefile.am:
	* extensions/auto-scroller/auto-scroller.xml.in.in:
	* extensions/auto-scroller/autoscroll.xpm.h:
	* extensions/auto-scroller/ephy-auto-scroller-extension.c:
	(ephy_auto_scroller_extension_init),
	(ephy_auto_scroller_extension_finalize), (dom_mouse_down_cb),
	(impl_attach_tab), (impl_detach_tab),
	(ephy_auto_scroller_extension_iface_init),
	(ephy_auto_scroller_extension_class_init),
	(ephy_auto_scroller_extension_get_type),
	(ephy_auto_scroller_extension_register_type):
	* extensions/auto-scroller/ephy-auto-scroller-extension.h:
	* extensions/auto-scroller/ephy-auto-scroller.c:
	(ephy_auto_scroller_class_init), (ephy_auto_scroller_init),
	(ephy_auto_scroller_finalize_impl), (ephy_auto_scroller_new),
	(ephy_auto_scroller_set_embed), (ephy_auto_scroller_start_scroll),
	(ephy_auto_scroller_motion_cb),
	(ephy_auto_scroller_mouse_press_cb),
	(ephy_auto_scroller_key_press_cb),
	(ephy_auto_scroller_unmap_event_cb),
	(ephy_auto_scroller_timeout_cb), (ephy_auto_scroller_stop),
	(ephy_auto_scroller_get_type), (ephy_auto_scroller_register_type):
	* extensions/auto-scroller/ephy-auto-scroller.h:
	* extensions/auto-scroller/extension.c: (register_module):
	* extensions/auto-scroller/mozilla/.cvsignore:
	* extensions/auto-scroller/mozilla/Makefile.am:
	* extensions/auto-scroller/mozilla/mozilla-helpers.cpp:
	* extensions/auto-scroller/mozilla/mozilla-helpers.h:
	
	Import an auto-scroller extension, allowing easy scrolling
	using the middle mouse button.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Don't use AM_CONDITIONAL conditionally.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Better gecko version check.

2005-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-08-08  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.4 ===

	* NEWS:

2005-08-04  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:

	Better names according to global schema.
	Fix previous patch.

2005-08-04  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/page-info-context-ui.xml:
	* extensions/page-info/page-info-dialog.c:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	External scripts are listed in page info, and can be saved.
	Multiple selections allowed to be saved too.
	Same behaviour as Media tab.
	Fix #310398.

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.3 ===

	* NEWS:
	* configure.ac:

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(search_smart_bookmark_cb):

	Fix for changed function name in Epiphany.

2005-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update mozilla configure checks.

2005-07-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-07-11  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.2 ===

	* NEWS:

2005-06-19  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/sidebar/ephy-sidebar-extension.c: (sidebar_page_changed_cb):

	Workaround to bug #169116. Fixes #172872.

2005-06-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* extensions/rss/rss-dbus.c: (rss_dbus_subscribe_feed):
	
	Fixes feed subscription using new dbus API
	
2005-06-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(save_source_cancelled_cb), (save_source_completed_cb),
	(ephy_greasemonkey_extension_install_cb), (context_menu_cb),
	(kill_download), (free_window_data), (impl_attach_window),
	(impl_attach_tab), (impl_detach_tab):
	* extensions/greasemonkey/greasemonkey-script.c: (find_tag_values),
	(find_tld_pos), (build_preg), (load_script_file):

	- Support ".tld" domain name in Greasemonkey scripts. Not many
	  scripts actually *use* this, but they ought to
	- Pop up a message when extensions are installed
	- Try to cancel downloads when quitting their invoking EphyWindow.
	  This seems to cause crashes sometimes when Epiphany quits while
	  downloading...

2005-06-06  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/rss/rss-dbus.c: (rss_dbus_subscribe_feed):

	Work with new DBUS 0.34. Patch by Raphaël Slinckx, bug #306565.

2005-06-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Require DBUS 0.34. Bug #306626.

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/rss/rss-dbus.c: (rss_dbus_subscribe_feed):

       Fix compilation with DBUS 0.3x. Patch by Raphaël Slinckx, fixes
       bug #306565.
              
2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.1 ===

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/rss/ephy-rss-extension.c: (impl_attach_window):

	Fix crash when activating the extension after startup. Patch
	by Raphaël Slinckx, fixes bug #306536.

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:

	Updated for version 1.7.1.

	* extensions/rss/Makefile.am:

	Fix make distcheck.

	* po/POTFILES.in:

	Add missing files.

2005-06-02  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:

	Distribute python extensions too.

2005-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove 'tabsmenu' extension from default set because of mozilla
	bug https://bugzilla.mozilla.org/show_bug.cgi?id=296002.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(update_actions):

	Fix warning.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/greasemonkey/mozilla/mozilla-helpers.cpp:

	Fix build with trunk.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	R extensions/find/.cvsignore:
	R extensions/find/Makefile.am:
	R extensions/find/TypeAheadFind.cpp:
	R extensions/find/TypeAheadFind.h:
	R extensions/find/eggfindbar.c:
	R extensions/find/eggfindbar.h:
	R extensions/find/eggfindbarprivate.h:
	R extensions/find/ephy-find-bar.cpp:
	R extensions/find/ephy-find-bar.h:
	R extensions/find/ephy-find-extension.c:
	R extensions/find/ephy-find-extension.h:
	R extensions/find/extension.c:
	R extensions/find/find.xml.in.in:
	R extensions/find/mozilla-helpers.cpp:
	R extensions/find/mozilla-helpers.h:
	R extensions/find/mozilla/.cvsignore:
	R extensions/find/mozilla/mozilla-find.cpp:
	R extensions/find/mozilla/mozilla-find.h:
	R extensions/page-info/mozilla/Makefile.am:
	R extensions/page-info/mozilla/mozilla-helpers.cpp:

	Remove find toolbar extension.

2005-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add check for new DBUS API.

2005-05-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Automatically detect whether we have a mozilla debug build.

2005-05-24  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/greasemonkey/mozilla/mozilla-helpers.cpp:
	(mozilla_evaluate_js):

	It is not always possible to add a script element to a document:
	for instance, think to an XML document.

2005-05-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(mkdir_recursive), (get_script_dir), (dir_changed_cb),
	(monitor_scripts), (ephy_greasemonkey_extension_init),
	(ephy_greasemonkey_extension_finalize), (script_name_build),
	(ephy_greasemonkey_extension_install_cb), (dom_mouse_down_cb):

	Implement a far better recursive mkdir for the scripts directory.

2005-05-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/greasemonkey/greasemonkey-script.c: (matcher_url_cmp),
	(greasemonkey_script_applies_to_url), (find_tag_values),
	(matchers_for_patterns), (load_script_file), (url_matcher_free),
	(greasemonkey_script_finalize):

	Support multiple @include and @exclude lines in the Greasemonkey
	script header.

2005-05-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(get_script_dir), (load_scripts), (dir_changed_cb),
	(ephy_greasemonkey_extension_init),
	(ephy_greasemonkey_extension_finalize):

	Create the script directory the first time the extension is loaded, so
	we can monitor the directory for new scripts. (I'll clean the logic up
	a bit soon....)

2005-05-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Revert search-and-replace error.

2005-05-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	A extensions/python-console/.cvsignore:
	A extensions/python-console/Makefile.am:
	A extensions/python-console/console.py:
	A extensions/python-console/python-console.xml.in:
	A extensions/sample-python/.cvsignore:
	A extensions/sample-python/Makefile.am:
	A extensions/sample-python/sample-python-location.py:
	A extensions/sample-python/sample-python-location.xml.in:
	A extensions/sample-python/sample-python-menu.py:
	A extensions/sample-python/sample-python-menu.xml.in:
	A extensions/sample-python/sample-python-statusbar.py:
	A extensions/sample-python/sample-python-statusbar.xml.in:
	A extensions/sample-python/sample-python.py:
	A extensions/sample-python/sample-python.xml.in:

	Move python extensions from Pyphany to Epiphany Extensions.

2005-05-20  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(dir_changed_cb), (load_scripts), (monitor_scripts),
	(ephy_greasemonkey_extension_init),
	(ephy_greasemonkey_extension_finalize), (maybe_apply_script),
	(content_loaded_cb):

	Use GnomeVFS to monitor the scripts directory for changes. No more
	browser restarting :)

2005-05-20  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/greasemonkey/greasemonkey.xml.in.in:

	Actually change greasemonkey.xml.in.in from the sample one...

2005-05-19  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/greasemonkey/.cvsignore:
	* extensions/greasemonkey/Makefile.am:
	* extensions/greasemonkey/ephy-greasemonkey-extension.c:
	(load_scripts), (ephy_greasemonkey_extension_init),
	(ephy_greasemonkey_extension_finalize), (get_script_dir),
	(script_name_build), (save_source_completed_cb),
	(ephy_greasemonkey_extension_install_cb),
	(ephy_window_for_ephy_embed), (dom_mouse_down_cb),
	(content_loaded_cb), (free_window_data), (impl_attach_window),
	(impl_detach_window), (impl_attach_tab), (impl_detach_tab),
	(ephy_greasemonkey_extension_iface_init),
	(ephy_greasemonkey_extension_class_init),
	(ephy_greasemonkey_extension_get_type),
	(ephy_greasemonkey_extension_register_type):
	* extensions/greasemonkey/ephy-greasemonkey-extension.h:
	* extensions/greasemonkey/extension.c: (register_module):
	* extensions/greasemonkey/greasemonkey-script.c:
	(greasemonkey_script_applies_to_url),
	(greasemonkey_script_get_property),
	(greasemonkey_script_set_property), (greasemonkey_script_init),
	(greasemonkey_script_new), (find_include_sites), (build_preg),
	(load_script_file), (greasemonkey_script_constructor),
	(greasemonkey_script_finalize), (greasemonkey_script_class_init),
	(greasemonkey_script_get_type),
	(greasemonkey_script_register_type):
	* extensions/greasemonkey/greasemonkey-script.h:
	* extensions/greasemonkey/greasemonkey.xml.in.in:
	* extensions/greasemonkey/mozilla/.cvsignore:
	* extensions/greasemonkey/mozilla/Makefile.am:
	* extensions/greasemonkey/mozilla/mozilla-helpers.cpp:
	* extensions/greasemonkey/mozilla/mozilla-helpers.h:

	Initial C-based Greasemonkey extension.

	What it does:
	- Lets you right-click on ".user.js" links to install
	- Uses all scripts in ~/.gnome2/epiphany/extensions/data/greasemonkey
	- Loads scripts on startup, and applies them on every page load

	What it does not do:
	- Let you modify the URLs to which a script applies (the Firefox
	greasemonkey plugin makers made their format very restrictive, so
	users *must* be allowed to add new URL patterns manually :()
	- Apply scripts as soon as you download them (you must restart
	Epiphany. I'll make it listen on gnome-vfs soon.)
	- Export Javascript functions, GM_log, GM_xmlhttpRequest, GM_getValue,
	GM_setValue, GM_registerMenuCommand. These will be tricky ;).
	- Support the ".tld" pseudo-TLD

2005-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/rss/Makefile.am:
	* extensions/rss/ephy-rss-extension.c:
	(ephy_rss_feed_subscribe_cb), (ephy_rss_ge_context_cb),
	(ephy_rss_update_action), (impl_attach_tab), (impl_detach_tab),
	(impl_attach_window):
	* extensions/rss/rss-dbus.c: (rss_dbus_subscribe_feed):
	* extensions/rss/rss-dbus.h:
	* extensions/rss/rss-feedlist.c: (rss_feedlist_add),
	(rss_feedlist_compare_feeds), (rss_feedlist_contains):
	* extensions/rss/rss-feedlist.h:
	* extensions/rss/rss-ui.c: (rss_ui_subscribe_selected):
	* extensions/rss/rss-ui.h:

	Add RSS item to context menu, and refactor DBUS code.
	Fixes bug #301001, patch by Raphaël Slinckx.

2005-04-28  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tab-states/ephy-tab-states-extension.c:
	(ephy_tab_states_extension_init), (sync_active_tab),
	(sync_load_status):

	Disable colour changes, since they're not themeable. Fixes
	bug #302326.

2005-04-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Ged rid of all API checks which check for 1.8-only API, and introduce
        a Gecko version check instead.
		
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Use new HAVE_GECKO_1_8 define instead of the API defines.

2005-04-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension.c:
	(ephy_actions_extension_update_menus):
	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(impl_attach_window):
	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.c:
	* extensions/page-info/ephy-page-info-extension.c:
	(impl_attach_window):
	* extensions/page-info/page-info-dialog.c:
	(media_info_page_construct), (links_info_page_construct):
	* extensions/rss/ephy-rss-extension.c:
	* extensions/select-stylesheet/ephy-css-menu.c:
	* extensions/sidebar/ephy-sidebar-embed.c:
	* extensions/sidebar/ephy-sidebar-extension.c:
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:

	Constification.

2005-04-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension.c:
	(ephy_actions_extension_add_action):
	* extensions/certificates/ephy-certificates-extension.c:
	(sync_security_status):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(update_actions):
	* extensions/page-info/page-info-dialog.c:
	(treeview_info_page_filter), (media_info_page_filter),
	(media_info_page_construct):
	* extensions/rss/ephy-rss-extension.c: (ephy_rss_update_action):
	* extensions/select-stylesheet/ephy-css-menu.c:
	(ephy_css_menu_rebuild):
	* extensions/sidebar/ephy-sidebar-embed.c: (hide_embed_popup_cb),
	(show_context_menu):
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(context_menu_cb):
	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(update_tab_move_menu_cb):

	Use gtk_action_set_[sensitive|visible] instead of g_object_set.

2005-04-18  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sidebar/ephy-sidebar-embed.c:
	(ephy_sidebar_embed_create_embed):

	Don't attach to ge_new_window; ephy handles this internally now.

2005-04-16  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/rss/rss-ui.c: (rss_ui_fill_list_store):

	Use g_markup_printf_escaped when printing pango markup.

2005-04-16  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/rss/ephy-rss-extension.c: (ephy_rss_ge_feed_cb),
	(ephy_rss_ge_content_cb), (ephy_rss_update_action),
	(ephy_rss_sync_active_tab), (ephy_rss_load_status_cb),
	(impl_attach_window), (impl_detach_window):
	* extensions/rss/rss-ui.c: (rss_ui_get_selected_feed),
	(rss_ui_treeview_page_copy_selected), (rss_ui_build_context_menu),
	(rss_ui_treeview_show_popup), (rss_ui_treeview_button_pressed_cb),
	(rss_ui_drag_begin_cb), (rss_ui_drag_data_get_cb),
	(rss_ui_constructor):

	Implement drag-and-drop and context menu in the subscribe dialogue.
	Patch by Raphaël Slinckx.

2005-04-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension.c:
	(ephy_actions_extension_init),
	(ephy_actions_extension_save_actions):
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/page-info/page-info-dialog.c:
	(media_drag_data_get_cb), (links_drag_data_get_cb):

	 Fix compilation with gcc4. Patch by Sebastien Bacher,
         fixes bug #300637.
	 
2005-04-14  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Don't default to -Werror.

2005-04-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	A extensions/rss/.cvsignore:
	A extensions/rss/Makefile.am:
	A extensions/rss/ephy-rss-extension.c: 
	A extensions/rss/ephy-rss-extension.h:
	A extensions/rss/extension.c: 
	A extensions/rss/rss-feedlist.c: 
	A extensions/rss/rss-feedlist.h:
	A extensions/rss/rss-ui.c:
	A extensions/rss/rss-ui.glade:
	A extensions/rss/rss-ui.h:
	A extensions/rss/rss.xml.in.in:
	A extensions/sidebar/ephy-sidebar.c:
	* po/POTFILES.in:

	Newsfeed extractor extension, written by Raphaël Slinckx.
	Bug #171908.

2005-04-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:

	Add stuff to sort links, media by type, forms
	Fix bug #172390

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension.c:
	(ephy_actions_extension_save_actions):
	* extensions/sidebar/ephy-sidebar-extension.c:
	(ephy_sidebar_extension_finalize):

	Fix for changed EphyNodeDb save API.

2005-04-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:
	* extensions/error-viewer/mozilla/mozilla-helpers.cpp:
	* extensions/find/TypeAheadFind.cpp:
	* extensions/find/mozilla/mozilla-find.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:
	* extensions/smart-bookmarks/mozilla/mozilla-selection.cpp:

	Fix for MOZILLA_INTERNAL_API change.

2005-04-02  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* configure.ac:

	Distcheck fix.

2005-03-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:

	Tiny improvement.

2005-03-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:

	Fix for mozilla API change.

2005-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c: (page_info_dialog_new):
	* extensions/page-info/page-info.glade:

	Set the default size from code, not from glade. Fixes size persistence
	of the page info dialogue.

2005-03-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix extensions list without --with-extensions.

2005-03-19  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	(ProcessEmbedNode):

	Page Info gets href attribute for embed elements.
	Fix bug #170786.

2005-03-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(ephy_bookmarks_tray_extension_init):

	Typo fix.

2005-03-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(ephy_bookmarks_tray_extension_init):

	Remove label, and add tooltip. Based on a patch by Lars Strojny.

2005-03-15  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(fill_list_store), (build_ui), (extension_added_cb):

	Enable typeahead search in the treeview. Patch by  Jean-François
	Rameau, fixes bug #170322.

2005-03-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix configure check for nsITypeAheadFind.h.

2005-03-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Prefer firefox over mozilla libraries.

2005-03-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Version 1.7.0.

2005-03-07  Jordi Mallach  <jordi@sindominio.net>:

	* extensions/sidebar/ephy-sidebar-embed.c: (popup_menu_at_coords):
	* extensions/sidebar/ephy-sidebar-extension.c:
	(ephy_sidebar_extension_init), (ephy_sidebar_extension_finalize):

	Fix compile with gcc-4.0 on amd64 (Debian #290309).

2005-03-07  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.6.0 ===

	* NEWS:
	* configure.ac:

	Update for 1.6.0.

	* extensions/sidebar/ephy-sidebar-extension.c: (fixup),
	(impl_attach_window), (impl_detach_window), (impl_fixup_tab),
	(ephy_sidebar_extension_iface_init):

	Work around gtk+ bug 169116.

2005-03-05  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/net-monitor/ephy-net-monitor-extension.c:
	(ephy_net_monitor_network_status)

	Epiphany doesn't default to offline when Network Manager is not alive.

2005-03-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c

	Bad ephy-link.h include. Use the Epiphany's include directory instead.

	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	(MozAdBlocker::ShouldLoad)

	Fix typo.
	
2005-03-03  Christian Persch  <chpe@cvs.gnome.org>

	* include/Makefile.am:
	* include/ephy-link.h:

	Remove ephy-link.h, it's installed by Epiphany.

2005-03-03  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	(background_download_completed_cb):

	Don't double-unref.

2005-03-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-context-ui.xml:
	* extensions/page-info/page-info-dialog.c:
	(page_info_drag_begin_cb), (treeview_info_page_get_selected_rows),
	(treeview_info_page_get_selected_data),
	(treeview_info_page_copy_selected), (treeview_info_page_filter),
	(general_info_page_fill), (media_get_selected_medium_type),
	(save_a_medium), (download_path_response_cb),
	(media_save_medium_cb), (background_download_completed_cb),
	(media_set_image_as_background_cb), (media_drag_data_get_cb),
	(media_info_page_new), (links_drag_data_get_cb),
	(links_info_page_new), (forms_info_page_new),
	(metadata_info_page_construct), (metadata_info_page_new):

	Refactor context menu copy code, and add context menu Copy to the
	metadata treeview.

2005-03-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info.glade:

	Put the media view embed in a frame instead of a viewport,
	to work around gtk+ bug 168966.

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c: (page_info_set_text),
	(general_info_page_fill), (background_download_completed_cb),
	(forms_info_page_construct), (metadata_info_page_construct),
	(metadata_add_dc_tag), (metadata_info_page_fill),
	(metadata_info_page_new), (page_info_dialog_init),
	(page_info_dialog_new):
	* extensions/page-info/page-info.glade:

	Implement Metadata tab, written by Jean-François Rameau.

2005-03-02  Christian Persch  <chpe@cvs.gnome.org>

	* include/EphyUtils.h:
	* include/eel-gconf-extensions.h:
	* include/egg-editable-toolbar.h:
	* include/egg-toolbars-model.h:
	* include/ephy-debug.h:
	* include/ephy-dnd.h:
	* include/ephy-file-chooser.h:
	* include/ephy-file-helpers.h:
	* include/ephy-gui.h:
	* include/ephy-link.h:
	* include/ephy-prefs.h:

	Sync with Epiphany.

2005-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/find/ephy-find-extension.c:
	(ephy_find_extension_init):
	* extensions/find/mozilla-helpers.cpp:

	Make sure mozilla is started before setting the prefs.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/actions.xml.in.in:
	* extensions/bookmarks-tray/bookmarks-tray.xml.in.in:
	* extensions/certificates/certificates.xml.in.in:
	* extensions/find/find.xml.in.in:
	* extensions/net-monitor/net-monitor.xml.in.in:
	* extensions/page-info/page-info.xml.in.in:
	* extensions/select-stylesheet/select-stylesheet.xml.in.in:
	* extensions/sidebar/sidebar.xml.in.in:
	* po/POTFILES.in:
	* po/POTFILES.skip:

	Enable extension description translations.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.8 ===

	* configure.ac:

	Fix configure checks.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:

	Version 1.5.8.

2005-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/find/mozilla-helpers.cpp:

	Fix typo.

2005-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/find/ephy-find-bar.cpp:
	* extensions/find/mozilla-helpers.cpp:
	* extensions/find/mozilla-helpers.h:

	Make sure the typeaheadfind prefs are disabled,
	and restore their state on exit.

2005-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Use $PKG_CONFIG.

2005-02-20  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c

	Disable gestures while print preview mode.

2005-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* tools/copy-template:

	Adapt the copy-template tool to the configure.ac/Makefile.am changes.

2005-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:

	Simplify.

2005-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/find/TypeAheadFind.cpp:

	Focus links while finding.

2005-02-17  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/find/ephy-find-bar.cpp:

	Don't activate find bar when pressing Space. Fixes bug #167415.

2005-02-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sidebar/ephy-sidebar-extension.c:
	(extension_weak_notify_cb), (add_dialog_weak_notify_cb),
	(ephy_sidebar_extension_add_sidebar_cb):

	Destroy open "Add to sidebar" dialogues when unloading the
	extension. Fixes bug #156523.

2005-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(ephy_bookmarks_tray_extension_init),
	(ephy_bookmarks_tray_extension_finalize):

	Ref the tray icon. Should fix bug #163819.

2005-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/find/mozilla/Makefile.am:

	Removed unnecessary file.

2005-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for toolkit nsITypeAheadFind.

	* extensions/find/Makefile.am:
	A extensions/find/TypeAheadFind.cpp:
	A extensions/find/TypeAheadFind.h:

	nsITypeAheadFind wrapper.

	* extensions/find/eggfindbar.c: (entry_changed_callback),
	(egg_find_bar_init), (egg_find_bar_finalize),
	(egg_find_bar_get_search_string):

	Put the entry in a event box. Works around gtk+ bug #167259,
	fixes bug #164797.

	R extensions/find/ephy-find-bar.c:
	A extensions/find/ephy-find-bar.cpp:

	Highlighting is gone for now. Use typeaheadfind wrapper.

	* extensions/find/ephy-find-extension.c: (impl_detach_tab):
	* extensions/find/ephy-find-extension.h:

	Don't need to detach tab.

	A extensions/find/mozilla-helpers.cpp:
	A extensions/find/mozilla-helpers.h:

	Helpers to scroll the embed.

2005-02-11  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/Makefile.am:
	* extensions/page-info/mozilla/PageInfoPrivate.cpp:
	* extensions/page-info/mozilla/PageInfoPrivate.h:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c:
	(general_info_page_fill):

	Better fix for mozilla API change: split getting the
	render mode into a different file where we can include
	internal strings. That way we can still distinguish
	all three modes.

2005-02-11  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/Makefile.am:
	* extensions/adblock/Makefile.am:
	* extensions/bookmarks-tray/Makefile.am:
	* extensions/certificates/Makefile.am:
	* extensions/dashboard/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/extensions-manager-ui/Makefile.am:
	* extensions/find/Makefile.am:
	* extensions/gestures/Makefile.am:
	* extensions/net-monitor/Makefile.am:
	* extensions/page-info/Makefile.am:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample/Makefile.am:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/sidebar/Makefile.am:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/tab-groups/Makefile.am:
	* extensions/tab-states/Makefile.am:
	* extensions/tabsmenu/Makefile.am:

	Fix build for sh != bash. Patch by Grzegorz Golawski,
	fixes bug #167011.

2005-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Dist po/LINGUAS.

2005-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	A po/LINGUAS:

	Get the list of languages from po/LINGUAS.

2005-02-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-02-08  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.7 ===

	* configure.ac:
	* extensions/Makefile.am:

2005-02-07  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Fix for mozilla API change.

2005-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Make sure epiphany was compiled with dbus support when
	the net-monitor extension is requested.

2005-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(show_page_certificate), (padlock_button_press_cb),
	(impl_attach_window), (impl_detach_window):

	Attach to the location entry's lock-clicked signal too.

2005-02-04  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/net-monitor/ephy-net-monitor-extension.c:
	(connect_to_system_bus_cb, disconnect_from_system_bus_cb,
	ephy_net_monitor_startup):

	Bad signal/connect/callback implementation.

2005-02-02  Adam Hooper  <adamh@cvs.gnome.org>

	* AUTHORS:
	* doc/writing-epiphany-extensions.xml:
	* extensions/net-monitor/net-monitor.xml.in.in:

	Add Adam Hooper as author of adblock
	Fix a tiny typo in the extensions guide
	Change the title and description of net-monitor

2005-02-02  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* AUTHORS:
	* configure.ac:
	* extensions/Makefile.am:
	A extensions/net-monitor/.cvsignore:
	A extensions/net-monitor/Makefile.am:
	A extensions/net-monitor/ephy-net-monitor-extension.c:
	A extensions/net-monitor/ephy-net-monitor-extension.h:
	A extensions/net-monitor/extension.c:
	A extensions/net-monitor/net-monitor.xml.in.in

	Add "Net Monitor" extension, written by Jean-François Rameau

2005-02-02  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/actions/ephy-actions-extension.c: 
	(ephy_actions_extension_run_action):

	Better error dialog when command failed.	

2005-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/actions/action-properties.glade:

	Remove tooltip from window. Fixes bug #166010.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* AUTHORS:
	* configure.ac:
	* extensions/Makefile.am:
	A extensions/actions/.cvsignore:
	A extensions/actions/Makefile.am:
	A extensions/actions/action-properties.glade:
	A extensions/actions/actions-editor.glade:
	A extensions/actions/actions.xml.in.in:
	A extensions/actions/ephy-actions-extension-editor-dialog.c:
	A extensions/actions/ephy-actions-extension-editor-dialog.h:
	A extensions/actions/ephy-actions-extension-properties-dialog.c:
	A extensions/actions/ephy-actions-extension-properties-dialog.h:
	A extensions/actions/ephy-actions-extension-util.c:
	A extensions/actions/ephy-actions-extension-util.h:
	A extensions/actions/ephy-actions-extension.c:
	A extensions/actions/ephy-actions-extension.h:
	A extensions/actions/extension.c: (register_module):

	Add "Actions" extension, written by Jean-Yves Lefort.

	* extensions/adblock/ad-uri-tester.c: (match_uri):

	Fix build.

	* po/POTFILES.in:

	Updated.

2005-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Add missing QI.

2005-01-29  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/writing-epiphany-extensions.xml:

	Updated to include some Python

2005-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/ad-blocker.c: (ad_blocker_init),
	(ad_blocker_finalize):
	* extensions/adblock/ad-uri-tester.c: (match_uri),
	(ad_uri_tester_init), (ad_uri_tester_finalize):
	* extensions/adblock/ephy-adblock-extension.c:
	(ephy_adblock_extension_init), (ephy_adblock_extension_finalize):
	* extensions/adblock/extension.c: (register_module):
	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(show_context_menu), (button_toggled_cb), (button_button_press_cb),
	(button_popup_menu_cb), (ephy_bookmarks_tray_extension_init),
	(ephy_bookmarks_tray_extension_finalize):
	* extensions/bookmarks-tray/extension.c: (register_module):
	* extensions/certificates/ephy-certificates-extension.c:
	(ephy_certificates_extension_init),
	(ephy_certificates_extension_finalize), (sync_security_status),
	(impl_attach_tab), (impl_detach_tab), (impl_attach_window),
	(impl_detach_window):
	* extensions/certificates/extension.c: (register_module):
	* extensions/dashboard/ephy-dashboard-extension.c:
	(load_status_cb), (ephy_dashboard_extension_init):
	* extensions/dashboard/ephy-dashboard.c: (register_module):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(ephy_error_viewer_extension_init),
	(ephy_error_viewer_extension_finalize), (impl_attach_window):
	* extensions/error-viewer/extension.c: (register_module):
	* extensions/error-viewer/link-checker.c: (link_checker_init),
	(link_checker_finalize):
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/sgml-validator.c: (sgml_validator_init),
	(sgml_validator_finalize):
	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.c: (ephy_extensions_manager_ui_extension_init),
	(ephy_extensions_manager_ui_extension_finalize),
	(impl_attach_window), (impl_detach_window):
	* extensions/extensions-manager-ui/extension.c: (register_module):
	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(extensions_manager_ui_init), (extensions_manager_ui_finalize):
	* extensions/find/ephy-find-bar.c: (ensure_offscren_window),
	(update_find_properties), (find_entry_key_press_event_cb),
	(entry_preedit_changed_cb), (embed_net_stop_cb),
	(embed_key_press_event_cb), (set_focus_cb), (unset_embed),
	(update_find_bar), (sync_active_tab), (ephy_find_bar_show),
	(ephy_find_bar_hide), (ephy_find_bar_next),
	(ephy_find_bar_previous), (ephy_find_bar_close):
	* extensions/find/ephy-find-extension.c:
	(ephy_find_extension_init), (ephy_find_extension_finalize),
	(toolbar_weak_unref_cb), (impl_attach_window),
	(impl_detach_window), (impl_detach_tab):
	* extensions/find/extension.c: (register_module):
	* extensions/find/mozilla/mozilla-find.cpp:
	* extensions/gestures/ephy-gesture.c: (ephy_gesture_finalize):
	* extensions/gestures/ephy-gestures-extension.c:
	(gesture_performed_cb), (impl_attach_tab), (impl_detach_tab):
	* extensions/gestures/gestures.c: (register_module):
	* extensions/page-info/ephy-page-info-extension.c:
	(ephy_page_info_extension_init),
	(ephy_page_info_extension_finalize),
	(ephy_page_info_extension_display_cb), (impl_attach_window):
	* extensions/page-info/extension.c: (register_module):
	* extensions/page-info/page-info-dialog.c:
	(general_info_page_fill), (page_info_dialog_finalize):
	* extensions/sample-mozilla/ephy-sample2-extension.c:
	(ephy_sample2_extension_init), (ephy_sample2_extension_finalize),
	(dom_mouse_down_cb), (impl_attach_window), (impl_detach_window),
	(impl_attach_tab), (impl_detach_tab):
	* extensions/sample-mozilla/sample-mozilla.c: (register_module):
	* extensions/sample/ephy-sample-extension.c:
	(ephy_sample_extension_init), (ephy_sample_extension_finalize),
	(impl_attach_window), (impl_detach_window), (impl_attach_tab),
	(impl_detach_tab):
	* extensions/sample/sample.c: (register_module):
	* extensions/select-stylesheet/ephy-select-stylesheet-extension.c:
	(ephy_select_stylesheet_extension_init), (impl_attach_window):
	* extensions/select-stylesheet/extension.c: (register_module):
	* extensions/sidebar/ephy-sidebar-embed.c: (show_context_menu),
	(embed_mouse_click_cb):
	* extensions/sidebar/ephy-sidebar-extension.c:
	(impl_attach_window), (impl_detach_window),
	(ephy_sidebar_extension_finalize):
	* extensions/sidebar/extension.c: (register_module):
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(rebuild_ui), (smart_bookmark_added_cb),
	(smart_bookmark_removed_cb), (smart_bookmark_changed_cb),
	(impl_attach_window), (impl_detach_window),
	(smart_bookmarks_extension_init):
	* extensions/smart-bookmarks/smart-bookmarks.c: (register_module):
	* extensions/tab-groups/ephy-tab-grouper.c:
	(ephy_tab_grouper_init), (ephy_tab_grouper_finalize):
	* extensions/tab-groups/ephy-tab-groups-extension.c:
	(ephy_tab_groups_extension_init):
	* extensions/tab-states/ephy-tab-states-extension.c:
	(ephy_tab_states_extension_init),
	(ephy_tab_states_extension_finalize), (impl_attach_window),
	(impl_detach_window), (impl_attach_tab), (impl_detach_tab):
	* extensions/tab-states/extension.c: (register_module):
	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(add_action_and_menu_item), (update_tab_move_menu_cb),
	(ephy_tab_move_menu_set_window):
	* extensions/tabsmenu/ephy-tabs-menu-extension.c:
	(ephy_tabs_menu_extension_init),
	(ephy_tabs_menu_extension_finalize):
	* extensions/toolbar-extras/ephy-multi-smart-action.c:
	(create_menu_item), (entry_activate_cb),
	(ephy_multi_smart_action_init), (ephy_multi_smart_action_finalize),
	(ephy_multi_smart_action_set_mode),
	(ephy_multi_smart_action_set_id), (smart_address_notifier),
	(mode_notifier), (clean_after_use_notifier),
	(case_sensitive_notifier):
	* extensions/toolbar-extras/ephy-toolbar-extras-extension.c:
	(ephy_toolbar_extras_extension_init),
	(ephy_toolbar_extras_extension_finalize), (action_request_cb):
	* extensions/toolbar-extras/toolbar-extras.c: (register_module):
	* include/ephy-debug.h:

	Add ; to all LOG statements, and adapt ephy-debug.h for
	non-GNUC-varargs case.

2005-01-27  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/dashboard/ephy-dashboard-extension.c:
	(impl_attach_tab), (impl_detach_tab),
	(ephy_dashboard_extension_iface_init):

	Use attach_tab/detach_tab

2005-01-27  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(impl_attach_tab), (impl_detach_tab), (impl_attach_window),
	(impl_detach_window), (ephy_error_viewer_extension_iface_init):

	Use attach_tab/detach_tab

2005-01-27  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(ephy_bookmarks_tray_extension_register_type),
	(ephy_bookmarks_tray_extension_finalize):

	This doesn't need to implement EphyExtensionIface.

2005-01-26  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c

	Implement EphyExtension's attach_window/detach_window interface
	instead of simulating them.

2005-01-25  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/sample-mozilla/ephy-sample2-extension.c:

	Implement EphyExtension's attach_window/detach_window interface
	instead of simulating them.

2005-01-24  Christian Persch,,,  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.6 ===

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:

	Version 1.5.6.

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c:
	(gesture_performed_cb), (dom_mouse_down_cb):
	* extensions/sidebar/ephy-sidebar-embed.c: (show_context_menu),
	(embed_mouse_click_cb):

	Epiphany API change.

2005-01-23  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:

	Implement EphyExtension attach_window/detach_window interface
	instead of simulating them.

2005-01-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/adblock/ad-uri-tester.c: (match_uri),
	(ad_uri_tester_test_uri):

	Calculate uri length once instead of once per regular expression.

2005-01-21  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/adblock/ad-uri-tester.c: (match_uri),
	(load_patterns_file), (ad_uri_tester_init):

	Use pcre instead of pcreposix. Check for utf-8 support, too.

2005-01-21  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:

	Re-space extensions list

	* extensions/adblock/ad-blocker.c: (ad_blocker_test_uri),
	(ad_blocker_reset), (ad_blocker_get_property), (ad_blocker_init),
	(ad_blocker_class_init):
	* extensions/adblock/ad-blocker.h:
	* extensions/adblock/ephy-adblock-extension.c: (update_statusbar),
	(create_statusbar_icon), (switch_page_cb), (impl_attach_window),
	(impl_detach_window), (location_changed_cb), (num_blocked_cb),
	(impl_attach_tab), (impl_detach_tab):

	Fix statusbar icon behavior

2005-01-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Get CFLAGS and LIBS for POSIX PCRE.

	* extensions/adblock/Makefile.am:

	Use PCRE CFLAGS and LIBS instead of hardcoding things.

	* extensions/adblock/mozilla/Makefile.am:

	Fix builddir != srcdir build.

	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* extensions/adblock/mozilla/mozilla-helpers.cpp:

	Fix includes.

2005-01-20  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/adblock/Makefile.am:
	* extensions/adblock/ad-blocker.c: (ad_blocker_new),
	(ad_blocker_test_uri), (ad_blocker_set_property),
	(ad_blocker_init), (ad_blocker_finalize), (ad_blocker_class_init):
	* extensions/adblock/ad-blocker.h:
	* extensions/adblock/ad-uri-tester.c: (ad_uri_tester_get_type),
	(ad_uri_tester_register_type), (ad_uri_tester_new),
	(handle_reg_error), (match_uri), (ad_uri_tester_test_uri),
	(load_patterns_file), (load_patterns), (free_regex),
	(ad_uri_tester_init), (ad_uri_tester_finalize),
	(ad_uri_tester_class_init):
	* extensions/adblock/ad-uri-tester.h:
	* extensions/adblock/ephy-adblock-extension.c:
	(ephy_adblock_extension_init), (ephy_adblock_extension_finalize),
	(update_statusbar), (create_statusbar_icon),
	(destroy_statusbar_icon), (impl_attach_window),
	(impl_detach_window), (get_icon_frame_for_embed),
	(location_changed_cb), (ad_blocked_cb), (impl_attach_tab),
	(impl_detach_tab), (ephy_adblock_extension_iface_init):
	* extensions/adblock/ephy-adblock-extension.h:
	* extensions/adblock/extension.c: (register_module):
	* extensions/adblock/mozilla/.cvsignore:
	* extensions/adblock/mozilla/Makefile.am:
	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* extensions/adblock/mozilla/MozAdBlocker.h:
	* extensions/adblock/mozilla/mozilla-helpers.cpp:
	* extensions/adblock/mozilla/mozilla-helpers.h:

	Work-in-progress: huge refactoring of adblock. Now there's an
	AdUriTester singleton (instantiated in ephy-adblock-extension).
	There is one AdBlocker per EphyEmbed. The Mozilla component is brought
	back, which means Ephy crashes on close, but that should be fixed by
	Christian's patch in Mozilla bug #246092 (I think). There's a
	preliminary statusbar icon, but it barely works. Perl regular
	expressions have been implemented, making my previous adblock-patterns
	commit work; but I hard-coded "-lpcreposix" in Makefile.am....

2005-01-20  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/dashboard-frontend-xmlwriter.c:
	(NewTextWriterDashboard), (DashboardSendClue):
	* extensions/dashboard/ephy-dashboard-extension.c:
	(load_status_cb):
	* extensions/error-viewer/sgml-validator.c:
	(save_source_completed_cb):
	* extensions/gestures/ephy-gestures-extension.c:
	(load_one_gesture), (load_gestures):
	* extensions/sidebar/ephy-sidebar-extension.c:
	(ephy_sidebar_extension_init), (ephy_sidebar_extension_finalize):

	Fix signed/unsigned int confusion. Patch by Andreas Jochens.

2005-01-19  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/adblock/Makefile.am:
	* extensions/adblock/adblock-patterns:
	* extensions/adblock/adblock-statusbar-icon.svg:
	* extensions/adblock/download-latest.pl:

	Got permission from the FilterSet.G author to use his filters. Note
	that adblock is currently in a state of flux: it really doesn't work.

2005-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/smart-bookmarks/Makefile.am:
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(context_menu_cb), (rebuild_ui), (impl_attach_tab),
	(impl_detach_tab), (impl_attach_window), (impl_detach_window),
	(smart_bookmarks_extension_iface_init),
	(smart_bookmarks_extension_init),
	(smart_bookmarks_extension_class_init):
	* extensions/smart-bookmarks/smart-bookmarks-prefs-ui.c:
	* extensions/smart-bookmarks/smart-bookmarks-prefs-ui.h:
	* extensions/smart-bookmarks/smart-bookmarks-prefs.h:
	* extensions/smart-bookmarks/smart-bookmarks.glade:

	Removed prefs dialogue.

2005-01-13  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	(mozilla_free_embed_page_info):

	Fix a memory leak.
	Make mozilla_free_page_properties function private.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Simplify the fix a bit.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Fix the fix fo the API change.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Mozilla API change.

	* extensions/adblock/ad-blocker.c:
	* extensions/adblock/ephy-adblock-extension.c:
	* extensions/adblock/extension.c:
	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	* extensions/bookmarks-tray/extension.c:
	* extensions/certificates/ephy-certificates-extension.c:
	* extensions/certificates/extension.c:
	* extensions/dashboard/ephy-dashboard-extension.c:
	* extensions/dashboard/ephy-dashboard.c:
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	* extensions/error-viewer/error-viewer.c:
	* extensions/error-viewer/extension.c:
	* extensions/error-viewer/link-checker.c:
	* extensions/error-viewer/mozilla/mozilla-helpers.h:
	* extensions/error-viewer/mozilla/mozilla-link-checker.h:
	* extensions/error-viewer/sgml-validator.c:
	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-extension.c:
	* extensions/extensions-manager-ui/extension.c:
	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	* extensions/find/ephy-find-extension.c:
	* extensions/gestures/ephy-gesture.c:
	* extensions/gestures/ephy-gestures-extension.c:
	* extensions/gestures/gestures.c:
	* extensions/page-info/ephy-page-info-extension.c:
	* extensions/page-info/extension.c:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c:
	* extensions/select-stylesheet/ephy-css-menu.c:
	* extensions/select-stylesheet/ephy-select-stylesheet-extension.c:
	* extensions/select-stylesheet/extension.c:
	* extensions/sidebar/ephy-sidebar-embed.c:
	* extensions/sidebar/ephy-sidebar-extension.c:
	* extensions/sidebar/ephy-sidebar.c:
	* extensions/sidebar/extension.c:
	* extensions/sidebar/sidebar-commands.c:
	* extensions/smart-bookmarks/mozilla/mozilla-selection.h:
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	* extensions/smart-bookmarks/smart-bookmarks-prefs-ui.c:
	* extensions/smart-bookmarks/smart-bookmarks.c:
	* extensions/tab-groups/ephy-tab-grouper.c:
	* extensions/tab-groups/ephy-tab-groups-extension.c:
	* extensions/tab-groups/tab-groups.c:
	* extensions/tab-states/ephy-tab-states-extension.c:
	* extensions/tab-states/extension.c:
	* extensions/tabsmenu/ephy-tab-move-menu.c:
	* extensions/tabsmenu/ephy-tabs-menu-extension.c:
	* extensions/tabsmenu/tabs-menu.c:
	* extensions/toolbar-extras/ephy-multi-smart-action.c:
	* extensions/toolbar-extras/ephy-toolbar-extras-extension.c:
	* extensions/toolbar-extras/galago-gtk-icon-entry.c:
	* extensions/toolbar-extras/toolbar-extras.c:
	* include/ephy-debug.h:

	We always have config.h.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add default extensions when given --with-extensions=default.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add check for PCRE if the adblock extension is enabled.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(padlock_button_press_cb):

	Change a g_return_if_fail to g_return_val_if_fail.

	* extensions/find/mozilla/mozilla-find.cpp:

	Change operator precedence error.

	* extensions/tab-states/ephy-tab-states-extension.c:

	Fix build.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(padlock_button_press_cb):

	Consume the button press.

2005-01-13  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	* extensions/Makefile.am:
	* extensions/find/Makefile.am:
	* extensions/find/eggfindbar.c: (egg_find_bar_class_init),
	(egg_find_bar_emit_next), (egg_find_bar_emit_previous),
	(egg_find_bar_emit_close), (close_clicked_callback),
	(next_clicked_callback), (previous_clicked_callback),
	(case_sensitive_toggled_callback), (entry_activate_callback),
	(entry_changed_timeout_cb), (entry_changed_callback),
	(egg_find_bar_init), (egg_find_bar_finalize),
	(egg_find_bar_set_property), (egg_find_bar_get_property),
	(egg_find_bar_size_request), (egg_find_bar_size_allocate),
	(egg_find_bar_new), (egg_find_bar_set_search_string),
	(egg_find_bar_get_search_string),
	(egg_find_bar_set_case_sensitive),
	(egg_find_bar_get_case_sensitive), (get_style_color),
	(egg_find_bar_get_all_matches_color),
	(egg_find_bar_get_current_match_color), (egg_find_bar_grab_focus),
	(egg_find_bar_set_status_text), (egg_find_bar_get_type),
	(egg_find_bar_register_type):
	* extensions/find/eggfindbar.h:
	* extensions/find/eggfindbarprivate.h:
	* extensions/find/ephy-find-bar.c: (ensure_offscren_window),
	(update_navigation_controls), (check_text_case), (set_status_text),
	(update_find_properties), (sync_search_string_cb),
	(sync_case_sensitive_cb), (find_entry_key_press_event_cb),
	(entry_preedit_changed_cb), (embed_net_stop_cb),
	(send_focus_change), (embed_key_press_event_cb), (set_focus_cb),
	(unset_embed), (update_find_bar), (sync_active_tab),
	(sync_print_preview_mode), (find_cb), (get_action),
	(ephy_find_bar_set_window), (ephy_find_bar_show),
	(ephy_find_bar_hide), (ephy_find_bar_screen_changed),
	(ephy_find_bar_next), (ephy_find_bar_previous),
	(ephy_find_bar_close), (ephy_find_bar_init),
	(ephy_find_bar_finalize), (ephy_find_bar_set_property),
	(ephy_find_bar_get_property), (ephy_find_bar_class_init),
	(ephy_find_bar_get_type), (ephy_find_bar_register_type),
	(ephy_find_bar_new):
	* extensions/find/ephy-find-bar.h:
	* extensions/find/ephy-find-extension.c:
	(ephy_find_extension_get_type),
	(ephy_find_extension_register_type), (ephy_find_extension_init),
	(ephy_find_extension_finalize), (toolbar_weak_unref_cb),
	(impl_attach_window), (impl_detach_window), (impl_detach_tab),
	(ephy_find_extension_iface_init), (ephy_find_extension_class_init):
	* extensions/find/ephy-find-extension.h:
	* extensions/find/extension.c: (register_module):
	* extensions/find/find.xml.in.in:
	* extensions/find/mozilla/Makefile.am:
	* extensions/find/mozilla/mozilla-find.cpp:
	* extensions/find/mozilla/mozilla-find.h:
	* extensions/smart-bookmarks/mozilla/Makefile.am:
	* extensions/tab-states/.cvsignore:
	* extensions/tab-states/Makefile.am:
	* extensions/tab-states/ephy-tab-states-extension.c:
	(ephy_tab_states_extension_get_type),
	(ephy_tab_states_extension_register_type),
	(ephy_tab_states_extension_init),
	(ephy_tab_states_extension_finalize), (get_real_tab_label),
	(set_label_colour), (sync_active_tab), (sync_load_status),
	(impl_attach_window), (impl_detach_window), (impl_attach_tab),
	(impl_detach_tab), (ephy_tab_states_extension_iface_init),
	(ephy_tab_states_extension_class_init):
	* extensions/tab-states/ephy-tab-states-extension.h:
	* extensions/tab-states/extension.c: (register_module):
	* extensions/tab-states/tab-states.xml.in.in:

	Add 'find' and 'tab-states' extensions.

2005-01-12  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/adblock/ad-blocker.c: (handle_reg_error), (match_uri),
	(ad_blocker_test_uri), (load_patterns_file), (load_patterns),
	(free_regex), (ad_blocker_init), (ad_blocker_finalize):

	Use POSIX regexes. Store them in a hash table and use
	g_hash_table_find as a marshaller.

2005-01-11  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/adblock/Makefile.am:
	* extensions/adblock/ad-blocker.c: (ad_blocker_new),
	(ad_blocker_test_uri), (load_patterns_file),
	(ad_blocker_get_property), (ad_blocker_set_property),
	(ad_blocker_constructor), (ad_blocker_finalize),
	(ad_blocker_class_init):
	* extensions/adblock/ad-blocker.h:
	* extensions/adblock/ephy-adblock-extension.c:
	(ephy_adblock_extension_init), (ephy_adblock_extension_finalize):
	* extensions/adblock/mozilla/.cvsignore:
	* extensions/adblock/mozilla/Makefile.am:
	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* extensions/adblock/mozilla/MozAdBlocker.h:
	* extensions/adblock/mozilla/mozilla-helpers.cpp:
	* extensions/adblock/mozilla/mozilla-helpers.h:

	Hook adblock extension onto "check-content" signal.

2005-01-11  Tomasz Kłoczko <kloczek@pld.org.pl>

	* extensions/adblock/Makefile.am:
	* extensions/bookmarks-tray/Makefile.am:
	* extensions/certificates/Makefile.am:
	* extensions/dashboard/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/extensions-manager-ui/Makefile.am:
	* extensions/gestures/Makefile.am:
	* extensions/page-info/Makefile.am:
	* extensions/sample/Makefile.am:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/sidebar/Makefile.am:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/tab-groups/Makefile.am:
	* extensions/tabsmenu/Makefile.am:
	* extensions/toolbar-extras/Makefile.am:
	Build extensions modules as not versioned DSO by add to *_la_LDFLAGS
	-module -avoid-version.

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.5 ===

	* NEWS:
	* configure.ac:
	* extensions/dashboard/ephy-dashboard-extension.c:
	(load_status_cb):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	* extensions/error-viewer/sgml-validator.c:
	(sgml_validator_validate):
	* extensions/smart-bookmarks/mozilla/Makefile.am:

2005-01-10  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/tabsmenu/ephy-tab-move-menu.c
	* extensions/page-info/ephy-page-info-extension.c

	Re-sync with Epiphany (Unneeded ephy-notebook.h include has been removed from ephy-window.h)

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tabsmenu/ephy-tab-move-menu.c: (find_name), (move_cb),
	(add_action_and_menu_item), (update_tab_move_menu_cb),
	(ephy_tab_move_menu_set_window), (ephy_tab_move_menu_init),
	(ephy_tab_move_menu_get_property), (ephy_tab_move_menu_finalize),
	(ephy_tab_move_menu_class_init):

	Update UI path, and also merge the UI to the notebook context menu.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:

2005-01-05  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	* extensions/gestures/ephy-gestures-extension.c:
	* extensions/page-info/page-info-dialog.c:
	* extensions/sidebar/ephy-sidebar-embed.c:
	* extensions/sidebar/sidebar-commands.c:

	Re-sync with Epiphany (EphyEmbed's enum names start with EPHY_)

2005-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c:
	(dom_mouse_down_cb):
	* extensions/sidebar/ephy-sidebar-embed.c: (show_context_menu),
	(embed_mouse_click_cb):

	Fix for ephy enum and flags name changes.

2005-01-04  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac: Remove wrongly committed dbus/Makefile.am
	line, thanks to jfr for spotting it.

2005-01-01  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.glade:

	Change C_lear to Cl_ear. Fixes Bug #162689.

2005-01-01  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac:
	* extensions/sidebar/Makefile.am:
	* extensions/sidebar/ephy-sidebar-extension.c:
	(ephy_sidebar_extension_add_sidebar_cb),
	(ephy_sidebar_extension_init), (ephy_sidebar_extension_finalize),
	(ephy_sidebar_extension_class_init):
	* extensions/sidebar/ephy-sidebar-extension.h:
	R extensions/sidebar/ephy-sidebar-marshal.list:
	R extensions/sidebar/mozilla/.cvsignore:
	R extensions/sidebar/mozilla/Makefile.am:
	R extensions/sidebar/mozilla/Sidebar.cpp:
	R extensions/sidebar/mozilla/Sidebar.h:
	R extensions/sidebar/mozilla/register-component.cpp:
	R extensions/sidebar/mozilla/register-component.h:

	Hook into the "add-sidebar" signal in epiphany, this avoids
	problems with unloading the extension. Fixes bug #156849 and 
	bug #157088
	
2004-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sample-mozilla/ephy-sample2-extension.c:
	(impl_attach_tab), (impl_detach_tab),
	(ephy_sample2_extension_iface_init),
	(ephy_sample2_extension_class_init),
	(ephy_sample2_extension_get_type),
	(ephy_sample2_extension_register_type):
	* extensions/sample-mozilla/ephy-sample2-extension.h:
	* extensions/sample-mozilla/sample-mozilla.c:

	Add stubs for attach/detach_tab, and fix a few annoyances.

2004-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sample/ephy-sample-extension.c:
	(ephy_sample_extension_finalize), (impl_attach_tab),
	(impl_detach_tab), (ephy_sample_extension_iface_init),
	(ephy_sample_extension_class_init),
	(ephy_sample_extension_get_type),
	(ephy_sample_extension_register_type):
	* extensions/sample/ephy-sample-extension.h:
	* extensions/sample/sample.c:

	Add stubs for attach/detach_tab, and fix a few annoyances.

2004-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:

	Snip fragment when trying to find a cache entry. Fixes bug #161201.

2004-12-29  Jean-François Rameau

	* extensions/page-info/page-info-dialog.c:
	(page_info_drag_begin_cb), (media_save_medium_cb),
	(media_set_image_as_background_cb), (media_copy_medium_address_cb),
	(media_drag_data_get_cb), (media_info_page_construct),
	(links_drag_data_get_cb), (links_info_page_construct):
	* include/Makefile.am:
	* include/ephy-dnd.h:

	Add DND to Media and Links tabs, and plug a few mem leaks.
	Fixes bug #

2004-12-24  Christian Persch  <chpe@cvs.gnome.org> 
	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(open_bookmark_cb), (ephy_bookmarks_tray_extension_init):
	* include/Makefile.am:
	* include/ephy-link.h:

	Update for changed Epiphany API.

2004-12-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(connect_proxy_cb):

	Don't turn underscores off for the main menu entries, only for the
	smart bookmark entries. Fixes bug #161832.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

	* extensions/page-info/page-info-dialog.c:
	(page_info_media_box_realize_cb):

	Better fix.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.4 ===

	* NEWS:
	* configure.ac:
	* extensions/page-info/page-info-dialog.c:
	(page_info_media_box_realize_cb):

	Don't load pages while the embed isn't realised yet. Fixes bug #161815.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.3 ===

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:

	Updated for version 1.5.3.

2004-12-17  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Removed two spaces at the beginning of the file.

2004-12-17  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(string_list_to_array), (show_extension_info):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Use GtkAboutDialog (Bug #161519).

	* extensions/gestures/ephy-gestures-extension.c: (impl_attach_tab),
	(impl_detach_tab), (ephy_gestures_extension_iface_init):

	Take advantage of attach_tab and detach_tab.

2004-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-context-ui.xml:
	* extensions/page-info/page-info-dialog.c:
	(media_set_image_as_background_cb), (media_copy_medium_address_cb),
	(media_info_page_filter):

	Fix context menu on Media page.

2004-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info.glade:

	Make url and referrer ellipsised in the middle, not at the end.

2004-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/page-info-dialog.c: (page_info_set_text),
	(general_info_page_fill):
	* extensions/page-info/page-info.glade:

	Use ellipsised labels instead of entries for title, and referrer fields.
	Get charset per DOM window, not globally. Fix empty referrer display.

2004-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/select-stylesheet/ephy-css-menu.c:
	(create_stylesheet_action), (connect_proxy_cb),
	(ephy_css_menu_rebuild):
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(sync_bookmark_properties), (connect_proxy_cb),
	(impl_attach_window):
	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(ephy_tab_move_menu_get_type), (ephy_tab_move_menu_register_type),
	(add_action_and_menu_item), (connect_proxy_cb),
	(update_tab_move_menu_cb), (ephy_tab_move_menu_finalize),
	(ephy_tab_move_menu_class_init):

	Remove usage of ephy_string_*, and use ellipsized, max-width-chars,
	non-use-underline labels instead.

	* include/Makefile.am:
	R include/ephy-string.h:

	Removed ephy-string.h.

2004-12-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-context-ui.xml:
	* extensions/page-info/page-info-dialog.c:
	(treeview_info_page_button_pressed_cb),
	(mozilla_embed_type_to_string), (media_get_selected_medium_type),
	(media_is_embedded_medium), (media_get_selected_medium_url),
	(save_a_medium), (download_path_response_cb),
	(media_open_medium_cb), (media_save_medium_cb),
	(media_set_image_as_background_cb), (media_copy_medium_address_cb),
	(page_info_media_box_realize_cb),
	(media_treeview_selection_changed_cb), (media_info_page_filter),
	(media_info_page_construct), (media_info_page_fill),
	(media_info_page_new), (page_info_dialog_init):
	* extensions/page-info/page-info.glade:

	Add "Media" tab and remove "Images" tab. Add medium type column.
	Don't show embeds and objects.
	Patch by Jean-François Rameau.
 	
2004-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add deprecation flags in maintainer mode.

	* Makefile.am:
	* extensions/adblock/Makefile.am:
	* extensions/adblock/mozilla/Makefile.am:
	* extensions/bookmarks-tray/Makefile.am:
	* extensions/certificates/Makefile.am:
	* extensions/dashboard/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/error-viewer/opensp/Makefile.am:
	* extensions/extensions-manager-ui/Makefile.am:
	* extensions/gestures/Makefile.am:
	* extensions/page-info/Makefile.am:
	* extensions/page-info/mozilla/Makefile.am:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample-mozilla/mozilla/Makefile.am:
	* extensions/sample/Makefile.am:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/select-stylesheet/mozilla/Makefile.am:
	* extensions/sidebar/Makefile.am:
	* extensions/sidebar/mozilla/Makefile.am:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/smart-bookmarks/mozilla/Makefile.am:
	* extensions/tab-groups/Makefile.am:
	* extensions/tabsmenu/Makefile.am:
	* extensions/toolbar-extras/Makefile.am:

	INCLUDES is deprecated. Split into target_CPPFLAGS and target_CFLAGS
	or target_CXXFLAGS.

	* extensions/adblock/extension.c: (register_module):
	* extensions/certificates/extension.c: (register_module):
	* extensions/extensions-manager-ui/extension.c: (register_module):
	* extensions/sample-mozilla/sample-mozilla.c: (register_module):
	* extensions/sample/sample.c: (register_module):
	* extensions/tab-groups/tab-groups.c: (register_module):
	* extensions/tabsmenu/tabs-menu.c: (register_module):

	Use EPHY_EXTENSIONS_LOCALEDIR throughout.

	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* extensions/adblock/mozilla/mozilla-helpers.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:
	* extensions/error-viewer/mozilla/mozilla-helpers.cpp:
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:
	* extensions/error-viewer/mozilla/register-listener.cpp:
	* extensions/error-viewer/opensp/validate.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/sample-mozilla/mozilla/mozilla-sample.cpp:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:
	* extensions/sidebar/mozilla/Sidebar.cpp:
	* extensions/sidebar/mozilla/register-component.cpp:
	* extensions/smart-bookmarks/mozilla/mozilla-selection.cpp:

	Include mozilla-config.h, and don't #ifdef HAVE_CONFIG_H
	the config.h inclusion.

2004-12-06  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c:
	(treeview_info_page_button_pressed_cb), (general_info_page_fill),
	(page_info_dialog_constructor):
	* extensions/page-info/page-info.glade:
	* extensions/sample/ephy-sample-extension.c: (tray_icon_added_cb),
	(tray_icon_removed_cb), (message_sent_cb), (message_cancelled_cb),
	(lost_selection_cb), (ephy_sample_extension_init),
	(ephy_sample_extension_finalize):
	* include/EphyUtils.h:

	Also list applet, embed and object elements. Work in progress.

2004-12-06  Christian Persch  <chpe@cvs.gnome.org>

	* include/EphyUtils.h:

	Update from Epiphany.

2004-12-05  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gesture.c: (unmap_event_cb),
	(ephy_gesture_start):

	Fix epiphany-extensions equivalent of galeon bug #160228.

2004-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix --with-extensions help string.

2004-11-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-11-29  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.2 ===

	* NEWS:
	* configure.ac:

	Updated for 1.5.2.

2004-11-28  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tab-groups/ephy-tab-grouper.c: (reset_last_tab),
	(tab_added_cb), (ephy_tab_grouper_finalize):

	Use ephy_notebook_move_tab instead of gtk_notebook_reorder_child,
	and simplify the code a bit.

2004-11-27  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(menu_position_func):

	Fix menu positioning with top panel. Code adapted from gnome-panel's
	menu-util.c. Fixes bug #157053.

2004-11-27  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Add copy-template to EXTRA_DIST.

2004-11-25  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/register-listener.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/sidebar/mozilla/register-component.cpp:

	Fix build with latest mozilla trunk.

	* include/Makefile.am:
	* include/ephy-file-chooser.h:

	Fix build.

2004-11-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Fix a couple of warnings.

2004-11-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/Makefile.am:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c: (treeview_filter_popup),
	(treeview_info_page_button_pressed_cb),
	(images_get_selected_image_url), (save_an_image),
	(download_path_response_cb), (images_save_image_cb),
	(images_set_image_as_background_cb),
	(images_copy_image_address_cb),
	(images_treeview_selection_changed_cb),
	(images_info_page_construct), (images_info_page_fill),
	(links_info_page_fill), (forms_info_page_fill),
	(page_info_dialog_constructor), (page_info_dialog_finalize):
	
	Converted to using a DOM tree walker. While walking the tree,
	check for CSS background images, and add those to the list too.
	Avoid duplicate links by keeping a hash of already-seen links.
	Also pick up mailto: links, and add those at top of Links
	tab.
	Patch by Jean-François Rameau.

2004-11-21  Christian Persch  <chpe@cvs.gnome.org>

	* include/EphyUtils.h:

	Sync'd with epiphany.

2004-11-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update Epiphany dependency to 1.5.1.90.

	* extensions/certificates/Makefile.am:
	* extensions/certificates/ephy-certificates-extension.c:
	(view_certificate_cb), (tab_added_cb), (tab_removed_cb),
	(padlock_button_press_cb):
	* extensions/certificates/mozilla/.cvsignore:
	* extensions/certificates/mozilla/Makefile.am:
	* extensions/certificates/mozilla/MozillaEmbedCertificate.cpp:
	* extensions/certificates/mozilla/MozillaEmbedCertificate.h:
	* extensions/certificates/mozilla/mozilla-embed-certificate.cpp:
	* extensions/certificates/mozilla/mozilla-embed-certificate.h:

	Use ephy_embed_show_page_certificate ().

2004-11-15  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.h:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:
	* extensions/error-viewer/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:
	* extensions/sidebar/mozilla/Sidebar.cpp:
	* extensions/smart-bookmarks/mozilla/mozilla-selection.cpp:

	Fix compilation with latest mozilla trunk.

2004-11-13  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/sidebar/ephy-sidebar-embed.h: Fix a couple of
	typos in the boilerplate GObject defines

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	(treeview_info_page_show_popup):

	Select first menu item when popping the menu up with keyboard.

2004-11-04  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tab-groups/ephy-tab-grouper.c: (reset_last_tab):

	Return FALSE to tab_delete signal.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.1 ===

	* extensions/Makefile.am:

	Add missing extensions to DIST_SUBDIRS, and comment out adblock extension.

	* extensions/bookmarks-tray/Makefile.am:

	Fix EXTRA_DIST.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix aclocal flags.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Bump version number.

	* extensions/sample-mozilla/sample-mozilla.c:

	Fix warning.

2004-10-30  Adam Hooper  <adamh@cvs.gnome.org>

	* tools/copy-template:

	Automatically edit configure.ac and extensions/Makefile.am

2004-10-30  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/writing-epiphany-extensions.xml:

	Use <example> tags, and update things to deal with unloading
	extensions.

2004-10-30  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/writing-epiphany-extensions.xml:

	A few updates, not yet complete but at least it doesn't refer to
	"ephyplugins" any more!

2004-10-30  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(display_from_info), (fill_list_store), (extension_toggle_cb),
	(active_sync), (extension_added_cb), (extension_removed_cb),
	(extensions_manager_ui_init), (extensions_manager_ui_finalize):

	Listen to ephy-extension-manager's added/removed signals to add/remove
	extensions from the list.

2004-10-29  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:

	Fix include.

	* include/Makefile.am:
	A include/ephy-bookmarks-menu.h:

	Added from epiphany.

2004-10-29  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/Makefile.am:
	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(edit_bookmarks_cb):
	* extensions/bookmarks-tray/ephy-bookmarks-tray-ui.xml:

	Add "Edit Bookmarks" to context menu.

2004-10-28  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(extensions_manager_ui_response_cb):

	Don't dismiss the dialogue when pressing the Help button.

2004-10-28  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(menu_position_func), (show_context_menu), (show_menu):

	Better menu positioning function, adapted from netapplet.

2004-10-28  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(button_size_allocate_cb), (ephy_bookmarks_tray_extension_init),
	(ephy_bookmarks_tray_extension_finalize):

	Remove dead code.

2004-10-28  Christian Persch  <chpe@cvs.gnome.org>

	* include/Makefile.am:
	* include/eggtrayicon.h:

	Add eggtrayicon header from epiphany.

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/bookmarks-tray/.cvsignore:
	* extensions/bookmarks-tray/Makefile.am:
	* extensions/bookmarks-tray/README:
	* extensions/bookmarks-tray/patch.diff:
	* extensions/bookmarks-tray/bookmarks-tray.xml.in.in:
	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.c:
	(ephy_bookmarks_tray_extension_get_type),
	(ephy_bookmarks_tray_extension_register_type),
	(tray_button_press_cb), (button_size_allocate_cb),
	(open_bookmark_cb), (show_context_menu), (menu_deactivate_cb),
	(show_menu), (button_toggled_cb), (button_pressed_cb),
	(button_button_press_cb), (button_popup_menu_cb),
	(type_from_prefs), (open_in_changed_cb),
	(ephy_bookmarks_tray_extension_init),
	(ephy_bookmarks_tray_extension_finalize), (impl_attach_window),
	(impl_detach_window), (ephy_bookmarks_tray_extension_iface_init),
	(ephy_bookmarks_tray_extension_class_init):
	* extensions/bookmarks-tray/ephy-bookmarks-tray-extension.h:
	* extensions/bookmarks-tray/ephy-bookmarks-tray-ui.xml:
	* extensions/bookmarks-tray/extension.c: (register_module):
	* extensions/page-info/ephy-page-info-extension.c: (update_action),
	(impl_attach_window):

	Add "Bookmarks Tray" extension.

	* po/POTFILES.in:
	* po/POTFILES.skip:

	Updated.

2004-10-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sidebar/ephy-sidebar-extension.c:
	(add_dialog_response_cb), (impl_add_sidebar):

	Use new gtk+ HIG message dialogue API.

2004-10-25  Adam Hooper  <adamh@cvs.gnome.org>

	* tools/copy-template:

	Copy .xml.in.in files.

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(show_extension_info):

	Use ephy_dialog_get_controls().

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Fix alignment of "Authors" label.

2004-10-21  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(show_extension_info):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Destroy info dialogs with Extension Manager UI dialog

2004-10-21  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(extensions_manager_ui_info_dialog_response_cb),
	(show_extension_info), (fill_list_store), (extension_toggle_cb),
	(active_sync), (row_activated), (build_ui):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Change the "id" column in the TreeModel to an "info" column holding a
	pointer to an EphyExtensionInfo. Using this, make row-activated in the
	treeview open a dialog describing an extension.

2004-10-19  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:

	Don't compile adblock by default: Mozilla support sucks and we have to
	decide whether to change EphyContentPolicy, support only loading
	extensions on Ephy start, or wait for Mozilla's Bug #246092.

2004-10-18  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Modernised.

2004-10-17  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(impl_attach_window), (impl_detach_window):

	Detach correctly from the window. Fixes bug #155388.

2004-10-17  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/Makefile.am:
	* extensions/certificates/Makefile.am:
	* extensions/dashboard/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/extensions-manager-ui/Makefile.am:
	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(build_ui):
	* extensions/gestures/Makefile.am:
	* extensions/page-info/Makefile.am:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample/Makefile.am:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/sidebar/Makefile.am:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/tab-groups/Makefile.am:
	* extensions/tabsmenu/Makefile.am:
	* extensions/toolbar-extras/Makefile.am:

	Fix the extensions .xml description file build process, thanks to Crispin
	for the idea.

2004-10-16  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(active_sync), (build_ui):

	Don't make the extensions description ediable. Fixes bug #155389.

2004-10-13  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window):
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(rebuild_ui):

	Add separators in the Tools menu.

2004-10-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(extensions_manager_ui_response_cb), (fill_list_store),
	(active_sync), (build_ui), (extensions_manager_ui_init),
	(extensions_manager_ui_finalize),
	(extensions_manager_ui_class_init), (extensions_manager_ui_new):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:

	Fix dialogue to actually be a GtkDialog.

2004-10-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.c: (ephy_extensions_manager_ui_extension_get_type),
	(ephy_extensions_manager_ui_extension_register_type),
	(ephy_extensions_manager_ui_extension_finalize), (display_cb),
	(impl_attach_window),
	(ephy_extensions_manager_ui_extension_class_init):

	Make dialogue transient to the opening window.

2004-10-13  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/extensions-manager-ui/.cvsignore:
	* extensions/extensions-manager-ui/Makefile.am:
	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.c: (ephy_extensions_manager_ui_extension_get_type),
	(ephy_extensions_manager_ui_extension_register_type),
	(ephy_extensions_manager_ui_extension_init),
	(ephy_extensions_manager_ui_extension_finalize),
	(free_window_data), (display_cb), (impl_attach_window),
	(impl_detach_window),
	(ephy_extensions_manager_ui_extension_iface_init),
	(ephy_extensions_manager_ui_extension_class_init):
	* extensions/extensions-manager-ui/ephy-extensions-manager-ui-exten
	sion.h:
	* extensions/extensions-manager-ui/extension.c: (register_module):
	* extensions/extensions-manager-ui/extensions-manager-ui.c:
	(extensions_manager_ui_get_type),
	(extensions_manager_ui_register_type), (extensions_manager_ui_new),
	(fill_list_store), (extension_toggle_cb), (active_sync),
	(build_ui), (extensions_manager_ui_init),
	(extensions_manager_ui_class_init),
	(extensions_manager_ui_finalize), (extensions_manager_ui_close_cb):
	* extensions/extensions-manager-ui/extensions-manager-ui.glade:
	* extensions/extensions-manager-ui/extensions-manager-ui.h:
	* extensions/extensions-manager-ui/extensions-manager-ui.xml.in.in:

	Added extensions-manager-ui extension (though it's not enabled by
	default since it requires Christian's patch to Epiphany).

2004-10-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/Makefile.am:
	* extensions/adblock/adblock.xml.in.in:
	* extensions/certificates/Makefile.am:
	* extensions/certificates/certificates.xml.in.in:
	* extensions/dashboard/Makefile.am:
	* extensions/dashboard/dashboard.xml.in.in:
	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/error-viewer.xml.in.in:
	* extensions/gestures/Makefile.am:
	* extensions/gestures/gestures.xml.in.in:
	* extensions/page-info/Makefile.am:
	* extensions/page-info/page-info.xml.in.in:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample-mozilla/sample-mozilla.xml.in.in:
	* extensions/sample/Makefile.am:
	* extensions/sample/sample.xml.in.in:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/select-stylesheet/select-stylesheet.xml.in.in:
	* extensions/sidebar/Makefile.am:
	* extensions/sidebar/sidebar.xml.in.in:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/smart-bookmarks/smart-bookmarks.xml.in.in:
	* extensions/tab-groups/Makefile.am:
	* extensions/tab-groups/tab-groups.xml.in.in:
	* extensions/tabsmenu/Makefile.am:
	* extensions/tabsmenu/tabsmenu.xml.in.in:
	* extensions/toolbar-extras/Makefile.am:
	* extensions/toolbar-extras/toolbar-extras.xml.in.in:

	Fix the .xml files.

2004-10-11  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/sgml-validator.c: (convert_to_utf8):

	64-bit fix. Patch by Andrzej Dopierała.

2004-10-11  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/Makefile.am:
	* extensions/certificates/Makefile.am:
	* extensions/dashboard/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/gestures/Makefile.am:
	* extensions/page-info/Makefile.am:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample/Makefile.am:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/sidebar/Makefile.am:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/tab-groups/Makefile.am:
	* extensions/tabsmenu/Makefile.am:
	* extensions/toolbar-extras/Makefile.am:

	Substitute library name. Still doesn't work when building from clean,
	since the .xml is built first, not after lib*.la.

2004-10-10  Christian Persch  <chpe@cvs.gnome.org>

	* autogen.sh:
	* configure.ac:
	* extensions/adblock/.cvsignore:
	* extensions/adblock/Makefile.am:
	* extensions/adblock/adblock.xml.in.in:
	* extensions/certificates/.cvsignore:
	* extensions/certificates/Makefile.am:
	* extensions/certificates/certificates.xml.in.in:
	* extensions/dashboard/.cvsignore:
	* extensions/dashboard/Makefile.am:
	* extensions/dashboard/dashboard.xml.in.in:
	* extensions/error-viewer/.cvsignore:
	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/error-viewer.xml.in.in:
	* extensions/gestures/.cvsignore:
	* extensions/gestures/Makefile.am:
	* extensions/gestures/gestures.xml.in.in:
	* extensions/page-info/.cvsignore:
	* extensions/page-info/Makefile.am:
	* extensions/page-info/page-info.xml.in.in:
	* extensions/sample-mozilla/.cvsignore:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample-mozilla/sample-mozilla.xml.in.in:
	* extensions/sample/.cvsignore:
	* extensions/sample/Makefile.am:
	* extensions/sample/sample.xml.in.in:
	* extensions/select-stylesheet/.cvsignore:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/select-stylesheet/select-stylesheet.xml.in.in:
	* extensions/sidebar/.cvsignore:
	* extensions/sidebar/Makefile.am:
	* extensions/sidebar/sidebar.xml.in.in:
	* extensions/smart-bookmarks/.cvsignore:
	* extensions/smart-bookmarks/Makefile.am:
	* extensions/smart-bookmarks/smart-bookmarks.xml.in.in:
	* extensions/tab-groups/.cvsignore:
	* extensions/tab-groups/Makefile.am:
	* extensions/tab-groups/tab-groups.xml.in.in:
	* extensions/tabsmenu/.cvsignore:
	* extensions/tabsmenu/Makefile.am:
	* extensions/tabsmenu/tabsmenu.xml.in.in:
	* extensions/toolbar-extras/.cvsignore:
	* extensions/toolbar-extras/Makefile.am:
	* extensions/toolbar-extras/toolbar-extras.xml.in.in:
	* po/POTFILES.skip:

	Add extension description files.

2004-10-08  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/sidebar/mozilla/Sidebar.cpp
	* extensions/sidebar/mozilla/Sidebar.h:

	Remove the SidebarProxy destructor, it avoids a one potential
	crash after the extension has been unloaded

2004-10-08  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/sidebar/ephy-sidebar-extension.c: (cmd_view_sidebar),
	(window_ppv_mode_notify_cb), (impl_attach_window),
	(impl_detach_window):

	Hide the sidebar when in print preview mode.
	
2004-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-context-ui.xml:
	* extensions/page-info/page-info-dialog.c:
	(links_get_selected_link_url), (links_copy_link_address_cb),
	(links_info_page_construct):

	Implement context menu in "Links" tab.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.c: (build_ui):
	* extensions/page-info/page-info-dialog.c:
	(page_info_dialog_constructor):
	* extensions/smart-bookmarks/smart-bookmarks-prefs-ui.c:
	(smart_bookmarks_show_prefs_ui_cb):

	Set window icon.

2004-10-02  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/adblock/mozilla/mozilla-helpers.cpp:

	crispin: noda: btw, I think you want (PR_FALSE, PR_FALSE) in the the
	AddCategoryEntry call, and PR_TRUE in the DeleteCategoryEntry call

2004-10-02  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/adblock/extension.c: (register_module):

	:s/        /^I/g

2004-10-02  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/adblock/ephy-adblock-extension.c:
	(ephy_adblock_extension_init), (ephy_adblock_extension_finalize):
	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* extensions/adblock/mozilla/MozAdBlocker.h:
	* extensions/adblock/mozilla/mozilla-helpers.cpp:
	* extensions/adblock/mozilla/mozilla-helpers.h:

	Actually register/unregister, and don't crash on Epiphany close.
	However, we're forced to crash on page load after the extension is
	unloaded. Obviously, this code isn't final. Thanks to Crispin for the
	static-ness in MozAdBlocker.

2004-09-27  Crispin Flowerday  <gnome@flowerday.cx>

	* extensions/sidebar/ephy-sidebar-embed.c 
	(ephy_sidebar_embed_map): 

	Remove unneeded signal

2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* AUTHORS:
	* configure.ac:
	* extensions/Makefile.am:
	A extensions/sidebar/Makefile.am:
	A extensions/sidebar/ephy-sidebar-embed.c:
	A extensions/sidebar/ephy-sidebar-embed.h:
	A extensions/sidebar/ephy-sidebar-extension.c:
	A extensions/sidebar/ephy-sidebar-extension.h:
	A extensions/sidebar/ephy-sidebar-marshal.list:
	A extensions/sidebar/ephy-sidebar.c: 
	A extensions/sidebar/ephy-sidebar.h:
	A extensions/sidebar/epiphany-sidebar-ui.xml:
	A extensions/sidebar/extension.c: (register_module):
	A extensions/sidebar/mozilla/Makefile.am:
	A extensions/sidebar/mozilla/Sidebar.cpp:
	A extensions/sidebar/mozilla/Sidebar.h:
	A extensions/sidebar/mozilla/register-component.cpp:
	A extensions/sidebar/mozilla/register-component.h:
	A extensions/sidebar/sidebar-commands.c: (get_event_info),
	A extensions/sidebar/sidebar-commands.h:
	* include/Makefile.am:
	A include/ephy-prefs.h:
	* po/POTFILES.in:
	* po/POTFILES.skip:

	Added "Sidebar" extension, written by Crispin Flowerday.

2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	* include/Makefile.am:
	* include/ephy-state.h:

	Remove ephy-state, it's now installed by epiphany.

2004-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/smart-bookmarks/smart-bookmarks-prefs-ui.c:
	(smart_bookmarks_show_prefs_ui_cb):

	Fix crash.

2004-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/adblock/Makefile.am:
	* extensions/adblock/ad-blocker.c: (ad_blocker_init),
	(ad_blocker_finalize):
	* extensions/adblock/extension.c:
	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window):
	* extensions/certificates/extension.c:
	* extensions/dashboard/dashboard-frontend-xmlwriter.c:
	(dashboard_connect_with_timeout):
	* extensions/dashboard/ephy-dashboard-extension.c:
	(impl_attach_window), (impl_detach_window),
	(ephy_dashboard_extension_class_init):
	* extensions/dashboard/ephy-dashboard-extension.h:
	* extensions/dashboard/ephy-dashboard.c: (register_module):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	* extensions/error-viewer/error-viewer.c: (build_ui),
	(error_viewer_finalize):
	* extensions/error-viewer/error-viewer.h:
	* extensions/error-viewer/extension.c:
	* extensions/error-viewer/link-checker.c:
	(link_checker_append_internal), (link_checker_init),
	(link_checker_finalize):
	* extensions/error-viewer/sgml-validator.c: (sgml_validator_init),
	(sgml_validator_finalize), (save_source_completed_cb),
	(sgml_validator_append_internal):
	* extensions/gestures/ephy-gesture.c: (motion_cb):
	* extensions/gestures/ephy-gestures-extension.c: (load_gestures),
	(gesture_performed_cb), (dom_mouse_down_cb):
	* extensions/gestures/gestures.c:
	* extensions/page-info/ephy-page-info-extension.c:
	(ephy_page_info_extension_finalize):
	* extensions/page-info/extension.c:
	* extensions/page-info/page-info-dialog.c:
	(general_info_page_fill), (page_info_image_box_realize_cb),
	(images_treeview_selection_changed_cb), (images_info_page_fill),
	(links_info_page_construct), (links_info_page_fill),
	(forms_info_page_construct), (forms_info_page_fill),
	(page_info_dialog_init), (page_info_dialog_constructor):
	* extensions/sample-mozilla/sample-mozilla.c:
	* extensions/sample/sample.c: (register_module):
	* extensions/select-stylesheet/ephy-css-menu.c:
	* extensions/select-stylesheet/extension.c:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(search_gnome_dict_cb), (context_menu_cb), (tab_removed_cb),
	(smart_bookmarks_extension_finalize):
	* extensions/smart-bookmarks/smart-bookmarks-prefs-ui.c:
	(smart_bookmarks_show_prefs_ui_cb):
	* extensions/smart-bookmarks/smart-bookmarks.c:
	* extensions/tab-groups/ephy-tab-grouper.c: (tab_added_cb):
	* extensions/tab-groups/ephy-tab-groups-extension.c:
	(ephy_tab_groups_extension_register_type):
	* extensions/tab-groups/tab-groups.c:
	* extensions/tabsmenu/ephy-tab-move-menu.c: (find_action_group),
	(update_tab_move_menu_cb):
	* extensions/tabsmenu/ephy-tabs-menu-extension.c:
	(ephy_tabs_menu_extension_finalize):
	* extensions/tabsmenu/tabs-menu.c:

	Fix compiler warnings.

2004-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add warnings to CFLAGS and CXXFLAGS.

2004-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c:
	(impl_attach_window):

	Fix a stupid bug.

2004-09-25  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/select-stylesheet/ephy-css-menu.c:
	(create_stylesheet_action):
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:

	Don't block stylesheets without "media" attribute. Shorten menu
	entries to 32 chars max. Fixes bug #153710.

2004-09-25  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:

	Always load unnamed stylesheets. (Bug #153739, misunderstanding when
	porting from Galeon).

2004-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window), (impl_detach_window):
	* extensions/dashboard/ephy-dashboard-extension.c:
	(impl_detach_window):
	* extensions/gestures/ephy-gestures-extension.c:
	(impl_attach_window), (impl_detach_window):
	* extensions/page-info/ephy-page-info-extension.c:
	(impl_attach_window), (impl_detach_window):
	* extensions/select-stylesheet/ephy-css-menu.c:
	(ephy_css_menu_set_embed), (sync_active_tab_cb),
	(ephy_css_menu_set_window), (ephy_css_menu_finalize),
	(ephy_css_menu_set_property):
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(impl_attach_window), (impl_detach_window):
	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(ephy_tab_move_menu_finalize):

	Make all extensions unload-proof.

2004-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(impl_detach_window):

	Fix crash after unloading the error-viewer extension.
	Fixes bug #153712.

2004-09-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/opensp/validate.cpp:
	* extensions/error-viewer/sgml-validator.c: (opensp_thread),
	(save_source_completed_cb):
	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Fix mem leaks reported by chpe. Bugs #153470, 153471, 153473.

2004-09-22  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Make API checks really work.

	* extensions/adblock/mozilla/MozAdBlocker.cpp:

	Remove obsolete include.
	
2004-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove obsolete mozilla version checks.

2004-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/adblock/mozilla/MozAdBlocker.cpp:

	Simplified nsIContentPolicy API check.

2004-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* include/Makefile.am:
	* include/mozilla-version.h:

	New-style mozilla API checks.

2004-09-19  Adam Hooper  <adamh@cvs.gnome.org>

	* README:

	Added README note about adblock

2004-09-19  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/adblock/.cvsignore:
	* extensions/adblock/Makefile.am:
	* extensions/adblock/ad-blocker.c: (ad_blocker_get_type),
	(ad_blocker_register_type), (ad_blocker_new),
	(ad_blocker_class_init), (ad_blocker_test_uri),
	(load_patterns_file), (load_patterns), (ad_blocker_init),
	(ad_blocker_finalize):
	* extensions/adblock/ad-blocker.h:
	* extensions/adblock/adblock-patterns:
	* extensions/adblock/ephy-adblock-extension.c:
	(ephy_adblock_extension_get_type),
	(ephy_adblock_extension_register_type),
	(ephy_adblock_extension_init), (ephy_adblock_extension_finalize),
	(impl_attach_window), (impl_detach_window),
	(ephy_adblock_extension_iface_init),
	(ephy_adblock_extension_class_init):
	* extensions/adblock/ephy-adblock-extension.h:
	* extensions/adblock/extension.c: (register_module):
	* extensions/adblock/mozilla/.cvsignore:
	* extensions/adblock/mozilla/Makefile.am:
	* extensions/adblock/mozilla/MozAdBlocker.cpp:
	* extensions/adblock/mozilla/MozAdBlocker.h:
	* extensions/adblock/mozilla/mozilla-helpers.cpp:
	* extensions/adblock/mozilla/mozilla-helpers.h:

	Created preliminary "adblock" extension.

2004-09-18  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/sample-mozilla/sample-mozilla.c: (register_module):
	* tools/copy-template:

	Created copy-template script.
	Renamed a 'Sample' to 'Sample2' in the sample-mozilla extension.

2004-09-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	(treeview_info_page_show_popup),
	(treeview_info_page_button_pressed_cb):

	Fix context menu positioning.

	* include/ephy-gui.h:

	Update from Epiphany.

2004-09-13  Adam Hooper  <adamh@cvs.gnome.org>

	* README:
	* configure.ac:

	Typo fix in README, and add tab-groups to default_extensions

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(sync_security_status), (impl_attach_window), (impl_detach_window):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(update_actions), (impl_attach_window), (impl_detach_window):
	* extensions/gestures/ephy-gestures-extension.c:
	(gesture_performed_cb):
	* extensions/page-info/ephy-page-info-extension.c: (update_action),
	(impl_attach_window), (impl_detach_window):
	* extensions/select-stylesheet/ephy-css-menu.c:
	(ephy_css_menu_set_window):
	* extensions/smart-bookmarks/smart-bookmarks-extension.c:
	(impl_attach_window):
	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(ephy_tab_move_menu_set_window):
	* extensions/toolbar-extras/ephy-toolbar-extras-extension.c:
	(find_action_group):

	Use ephy_window_get_ui_manager() instead of the struct member.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:

	Remove debugging aid.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:

	Skip style sheets not for "screen" or "all" media.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:

	Include gi18n-lib.h, not gi18n.h.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/select-stylesheet/ephy-css-menu.c:
	(activate_stylesheet_cb), (create_stylesheet_action),
	(ephy_css_menu_rebuild):
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.h:

	Cleanup of mozilla stylesheet handling.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/select-stylesheet/ephy-css-menu.c:
	(ephy_css_menu_set_window):

	Don't ref the UI manager.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/select-stylesheet/ephy-css-menu.c:
	(ephy_css_menu_register_type), (activate_stylesheet_cb),
	(create_stylesheet_action), (ephy_css_menu_rebuild),
	(ephy_css_menu_set_embed), (sync_active_tab_cb),
	(ephy_css_menu_set_window), (ephy_css_menu_finalize),
	(ephy_css_menu_init), (ephy_css_menu_get_property),
	(ephy_css_menu_set_property), (ephy_css_menu_class_init),
	(ephy_css_menu_new):
	* extensions/select-stylesheet/ephy-css-menu.h:
	* extensions/select-stylesheet/ephy-select-stylesheet-extension.c:
	(ephy_select_stylesheet_extension_init),
	(ephy_select_stylesheet_extension_class_init),
	(impl_attach_window):
	* extensions/select-stylesheet/ephy-select-stylesheet-extension.h:

	Converted to UTF-8. s/EphyCssMenu/EphyCSSMenu/g. Misc cleanups,
	simplifications and fixes.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix installation directory.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for epiphany-1.6, not -1.4.

	* extensions/dashboard/ephy-dashboard-extension.c:
	(load_status_cb):
	* extensions/error-viewer/sgml-validator.c:
	(sgml_validator_validate):
	* extensions/page-info/page-info-dialog.c: (images_save_image_cb),
	(images_set_image_as_background_cb),
	(page_info_image_box_realize_cb):

	Include ephy-embed-factory.h, and adapt to epiphany API change.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Updated for Epiphany 1.5.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.4.0 ===

	* extensions/Makefile.am:
	* include/Makefile.am:

	Make distcheck succeed.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:

	Version 1.4.0.

2004-09-13  Adam Hooper  <adamh@cvs.gnome.org>

	* README:
	* configure.ac:
	* extensions/Makefile.am:
	* extensions/select-stylesheet/.cvsignore:
	* extensions/select-stylesheet/Makefile.am:
	* extensions/select-stylesheet/ephy-css-menu.c:
	(ephy_css_menu_get_type), (ephy_css_menu_register_type),
	(activate_stylesheet_cb), (create_stylesheet_action),
	(ephy_css_menu_rebuild), (ephy_css_menu_set_embed),
	(sync_active_tab_cb), (ephy_css_menu_set_window),
	(ephy_css_menu_set_property), (ephy_css_menu_get_property),
	(ephy_css_menu_finalize_impl), (ephy_css_menu_init),
	(ephy_css_menu_class_init), (ephy_css_menu_new):
	* extensions/select-stylesheet/ephy-css-menu.h:
	* extensions/select-stylesheet/ephy-select-stylesheet-extension.c:
	(ephy_select_stylesheet_extension_get_type),
	(ephy_select_stylesheet_extension_register_type),
	(ephy_select_stylesheet_extension_init),
	(ephy_select_stylesheet_extension_finalize),
	(ephy_select_stylesheet_extension_class_init),
	(impl_attach_window), (impl_detach_window),
	(ephy_select_stylesheet_extension_iface_init):
	* extensions/select-stylesheet/ephy-select-stylesheet-extension.h:
	* extensions/select-stylesheet/extension.c: (register_module):
	* extensions/select-stylesheet/mozilla/.cvsignore:
	* extensions/select-stylesheet/mozilla/Makefile.am:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.cpp:
	* extensions/select-stylesheet/mozilla/mozilla-helpers.h:
	* po/POTFILES.in:

	Created Select Stylesheet extension (port from galeon-css-menu.c)
	Updated README

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/page-info-dialog.c:

	Misc cleanups.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/ephy-dashboard-extension.c:
	(ephy_dashboard_extension_init),
	(ephy_dashboard_extension_class_init):

	Comment out private-data stuff since it's empty.
	Noticed by Crispin.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	(ephy_page_info_extension_init):

	Comment out call to GET_PRIVATE too.

2004-09-12  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	* extensions/page-info/page-info.glade:

	Move "Source" to "Source File" section and underline "P" instead of
	"I" in menu entry

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c: (images_save_image_cb),
	(page_info_image_box_realize_cb), (images_info_page_construct):
	* extensions/page-info/page-info.glade:

	Unify code for context menu save-as and button save-as.
	
2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c: (images_save_image_cb),
	(images_set_image_as_background_cb),
	(images_copy_image_address_cb), (page_info_image_box_realize_cb):

	Implement context menu for the images embed.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-context-ui.xml:
	* extensions/page-info/page-info-dialog.c:
	(images_get_selected_image_url), (images_open_image_cb),
	(images_save_image_cb), (background_download_completed_cb),
	(images_set_image_as_background_cb),
	(images_copy_image_address_cb),
	(images_treeview_selection_changed_cb),
	(images_info_page_construct), (links_info_page_construct),
	(forms_info_page_construct):

	Implement context menu actions for "Images" page.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	(ephy_page_info_extension_class_init),
	(ephy_page_info_extension_display_cb), (update_action),
	(load_status_cb), (switch_page_cb), (tab_added_cb),
	(tab_removed_cb), (free_window_data), (impl_attach_window),
	(impl_detach_window):
	* extensions/page-info/page-info-dialog.c: (page_info_set_text),
	(general_info_page_fill):

	Misc cleanup and simplifications.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	(page_info_image_box_realize_cb), (links_info_page_construct),
	(page_info_dialog_finalize):

	Misc. cleanup. Free the info pages in finalize.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c: (images_save_image_cb),
	(images_info_page_construct):

	Make default VPaned position a #define.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	(images_info_page_construct), (images_info_page_fill),
	(links_info_page_construct), (forms_info_page_construct),
	(forms_info_page_fill), (page_info_dialog_init):
	A include/ephy-state.h:

	Misc cleanups. Remember the posistion of the VPaned on the
	images page.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	(treeview_info_page_show_popup),
	(treeview_info_page_button_pressed_cb),
	(treeview_info_page_construct), (general_info_page_new),
	(page_info_image_box_realize_cb), (images_info_page_construct),
	(images_info_page_fill), (images_info_page_new),
	(links_info_page_construct), (links_info_page_fill),
	(links_info_page_new), (forms_info_page_construct),
	(forms_info_page_fill), (forms_info_page_new),
	(page_info_dialog_init), (page_info_dialog_constructor):

	Factor out a generic treeview info page, and make the images,
	links and forms pages use that.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/Makefile.am:
	A extensions/page-info/page-info-context-ui.xml:
	* extensions/page-info/page-info-dialog.c: (images_save_image_cb),
	(images_page_show_popup), (images_treeview_button_pressed_cb),
	(images_treeview_popup_menu_cb), (images_info_page_construct),
	(images_info_page_fill), (forms_info_page_fill),
	(page_info_dialog_constructor), (page_info_dialog_set_property),
	(page_info_dialog_class_init), (page_info_dialog_new):
	* extensions/page-info/page-info-dialog.h:

	Add context menu for "Images" page.

2004-09-12  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c:
	(forms_info_page_construct), (forms_info_page_fill),
	(page_info_dialog_init):
	* extensions/page-info/page-info.glade:

	Added "Forms" tab. Also removed unported, commented-out context menu
	code.

2004-09-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c:
	(images_info_page_construct), (links_info_page_construct),
	(links_info_page_fill), (page_info_dialog_init):
	* extensions/page-info/page-info.glade:

	Added "Links" tab.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:

	Minor cleanup.

	* extensions/page-info/page-info.glade:

	Set "expand" to false on the general page's frames.

2004-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/page-info-dialog.c:
	(page_info_dialog_close_button_clicked_cb),
	(page_info_dialog_view_cert_button_clicked_cb),
	(page_info_set_text), (general_info_page_fill),
	(page_info_image_box_realize_cb),
	(page_info_dialog_imagesave_button_clicked_cb),
	(images_treeview_selection_changed_cb),
	(images_info_page_construct), (images_info_page_fill),
	(page_info_dialog_init), (page_info_dialog_constructor),
	(page_info_dialog_finalize), (page_info_dialog_class_init):
	* extensions/page-info/page-info-dialog.h:

	More code restructuring.

2004-09-11  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/page-info-dialog.c: (setup_page_images),
	(setup_page_general), (page_info_image_box_realize_cb),
	(page_info_dialog_init), (page_info_dialog_constructor),
	(page_info_dialog_finalize), (page_info_dialog_get_property),
	(page_info_dialog_set_property), (page_info_dialog_class_init),
	(page_info_dialog_new):
	* extensions/page-info/page-info-dialog.h:

	Modernise GObject usage. Install an embed property, use GObject constructor.

2004-09-11  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	* extensions/page-info/ephy-page-info-extension.h:
	* extensions/page-info/page-info-dialog.c:
	* extensions/page-info/page-info-dialog.h:

	Don't use the pre-historic gtk type check macros.

2004-09-11  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	(impl_attach_window):
	* extensions/page-info/mozilla/Makefile.am:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c: (setup_page_general):
	* extensions/page-info/page-info-dialog.h:

	Distinguish full std. compliance, almost std. compliance and quirks
	rendering mode.

2004-09-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	(impl_attach_window):
	* extensions/page-info/page-info.glade:

	HIGified Page Info dialog and put a separator after the menu entry.

2004-09-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/page-info/ephy-page-info-extension.c:
	(display_page_info):
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c: (setup_image_treeview),
	(setup_page_images_add_image), (setup_page_images),
	(page_info_dialog_new),
	(page_info_dialog_imagesave_button_clicked_cb),
	(images_treeview_selection_changed_cb),
	(page_info_image_box_realize_cb):
	* extensions/page-info/page-info.glade:

	Add Images tab to page-info dialog.

2004-09-11  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/page-info/.cvsignore:
	* extensions/page-info/Makefile.am:
	* extensions/page-info/ephy-page-info-extension.c:
	(ephy_page_info_extension_get_type),
	(ephy_page_info_extension_register_type),
	(ephy_page_info_extension_init),
	(ephy_page_info_extension_finalize),
	(ephy_page_info_extension_class_init), (display_page_info),
	(ephy_page_info_extension_display_cb), (update_action),
	(load_status_cb), (switch_page_cb), (tab_added_cb),
	(tab_removed_cb), (free_window_data), (impl_attach_window),
	(impl_detach_window), (ephy_page_info_extension_iface_init):
	* extensions/page-info/ephy-page-info-extension.h:
	* extensions/page-info/extension.c: (register_module):
	* extensions/page-info/mozilla/.cvsignore:
	* extensions/page-info/mozilla/Makefile.am:
	* extensions/page-info/mozilla/mozilla-helpers.cpp:
	* extensions/page-info/mozilla/mozilla-helpers.h:
	* extensions/page-info/page-info-dialog.c:
	(page_info_dialog_get_type), (page_info_dialog_register_type),
	(page_info_dialog_class_init), (page_info_set_text),
	(setup_page_general), (page_info_dialog_init),
	(page_info_dialog_finalize), (page_info_dialog_new),
	(page_info_dialog_close_button_clicked_cb),
	(page_info_dialog_view_cert_button_clicked_cb),
	(page_info_dialog_imagesave_button_clicked_cb),
	(images_treeview_selection_changed_cb),
	(page_info_image_box_realize_cb):
	* extensions/page-info/page-info-dialog.h:
	* extensions/page-info/page-info.glade:
	* po/POTFILES.in:

	Initial work on Page Info extension. It has the "General" tab but no
	others yet.

2004-09-09  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(sync_security_status), (tab_removed_cb), (free_window_data),
	(impl_attach_window), (impl_detach_window):
	* extensions/certificates/mozilla/mozilla-embed-certificate.cpp:
	* extensions/certificates/mozilla/mozilla-embed-certificate.h:

	Allow load/unload. Christian, you may want to double-check this.

	Note: after loading, any pages with SSL certificates will have to be
	reloaded before their certificates can be viewed -- the certificates
	are only found on page load.

2004-09-09  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(free_window_data), (impl_attach_window), (impl_detach_window):

	Fix mem leak with Christian's latest fix ;)

2004-09-08  Christian Persch  <chpe@cvs.gnome.org>

	* AUTHORS:
	* configure.ac:
	* extensions/Makefile.am:
	A extensions/smart-bookmarks/.cvsignore:
	A extensions/smart-bookmarks/Makefile.am:
	A extensions/smart-bookmarks/mozilla/.cvsignore:
	A extensions/smart-bookmarks/mozilla/Makefile.am:
	A extensions/smart-bookmarks/mozilla/mozilla-selection.cpp:
	A extensions/smart-bookmarks/mozilla/mozilla-selection.h:
	A extensions/smart-bookmarks/smart-bookmarks-extension.c:
	A extensions/smart-bookmarks/smart-bookmarks-extension.h:
	A extensions/smart-bookmarks/smart-bookmarks-prefs-ui.c:
	A extensions/smart-bookmarks/smart-bookmarks-prefs-ui.h:
	A extensions/smart-bookmarks/smart-bookmarks-prefs.h:
	A extensions/smart-bookmarks/smart-bookmarks.c: 
	A extensions/smart-bookmarks/smart-bookmarks.glade:

	New "smart-bookmarks" extension: search for the selected text
	using a smart bookmark.
	Written by Jean-François Rameau, with a bit of code refactoring
	by me.

2004-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(impl_attach_window), (impl_detach_window):

	Allocate a struct to store action group and merge ID
	on the window.

2004-09-07  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:

	Fix mem leak.

2004-09-07  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(ephy_tab_move_menu_finalize):
	* extensions/tabsmenu/ephy-tabs-menu-extension.c:
	(impl_detach_window):

	Allow load/unload of Tabs Menu extension.

2004-09-07  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(impl_attach_window), (impl_detach_window):

	Allow load/unload of Error Viewer extension.

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:

	=== Release 1.1.4 ===

2004-08-30  Christian Persch  <chpe@cvs.gnome.org>

	* include/eel-gconf-extensions.h:
	* include/egg-editable-toolbar.h:
	* include/ephy-debug.h:
	* include/ephy-embed-dialog.h:
	* include/ephy-favicon-cache.h:
	* include/ephy-file-helpers.h:
	* include/ephy-gui.h:
	* include/ephy-string.h:
	* include/mozilla-version.h:

	Update from Epiphany.

2004-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/Makefile.am:
	* extensions/certificates/extension.c: (register_module):
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample-mozilla/sample-mozilla.c: (register_module):
	* extensions/sample/Makefile.am:
	* extensions/tabsmenu/tabs-menu.c: (register_module):

	Initialise i18n.

2004-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* AUTHORS:
	* extensions/Makefile.am:
	* extensions/tab-groups/.cvsignore:
	* extensions/tab-groups/Makefile.am:
	* extensions/tab-groups/ephy-tab-grouper.c:
	(ephy_tab_grouper_get_type), (ephy_tab_grouper_register_type),
	(reset_last_tab), (tab_added_cb), (ephy_tab_grouper_set_notebook),
	(ephy_tab_grouper_init), (ephy_tab_grouper_finalize),
	(ephy_tab_grouper_set_property), (ephy_tab_grouper_get_property),
	(ephy_tab_grouper_class_init), (ephy_tab_grouper_new):
	* extensions/tab-groups/ephy-tab-grouper.h:
	* extensions/tab-groups/ephy-tab-groups-extension.c:
	(ephy_tab_groups_extension_get_type),
	(ephy_tab_groups_extension_register_type), (impl_attach_window),
	(impl_detach_window), (ephy_tab_groups_extension_init),
	(ephy_tab_groups_extension_iface_init),
	(ephy_tab_groups_extension_class_init):
	* extensions/tab-groups/ephy-tab-groups-extension.h:
	* extensions/tab-groups/tab-groups.c: (register_module):

	Add Tab Grouper extension, written by Justin Wake.

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	=== Release 1.1.3 ===

2004-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Version 1.1.3, depends on Epiphany 1.3.5.
	Make dist produce a .tar.bz2 too.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Depend on Epiphany latest cvs version.

2004-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(manage_certificates_cb):

	Use ephy_embed_single_open_window() to open the certificates
	manager chrome url, instead of copying all that code from
	mozilla-embed.

2004-08-06  Changwoo Ryu  <cwryu@debian.org>

	* configure.ac: Added "ko" to ALL_LINGUAS.

2004-08-05  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c:
	(impl_attach_window), (impl_detach_window):

	Make the extension support loading/unloading. (Yeah, this is
	pre-emtive to Epiphany's actually supporting it, but I can't be
	bothered to keep a diff until that happens.)

2004-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-08-01  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.1.2 ===

2004-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Update for 1.1.2.

	* configure.ac:

	Version 1.1.2.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:

	=== Release 1.1.1 ===

2004-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Version 1.1.1. Depend on Epiphany 1.3.1.

	* NEWS:

	Updated for 1.1.1.

2004-07-03  Adam Hooper  <adamh@cvs.gnome.org>

	* po/POTFILES.in:

	Removed popup-blocker

2004-06-30  Adam Hooper  <adamh@cvs.gnome.org>

	* README:
	* configure.ac:
	* extensions/Makefile.am:
	* extensions/popup-blocker/.cvsignore:
	* extensions/popup-blocker/Makefile.am:
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	* extensions/popup-blocker/ephy-popup-blocker-extension.h:
	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	* extensions/popup-blocker/ephy-popup-blocker-icon.h:
	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	* extensions/popup-blocker/ephy-popup-blocker-list.h:
	* extensions/popup-blocker/mozilla/.cvsignore:
	* extensions/popup-blocker/mozilla/Makefile.am:
	* extensions/popup-blocker/mozilla/PopupBlockerListener.cpp:
	* extensions/popup-blocker/mozilla/PopupBlockerListener.h:
	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:
	* extensions/popup-blocker/mozilla/mozilla-helpers.h:
	* extensions/popup-blocker/popup-blocker.c:
	* extensions/popup-blocker/popup-blocker.svg:

	Removed the popup blocker extension: it's now part of Epiphany

2004-06-24  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:

	Remove the popup-blocker extension from the build, since it's
	not ported to embed strings and we're integrating it into
	Epiphany.

2004-06-23  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/mozilla/mozilla-embed-certificate.cpp:

	Destroy our helper class on ::destroy on the embed, not on
	::finalize. Fixes a crash when closing the last window.
	Fixes bug #144850.

2004-06-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.h:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp:
	* extensions/error-viewer/mozilla/mozilla-helpers.cpp:

	Port error viewer to embed strings. Fixes bug #144237.

	* include/EphyUtils.h:
	* include/Makefile.am:

	Include EphyUtils from epiphany.

2004-06-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/toolbar-extras/Makefile.am:
	* extensions/toolbar-extras/ephy-multi-smart-action.c:
	(ephy_multi_smart_action_get_type),
	(ephy_multi_smart_action_register_type), (menu_activate_find_cb),
	(menu_case_sensitive_toggled_cb),
	(menu_clean_after_use_toggled_cb), (menu_activate_node_cb),
	(sort_bookmarks), (build_menu), (create_tool_item),
	(create_menu_item), (sync_smartbookmark_id), (sync_mode),
	(create_menu_proxy), (icon_clicked_cb), (entry_activate_cb),
	(connect_proxy), (disconnect_proxy),
	(ephy_multi_smart_action_finalize), (smart_address_notifier),
	(ephy_multi_smart_action_class_init):
	* extensions/toolbar-extras/ephy-toolbar-extras-extension.c:
	(ephy_toolbar_extras_extension_get_type),
	(ephy_toolbar_extras_extension_register_type),
	(ephy_toolbar_extras_extension_init),
	(ephy_toolbar_extras_extension_finalize), (action_request_cb),
	(impl_attach_window), (impl_detach_window),
	(ephy_toolbar_extras_extension_class_init):
	* extensions/toolbar-extras/toolbar-extras.c: (register_module):

	Cleanup, still not ready for production use.

2004-06-09  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/sgml-validator.c:
	(sgml_validator_append_internal):

	Fix C99-ism mentioned in bug #144053

2004-06-06  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/opensp/validate.cpp:

	#include <string>: fixes bug #143818

2004-06-06  Alexander Shopov <ash@contact.bg>
	* configure.ac: Added "bg" (Bulgarian) to ALL_LINGUAS

2004-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/popup-blocker/mozilla/PopupBlockerListener.cpp:
	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:
        * include/Makefile.am:
	A include/mozilla-version.h:

	Better mozilla version check macros, ported from Epiphany.
	Drop mozilla < 1.7 support.

	* include/eel-gconf-extensions.h:
	* include/egg-editable-toolbar.h:
	* include/ephy-debug.h:
	* include/ephy-favicon-cache.h:
	* include/ephy-file-helpers.h:
	* include/ephy-gui.h:
	* include/ephy-string.h:

	Sync'd with Epiphany.

2004-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sample-mozilla/mozilla/Makefile.am:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_CA.po:
	* po/en_GB.po:
	* po/es.po:
	* po/fr.po:
	* po/hr.po:
	* po/hu.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nl.po:
	* po/no.po:
	* po/pa.po:
	* po/pl.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sq.po:
	* po/sr.po:
	* po/sr@Latn.po:
	* po/sv.po:
	* po/uk.po:
	* po/wa.po:
	* po/zh_CN.po:

	=== Release 1.1.0 ===

2004-05-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Don't use AC_CONFIG_MACRO_DIR(m4). Fixes bug #143399.

2004-05-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/sample-mozilla/ephy-sample2-extension.c:
	(dom_mouse_down_cb):

	Don't consume the event.

2004-05-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix ACLOCAL flags.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Recognise mozilla 1.8a1 and 1.8a2 too.

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Change GETTEXT_PACKAGE name to epiphany-extensions-1.2

2004-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Updated for 1.1.0.

2004-05-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(sync_active_tab_cb), (impl_attach_window):

	Connect the tab_removed_cb callback to "tab-removed" signal, duh :P

2004-05-15  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix typo.

2004-05-07  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:

	Adjust a MOZILLA_SNAPSHOT check for changed snapshot levels.

2004-05-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Recognise 1.7rc* and adjust MOZILLA_SNAPSHOT levels for 1.8*.

2004-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:

	Adapt to changed mozilla API.

2004-05-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/sgml-validator.c: (convert_to_utf8):

	Fix for changed epiphany API.

2004-05-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window):

	Use EphyStatusbar to find the security frame.

2004-05-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add support for mozilla 1.8a.

2004-04-26  Adam Weinberger  <adamw@gnome.org>

	* configure.ac: Added en_CA to ALL_LINGUAS.

2004-04-25  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.c: (error_viewer_clear_cb):

	Reset column width when clearing.

	* extensions/error-viewer/sgml-validator.c: (convert_to_utf8),
	(save_source_completed_cb):

	Handle invalid encoding/charset errors gracefully.

2004-04-18  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/link-checker.c: (link_checker_unuse):
	* extensions/error-viewer/link-checker.h:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp
	:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.h:
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:
	* po/POTFILES.in:

	Reorganized code. Messages are all sane now. It's Better (tm).

2004-04-17  Artur Flinta  <aflinta@cvs.gnome.org>
	* configure.ac:
	Restored Polish translation from gnome-2-6 branch

2004-04-17  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.c: (error_viewer_use),
	(error_viewer_unuse):
	* extensions/error-viewer/link-checker.c: (link_checker_check),
	(link_checker_use), (link_checker_unuse),
	(link_checker_update_progress):
	* extensions/error-viewer/link-checker.h:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp
	:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.h:
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:

	Fix that frickin' busy cursor bug once and for all. If the observer's
	done the cursor will return to normal, regardless of its counter
	(which is still wrong sometimes). Big bug: mailto: urls open up the
	email client. Also, <area> tags will produce a g_warning.

2004-04-10  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/popup-blocker/mozilla/Makefile.am:

	Include the "string" subdir of Mozilla include path, for nsString.h

2004-04-05  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/link-checker.c:
	(link_checker_append_internal):

	Fix compilation with gcc 2.95 (patch taken from FreeBSD ports).

2004-04-05  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/dashboard-frontend-xmlwriter.c:

	Include sys/time.h (patch taken from FreeBSD ports).

2004-04-05  Yuriy Syrota  <rasta@cvs.gnome.org>

	* configure.ac: Added Ukrainian (uk) to ALL_LINGUAS

2004-04-02  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.ac: Added Walloon (wa) to ALL_LINGUAS

2004-04-01  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.ac: Added Russian to ALL_LINGUAS.

2004-03-24  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.ac: Added "it" (Italian) to ALL_LINGUAS.

2004-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(update_action), (update_all_actions), (clear_one_permission_info),
	(clear_popup_permissions), (action_activate_cb),
	(unregister_mozilla), (register_mozilla), (new_window_cb),
	(tab_added_cb), (sync_active_tab_cb), (impl_attach_window),
	(impl_detach_window):

	Replace calls to ephy_tab_get_window() which doesn't exist anymore.
	Fix a mem leak, and do some misc cleanups.

2004-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c:
	(dom_mouse_down_cb):
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(get_icon_for_window), (location_cb), (new_window_cb),
	(tab_added_cb), (tab_removed_cb), (switch_page_cb):

	Replace calls to ephy_tab_get_window() which was removed from Epiphany
	API.

2004-03-22  Wang Jian  <lark@linux.net.cn>

	* configure.ac: Added "zh_CN" to ALL_LINGUAS.

2004-03-21  Jordi Mallach  <jordi@sindominio.net>

	* configure.ac (ALL_LINGUAS): Add "ca" (Catalan).

2004-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/certificates/Makefile.am:
	* extensions/dashboard/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/gestures/Makefile.am:
	* extensions/popup-blocker/Makefile.am:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample/Makefile.am:
	* extensions/tabsmenu/Makefile.am:
	* extensions/toolbar-extras/Makefile.am:

	Use pkg-config to get the location to install the extensions into.

2004-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Version 1.1.0.
	Update Epiphany dependency to >= 1.3.0, and glib/gtk+ dependency
	to >= 2.4.0.

2004-03-20  Anders Carlsson  <andersca@gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(new_window_cb):
	Build fix.
	
2004-03-19  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(manage_certificates_cb):

	Connect to "realize" signal with g_signal_connect_after.

2004-03-17  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:

	Remove timeout completely. It just doesn't work.

2004-03-17  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(register_mozilla), (tab_added_cb):

	Don't forget about popups when moving tabs.

2004-03-17  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_remove_window):

	Notify the list's "count" when a popup is removed (i.e., closed)

2004-03-15  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(window_visible_cb), (free_blocked_popup),
	(ephy_popup_blocker_list_insert_window),
	(ephy_popup_blocker_list_show_all),
	(ephy_popup_blocker_list_hide_all):

	Connect popup windows' "notify::visible" to notify the list's "count"
	instead of only notifying on show_all and hide_all. Fixes the icon
	showing up even when windows aren't blocked. Not to mention, it's more
	logical.

2004-03-15  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(update_action_without_address):
	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:
	* extensions/popup-blocker/mozilla/mozilla-helpers.h:

	Use mozilla to find the address of a window properly. Previously we'd
	used ephy_tab_get_address which could be wrong, and we couldn't use
	ephy_embed_get_location because it's not always right.
	gtk_moz_embed_get_location is perfect.

2004-03-15  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(free_blocked_popup), (count_popups),
	(ephy_popup_blocker_list_show_all):

	Newbie that I am, I just discovered GTK_WIDGET_VISIBLE (). Replaced my
	own is_visible function with that.

2004-03-15  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/link-checker.c:
	(link_checker_update_progress):
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:

	Don't show "checking 0 links...". Fixes bug #137188

2004-03-15  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.c: (delete_window_cb),
	(build_ui):

	Make closing the dialog with the window manager's 'X' only hide it.

2004-03-15  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.c: (error_viewer_new):

	Persist position. Fixes bug #137186

2004-03-14  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(window_destroy_cb), (free_blocked_popup),
	(ephy_popup_blocker_list_insert_window):

	Connect to "destroy-event" signal, not "delete-event" --
	javascript:close() bypasses "delete-event". This just may fix bug
	#137175

2004-03-14  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_insert_window),
	(ephy_popup_blocker_list_show_all),
	(ephy_popup_blocker_list_hide_all):

	Remember popup window locations

2004-03-14  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_show_all):

	Fix infinite loop spotted by Crispin which can occur with Mozilla 1.6.

2004-03-14  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(location_cb), (action_activate_cb), (tab_added_cb),
	(tab_removed_cb):

	The infinite loop was because it was trying to open popups before
	allowing them. A good night's sleep fixed this one.

2004-03-14  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(set_action_sensitive), (location_cb), (load_status_cb),
	(tab_added_cb), (tab_removed_cb), (switch_page_cb),
	(impl_attach_window), (impl_detach_window):

	Set the menu item to insensitive while the page is loading. This is
	the easiest way to avoid a nasty Mozilla bug in which popups opened
	even voluntarily while the page is loading are blocked. I'll find a
	better solution later; for now, this fixes a serious crasher (it starts
	an infinite loop).

2004-03-13  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_show_all),
	(ephy_popup_blocker_list_hide_all):

	Emit the 'count' notify when hiding/showing popups, so the parent
	window's icon disappears and reappears as appropriate.

2004-03-13  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(update_all_actions), (action_activate_cb):
	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	* extensions/popup-blocker/ephy-popup-blocker-list.c: (is_visible),
	(window_deleted_cb), (free_blocked_popup),
	(ephy_popup_blocker_list_remove_window),
	(ephy_popup_blocker_list_insert_window), (count_popups),
	(ephy_popup_blocker_list_get_property):
	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:

	Got rid of most of my FIXMEs, and fixed a stupid bug: closed windows
	weren't being removed from their parents' lists because the
	"delete-event" function prototype I attached to its signal was wrong.

2004-03-13  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(get_icon_for_embed), (action_activate_cb), (new_window_cb):
	* extensions/popup-blocker/ephy-popup-blocker-icon.c: (update_ui):
	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_init), (ephy_popup_blocker_list_insert),
	(window_deleted_cb), (free_blocked_popup),
	(ephy_popup_blocker_list_remove_window),
	(ephy_popup_blocker_list_insert_window),
	(ephy_popup_blocker_list_reset),
	(ephy_popup_blocker_list_get_property),
	(ephy_popup_blocker_list_show_all),
	(ephy_popup_blocker_list_hide_all):
	* extensions/popup-blocker/ephy-popup-blocker-list.h:
	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:
	* extensions/popup-blocker/mozilla/mozilla-helpers.h:
	* po/POTFILES.in:

	Make 'View -> [ ] Popup Windows' behave as you'd expect (i.e., show or
	hide unrequested windows, just like the tooltip says). Also, rename
	the string "%d popups blocked" to "%d popup windows blocked" for
	consistency, and mark the file for translation. (I'd previously
	removed it by accident).

2004-03-13  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(create_statusbar_icon), (new_window_cb), (tab_added_cb),
	(tab_removed_cb), (ephy_popup_blocker_extension_iface_init):
	* extensions/popup-blocker/ephy-popup-blocker-icon.c: (create_ui),
	(ephy_popup_blocker_icon_init), (update_ui),
	(ephy_popup_blocker_icon_new), (ephy_popup_blocker_icon_finalize):
	* extensions/popup-blocker/ephy-popup-blocker-icon.h:
	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_set_property),
	(ephy_popup_blocker_list_get_property),
	(ephy_popup_blocker_list_class_init):
	* extensions/popup-blocker/ephy-popup-blocker-list.h:
	* po/POTFILES.in:

	I've concocted the PERFECT user interface for opening individual
	unrequested popup windows: none. I figure the one entry in the View
	menu will be cool enough.

2004-03-12  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(update_action), (action_activate_cb), (impl_attach_window):

	Change UI: The entry is now at the bottom of the View menu (it should
	be somewhere in the middle) and it's simply "[ ] Popup _Windows". Soon
	I'll make activating/deactivating the menu entry show/hide all the
	site's popups.

2004-03-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:
	* extensions/popup-blocker/mozilla/mozilla-helpers.h:

	Create mozilla_open_popup, which opens a popup.

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(tab_added_cb):
	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_new), (ephy_popup_blocker_list_init),
	(ephy_popup_blocker_list_open):
	* extensions/popup-blocker/ephy-popup-blocker-list.h:

	Make the EphyPopupBlockerList store its corresponding EphyEmbed and
	use that to call mozilla_open_popup.

	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	(icon_button_press_cb):

	Fix compiler warning

2004-03-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	(popup_menu_detach), (icon_button_press_cb),
	(ephy_popup_blocker_icon_init):

	Don't free the menu, numbskull!

2004-03-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	(ephy_popup_blocker_icon_finalize):

	Don't leak the GtkActionGroup and its GtkActions.

2004-03-11  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(create_statusbar_icon), (ephy_popup_blocker_extension_iface_init):
	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	(popup_menu_detach), (icon_button_press_cb), (create_ui),
	(ephy_popup_blocker_icon_init), (activate_popup_cb),
	(clear_actions), (build_menu), (update_ui),
	(ephy_popup_blocker_icon_new), (ephy_popup_blocker_icon_finalize):
	* extensions/popup-blocker/ephy-popup-blocker-icon.h:
	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_open),
	(ephy_popup_blocker_list_set_property),
	(ephy_popup_blocker_list_get_property),
	(ephy_popup_blocker_list_class_init):
	* extensions/popup-blocker/ephy-popup-blocker-list.h:
	* po/POTFILES.in:

	Incomplete and buggy work-in-progress hacking for bug #134320

2004-03-10  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.ac: Added pt_BR to ALL_LINGUAS.

2004-03-09  Adam Hooper  <adamh@cvs.gnome.org>

	* NEWS:

	Updated for 0.7.91 release.

2004-03-09  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-list.c: (popup_cmp),
	(ephy_popup_blocker_list_insert):
	* extensions/popup-blocker/mozilla/PopupBlockerListener.cpp:

	Mozilla 1.6 returns NULL URLs when they're popups with relative paths.
	Handle this; fixes bug #136608.

2004-03-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Version 0.7.91, and correct bug reports address.

2004-03-08  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(get_icon_for_embed), (location_cb),
	(ephy_popup_blocker_extension_block), (create_statusbar_icon),
	(register_mozilla), (tab_added_cb), (tab_removed_cb),
	(switch_page_cb), (impl_attach_window), (impl_detach_window):
	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	(ephy_popup_blocker_icon_register_type),
	(ephy_popup_blocker_icon_new), (create_ui),
	(ephy_popup_blocker_icon_init), (update_ui), (count_changed_cb),
	(ephy_popup_blocker_icon_finalize),
	(ephy_popup_blocker_icon_set_popups):
	* extensions/popup-blocker/ephy-popup-blocker-icon.h:
	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_reset), (ephy_popup_blocker_list_insert),
	(ephy_popup_blocker_list_set_property),
	(ephy_popup_blocker_list_get_property),
	(ephy_popup_blocker_list_class_init):
	* extensions/popup-blocker/ephy-popup-blocker-list.h:

	Make EphyPopupBlockerIcon extend GtkFrame; make the
	EphyPopupBlockerList length a property (complete with notify); and
	greatly simplify/improve refcount handling throughout. By
	coincidence (well, not really), this fixes a crasher Christian
	noticed.

2004-03-08  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/mozilla/PopupBlockerListener.cpp:

	Compile (and hopefully work) with Mozilla < 1.7a. I need confirmation,
	but this should fix bug #136512.

2004-03-07  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/Makefile.am:
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(location_cb), (ephy_popup_blocker_extension_block),
	(tab_added_cb), (tab_removed_cb), (switch_page_cb):
	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	(ephy_popup_blocker_icon_init), (update_ui),
	(ephy_popup_blocker_icon_set_popups):
	* extensions/popup-blocker/ephy-popup-blocker-icon.h:
	* extensions/popup-blocker/ephy-popup-blocker-list.c:
	(ephy_popup_blocker_list_get_type),
	(ephy_popup_blocker_list_register_type),
	(ephy_popup_blocker_list_new), (ephy_popup_blocker_list_init),
	(ephy_popup_blocker_list_length), (free_blocked_popup),
	(ephy_popup_blocker_list_reset), (popup_cmp),
	(ephy_popup_blocker_list_insert),
	(ephy_popup_blocker_list_finalize),
	(ephy_popup_blocker_list_class_init):
	* extensions/popup-blocker/ephy-popup-blocker-list.h:
	* extensions/popup-blocker/ephy-popup-blocker-popup.c:
	* extensions/popup-blocker/ephy-popup-blocker-popup.h:
	* extensions/popup-blocker/popup-blocker.c: (register_module):

	Remove old "popup" class and replace it with a "popup list" class.
	For now, the icky cruft is still mostly there; but it'll be easy to
	finish up the cleanup/rewrite when I get more time.

2004-03-07  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* NEWS:

	Updated.

	* extensions/sample-mozilla/Makefile.am:

	Make it pass make distcheck.

2004-03-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update Epiphany dependency to >= 1.1.11.

2004-03-06  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-icon.c: (create_ui):

	Remove hard-coded 16x16 and put in GTK_ICON_SIZE_MENU lookup

2004-03-06  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/popup-blocker/ephy-popup-blocker-icon.c: (create_ui):
	* extensions/popup-blocker/popup-blocker.svg:

	Get rid of whitespace in the SVG file and set the proper icon size.

2004-03-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Re-sync MOZILLA_SNAPSHOT with epiphany values for 1.7b.

2004-03-05  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:
	* extensions/popup-blocker/Makefile.am:
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(get_window_for_embed), (get_icon_for_embed), (location_cb),
	(ephy_popup_blocker_extension_block), (create_statusbar_icon),
	(unregister_mozilla), (register_mozilla), (tab_added_cb),
	(tab_removed_cb), (switch_page_cb), (impl_attach_window),
	(impl_detach_window):
	* extensions/popup-blocker/ephy-popup-blocker-extension.h:
	* extensions/popup-blocker/ephy-popup-blocker-icon.c:
	(ephy_popup_blocker_icon_get_type),
	(ephy_popup_blocker_icon_register_type),
	(ephy_popup_blocker_icon_new), (create_ui),
	(ephy_popup_blocker_icon_init), (ephy_popup_blocker_icon_finalize),
	(ephy_popup_blocker_icon_class_init), (update_ui),
	(ephy_popup_blocker_icon_set_popups):
	* extensions/popup-blocker/ephy-popup-blocker-icon.h:
	* extensions/popup-blocker/ephy-popup-blocker-popup.c:
	(ephy_popup_blocker_popup_get_type),
	(ephy_popup_blocker_popup_register_type),
	(ephy_popup_blocker_popup_new), (ephy_popup_blocker_popup_get_url),
	(ephy_popup_blocker_popup_get_features),
	(ephy_popup_blocker_popup_init),
	(ephy_popup_blocker_popup_finalize),
	(ephy_popup_blocker_popup_class_init):
	* extensions/popup-blocker/ephy-popup-blocker-popup.h:
	* extensions/popup-blocker/mozilla/Makefile.am:
	* extensions/popup-blocker/mozilla/PopupBlockerListener.cpp:
	* extensions/popup-blocker/mozilla/PopupBlockerListener.h:
	* extensions/popup-blocker/mozilla/mozilla-helpers.cpp:
	* extensions/popup-blocker/mozilla/mozilla-helpers.h:
	* extensions/popup-blocker/popup-blocker.c: (register_module):
	* extensions/popup-blocker/popup-blocker.svg:

	Make the "popup blocked" notification into an icon, with a tooltip.  It
	stores the data necessary to open the window, but there's no UI to do
	that just yet.

2004-03-04  Kostas Papadimas <pkst@gnome.org>

        * configure.ac: Added "el" (Greek) to ALL_LINGUAS.

2004-03-04  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.ac: Added "pa" to ALL_LINGUAS.

2004-02-29  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:
	* po/POTFILES.in:

	Print a message to the error viewer when starting link checking. Still
	needs a progress bar, but I'm too lazy to code one.

	Also, assume un-manageable links are valid. This fixes problems with
	hrefs which don't point to http:// urls; I *assume* that my Link
	Checker was never ending on sites with mailto: links or something
	strange like that. It seems to be at least marginally stable at this
	point.

2004-02-28  Andras Timar  <timar@gnome.hu>

	* configure.ac: Added "hu" to ALL_LINGUAS.

2004-02-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Depend on gtk+ >= 2.3.4.

2004-02-24  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:

	Use the right function to free the strings.
	Remove NS_INIT_ISUPPORTS(), it's unneeded since mozilla 1.3.

2004-02-24  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/link-checker.c:
	(link_checker_update_progress):
	* extensions/error-viewer/sgml-validator.c: (opensp_thread),
	(check_doctype):

	Split some strings do reduce duplication in ngettext()ified strings.

2004-02-24  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(tab_added_cb), (tab_removed_cb):
	* extensions/dashboard/ephy-dashboard-extension.c: (tab_added_cb),
	(tab_removed_cb):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(tab_added_cb), (tab_removed_cb):
	* extensions/gestures/ephy-gestures-extension.c: (tab_added_cb),
	(tab_removed_cb):
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(tab_added_cb), (tab_removed_cb):
	* extensions/sample-mozilla/ephy-sample2-extension.c:
	(tab_added_cb), (tab_removed_cb):
	* extensions/tabsmenu/ephy-tab-move-menu.c: (move_cb),
	(ephy_tab_move_menu_set_window):
	* extensions/tabsmenu/ephy-tabs-menu-extension.c:

	Adapt to changed epiphany API wrt. EphyTab/EphyEmbed.

	* doc/writing-epiphany-extensions.xml:

 	Change the tutorial accordingly.
 
2004-02-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/link-checker.c:
	(link_checker_update_progress):
	* extensions/error-viewer/link-checker.h:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp
	:
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:
	* po/POTFILES.in:

	Display an "operation complete" message even when a page has 0 links.

2004-02-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp

	Got rid of a big line full of whitespace

	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:

	Set a timeout on link checking. If you can't get it in 15 seconds,
	it's not worth getting. This is temporary... I hope....

2004-02-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:

	Don't keep an hourglass cursor forever on a page without links.

2004-02-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(ephy_error_viewer_extension_init),
	(ephy_error_viewer_extension_finalize),
	(ephy_error_viewer_extension_check_links), (update_actions),
	(load_status_cb), (switch_page_cb), (impl_attach_window):
	* extensions/error-viewer/link-checker.c: (link_checker_get_type),
	(link_checker_register_type), (free_link_checker_append_cb_data),
	(link_checker_append_internal), (link_checker_append),
	(link_checker_new), (link_checker_class_init),
	(link_checker_class_finalize), (link_checker_init),
	(link_checker_finalize), (link_checker_check),
	(link_checker_update_progress):
	* extensions/error-viewer/link-checker.h:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.cpp
	:
	* extensions/error-viewer/mozilla/ErrorViewerURICheckerObserver.h:
	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/error-viewer/mozilla/mozilla-link-checker.cpp:
	* extensions/error-viewer/mozilla/mozilla-link-checker.h:
	* extensions/error-viewer/extension.c: (register_module):

	- Added a Link Checker. It doesn't give enough feedback, but it does
	  work quite well.
	- Changed "_Validate" to "Check _HTML" to conform with "Check _Links"

	* extensions/error-viewer/error-viewer.c: (error_viewer_init),
	(update_cursor), (error_viewer_use), (error_viewer_unuse):

	Keep a counter of how many "actions" are running (i.e., an SGML
	validation thread). When it's more than 0, display an hourglass.

	* extensions/error-viewer/mozilla/get-doctype.cpp:
	* extensions/error-viewer/mozilla/get-doctype.h:
	* extensions/error-viewer/mozilla/mozilla-helpers.cpp:
	* extensions/error-viewer/mozilla/mozilla-helpers.h:

	Renamed files.

	* extensions/error-viewer/mozilla/register-listener.cpp:

	Comment about possible leak.

	* extensions/error-viewer/sgml-validator.c:
	(sgml_validator_register_type), (sgml_validator_class_init),
	(sgml_validator_init), (sgml_validator_finalize), (opensp_thread),
	(sgml_validator_validate):

	- Put in some LOG statements
	- Display a busy cursor while validating

	* po/POTFILES.in:

	Mark file for translation.

2004-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Depend on epiphany >= 1.1.10.

2004-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(ephy_certificates_extension_finalize),
	(cert_manager_visibility_cb), (manage_certificates_cb),
	(view_certificate_cb), (impl_attach_window):

	Since we don't have a native cert manager for 1.2, add a menu
	item to open the XUL cert manager from the tools menu.

2004-02-17  Christian Persch  <chpe@cvs.gnome.org>

	* doc/writing-epiphany-extensions.xml:
	* extensions/certificates/ephy-certificates-extension.c:
	(ephy_certificates_extension_iface_init):
	* extensions/dashboard/ephy-dashboard-extension.c:
	(ephy_dashboard_extension_iface_init):
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(ephy_error_viewer_extension_iface_init):
	* extensions/gestures/ephy-gestures-extension.c:
	(ephy_gestures_extension_iface_init):
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(ephy_popup_blocker_extension_iface_init):
	* extensions/sample-mozilla/ephy-sample2-extension.c:
	(ephy_sample2_extension_iface_init):
	* extensions/sample/ephy-sample-extension.c:
	(ephy_sample_extension_iface_init):
	* extensions/tabsmenu/ephy-tabs-menu-extension.c:
	(ephy_tabs_menu_extension_iface_init):
	* extensions/toolbar-extras/ephy-toolbar-extras-extension.c:
	(ephy_toolbar_extras_extension_iface_init):

	s/EphyExtensionClass/EphyExtensionIface/g

2004-02-16  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.h:
	* extensions/error-viewer/mozilla/register-listener.cpp:

	- Don't label non-Javascript errors as "Javascript". Fixes bug #134438
	- Rename member variable "dialog" to "mDialog"

2004-02-17  Laurent Dhima  <laurenti@alblinux.net>

	* configure.ac: Added "sq" to ALL_LINGUAS.

2004-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Bump epiphany dependency to version 1.1.8.

2004-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Misc changes.
	Change epiphany-1.0 dependency to epiphany-1.2.

2004-02-01  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.ac: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-01  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.c:

	Upped message limit to 400 messages.

	* extensions/error-viewer/opensp/validate.cpp:

	Fixed regex to work with "<URL>"'s from OpenSP.
	Name member variables differently from function arguments.

	* extensions/error-viewer/sgml-validator.c: (check_doctype):

	Suggest "application/xhtml+xml" instead of just complaining

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/certificates/Makefile.am:
	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/error-viewer/opensp/Makefile.am:

	Make ist pass make distcheck.

2004-02-01  Žygimantas Beručka  <uid0@tuxfamily.org>

	* configure.ac: Added "lt" to ALL_LINGUAS.

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(impl_attach_window):

	Remove debug output.

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(update_tab_move_menu_cb):

	Fix a silly bug, NULL terminate the argument list of
	g_object_set().

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(update_tab_move_menu_cb):

	Set the menu insensitive when there's only one window.

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/ephy-certificates-extension.c:
	(padlock_button_press_cb), (impl_attach_window):

	Make the padlock icon clickable in addition to having this available
	from the View menu.

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/certificates/mozilla/MozillaEmbedCertificate.cpp:

	Remove debug output.

2004-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/certificates/.cvsignore:
	* extensions/certificates/Makefile.am:
	* extensions/certificates/ephy-certificates-extension.c:
	(ephy_certificates_extension_get_type),
	(ephy_certificates_extension_register_type),
	(ephy_certificates_extension_init),
	(ephy_certificates_extension_finalize),
	(ephy_certificates_extension_view_certificate_cb),
	(sync_security_status), (tab_added_cb), (tab_removed_cb),
	(switch_page_cb), (impl_attach_window), (impl_detach_window),
	(ephy_certificates_extension_iface_init),
	(ephy_certificates_extension_class_init):
	* extensions/certificates/ephy-certificates-extension.h:
	* extensions/certificates/extension.c: (register_module):
	* extensions/certificates/mozilla/.cvsignore:
	* extensions/certificates/mozilla/Makefile.am:
	* extensions/certificates/mozilla/MozillaEmbedCertificate.cpp:
	* extensions/certificates/mozilla/MozillaEmbedCertificate.h:
	* extensions/certificates/mozilla/mozilla-embed-certificate.cpp:
	* extensions/certificates/mozilla/mozilla-embed-certificate.h:

	New extension: add a menu item for showing the server certificate
	on secure connections.

2004-01-31  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(switch_page_cb):

	impl_attach_window attaches "window" as the callback data, but
	switch_page_cb expected "extension" and got the window in a roundabout
	way. Fixed.

2004-01-31  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/opensp/validate.cpp:

	Use a char[7] instead of a char *

2004-01-31  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/opensp/validate.cpp:

	toString() returns utf-8 now, like it should.

	* extensions/error-viewer/sgml-validator.c:
	(sgml_validator_register_type), (opensp_thread), (check_doctype),
	(convert_to_utf8), (save_source_completed_cb),
	(sgml_validator_validate):

	Re-encode the document to UTF-8 and set OpenSP to use UTF-8 through
	its environment variables. This should make all encodings work.

2004-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Up gtk+ dependency to 2.3.2, and epiphany dependency to 1.1.5.

2004-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(update_sgml_validator_action):

	Fix a potential mem leak.

2004-01-31  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(update_sgml_validator_action):

	Add application/xml and text/xml content types.

	* extensions/error-viewer/sgml-validator.c:
	(save_source_completed_cb):

	Turn "xhtml + text/html" error into a warning if it's XHTML 1.0.

2004-01-31  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:

	Cleaned up README. It's concise and legible now.

2004-01-30  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(update_sgml_validator_action), (load_status_cb), (switch_page_cb),
	(tab_added_cb), (tab_removed_cb), (impl_attach_window),
	(impl_detach_window):

	Make the SGML Validation sensitive only when it should be.

	* extensions/error-viewer/error-viewer.c: (build_ui):

	Give the window an icon.

2004-01-30  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:
	* extensions/error-viewer/sgml-validator.c: (opensp_thread),
	(save_source_completed_cb):

	Add one to the error count when there's a doctype/mimetype mismatch.

2004-01-30  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:
	* extensions/error-viewer/error-viewer.c: (error_viewer_append):
	* extensions/error-viewer/opensp/validate.cpp:
	* extensions/error-viewer/opensp/validate.h:
	* extensions/error-viewer/sgml-validator.c: (opensp_thread),
	(save_source_completed_cb), (free_sgml_validator_append_cb_data),
	(sgml_validator_append_internal), (sgml_validator_append):
	* extensions/error-viewer/sgml-validator.h:

	Fixed use of threads. Error viewer is now very fast, and it's got its
	150-entry limit back.

2004-01-30  Ole Laursen  <olau@hardworking.dk>

	* configure.ac: Added "da" (Danish) to ALL_LINGUAS.

2004-01-30  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(free_error_viewer_cb_data):

	GTK Bug #132447 was fixed, so free our callback data here.

	* extensions/error-viewer/README:
	* extensions/error-viewer/opensp/validate.cpp:

	Fixed my 200-character-limit bug.

2004-01-29  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:

	Fix mem leak.

2004-01-27  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	* extensions/error-viewer/error-viewer.c: (error_viewer_append),
	(build_ui):
	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/error-viewer/mozilla/get-doctype.cpp:
	* extensions/error-viewer/mozilla/get-doctype.h:
	* extensions/error-viewer/mozilla/register-listener.h:
	* extensions/error-viewer/opensp/validate.cpp:
	* extensions/error-viewer/opensp/validate.h:
	* extensions/error-viewer/sgml-validator.c: (opensp_thread),
	(save_source_completed_cb):

	Numerous bugfixes, enhancements, and regressions :P

	Bugfixes:
	- Crop all strings from OpenSP at 200 characters. This is, of course,
	  temporary.

	Enhancements:
	- Find the doctype from Mozilla, so OpenSP knows whether it should
	  do XML checking or not. Also, show an error when XHTML is served
	  as "text/html"
	- Don't bother validating a document with no doctype
	- Changed "Errors" to "_Error Viewer"
	- Make Error Viewer text selectable (there's a catch: Gtk bug #132686)

	Regressions:
	- Removed MAX_NUM_ROWS from error viewer because I couldn't figure out
	  why its usage wasn't thread safe (but Epiphany acted weird)
	- Error viewer doesn't scroll to the bottom on new messages (though
	  I'm not so sure I was a big fan of that behavior anyway)

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:

	Change shortcut key

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(add_action_and_menu_item):

	Check if the window is an EphyWindow (it could also be the bme or
	the history window).

2004-01-25  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:
	* extensions/error-viewer/error-viewer.c:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/opensp/validate.cpp:
	* po/POTFILES.in:

	- Parse OpenSP's error messages to make output pretty. It displays
	  the wrong filename though.

	- Use messages "Javascript error" and "HTML error"

	- Display HTML error count when validation is finished (particularly
	  important when there are 0 errors)

	- Bump up max error count to 150 (some pages have lots of problems)

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/tabsmenu/ephy-tab-move-menu.c:
	(add_action_and_menu_item):

	Double underscores in titles, otherwise the menu will
	display them as mnemonics.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* include/ephy-file-helpers.h:
	* include/ephy-string.h:

	Update from Epiphany.

2004-01-25  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/sgml-validator.c:
	(sgml_validator_validate):
	* extensions/error-viewer/sgml-validator.h:

	Indentation fixes. Updated to changed epiphany API.

	* include/ephy-file-helpers.h:

	Update from Epiphany.

2004-01-25  Adam Hooper  <adamh@cvs.gnome.org>

	* include/ephy-file-helpers.h:

	Update to newer version from Ephy CVS for a teeny bugfix.

	* README:
	* configure.ac:
	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/README:
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(ephy_error_viewer_extension_init),
	(ephy_error_viewer_extension_finalize),
	(ephy_error_viewer_extension_validate),
	(ephy_error_viewer_extension_show_viewer),
	(free_error_viewer_cb_data), (impl_attach_window):
	* extensions/error-viewer/extension.c: (register_module):
	* extensions/error-viewer/opensp/Makefile.am:
	* extensions/error-viewer/opensp/validate.cpp:
	* extensions/error-viewer/opensp/validate.h:
	* extensions/error-viewer/sgml-validator.c:
	(sgml_validator_get_type), (sgml_validator_register_type),
	(sgml_validator_new), (sgml_validator_class_init),
	(sgml_validator_init), (sgml_validator_finalize),
	(save_source_completed_cb), (sgml_validator_validate):
	* extensions/error-viewer/sgml-validator.h:

	Who says Epiphany has no features? I've just coded one that NOBODY else
	has: local, functional, fast, GOOD HTML validation!

	It's rough around the edges, but it DOES validate HTML and it IS
	damned cool. And as far as I know, it's the first of its kind. Which
	makes me kind of proud.

	There's a memory leak when every window closes, pending GTK bug
	#132447.

2004-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(ephy_error_viewer_extension_get_type),
	(ephy_error_viewer_extension_register_type),
	(ephy_error_viewer_extension_finalize),
	(ephy_error_viewer_extension_class_init):

	Minor global variable renaming.

	* extensions/error-viewer/error-viewer.c: (error_viewer_get_type),
	(error_viewer_register_type), (error_viewer_append),
	(error_viewer_init), (error_viewer_clear_cb):
	* extensions/error-viewer/error-viewer.h:
	* extensions/error-viewer/extension.c: (register_module):

	Split error_viewer_get_type into the get_type part, and the
	made the register part register using g_type_module_register_type(),
	not g_type_register_static().

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:

	Include config.h, otherwise the translation won't work.

2004-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* autogen.sh:

	Don't call gnome-autogen.sh with full path.

2004-01-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:
	* extensions/error-viewer/error-viewer.c: (error_viewer_append),
	(build_ui):

	Make it a queue: the first message will be deleted whenever the
	51st is added (#define MAX_NUM_ROWS). No more "memory leak". 

	Put spacing around the error icons, and make them bigger.

	Auto-scroll to the last-added error.

	* extensions/error-viewer/error-viewer.glade:

	Spacing fixes, and make Close the default action

	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:

	Give source file and line, making error messages 2 lines now (which
	looks way better). Also, actually calculate whether it's error or
	warning or info instead of just making everything an error.

2004-01-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(ephy_error_viewer_extension_init),
	(ephy_error_viewer_extension_finalize), (impl_attach_window):

	Initialize Mozilla ourselves with ephy_embed_shell_get_embed_single ()
	- that saves us from the evil hack I used before.

2004-01-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/README:

	Add a few suggestions from spark on IRC

	* extensions/error-viewer/error-viewer.glade:

	Fix spacing between buttons

2004-01-22  Adam Hooper  <adamh@cvs.gnome.org>

	* extensions/error-viewer/error-viewer.glade:

	Don't show the error viewer on Ephy startup

2004-01-22  Adam Hooper  <adamh@cvs.gnome.org>

	* MAINTAINERS:
	* README:
	* autogen.sh:
	* configure.ac:
	* extensions/Makefile.am:
	* extensions/error-viewer/.cvsignore:
	* extensions/error-viewer/Makefile.am:
	* extensions/error-viewer/README:
	* extensions/error-viewer/ephy-error-viewer-extension.c:
	(ephy_error_viewer_extension_get_type),
	(ephy_error_viewer_extension_register_type),
	(ephy_error_viewer_extension_init),
	(ephy_error_viewer_extension_finalize),
	(ephy_error_viewer_extension_class_init),
	(ephy_error_viewer_extension_show_viewer), (impl_attach_window),
	(impl_detach_window), (ephy_error_viewer_extension_iface_init):
	* extensions/error-viewer/ephy-error-viewer-extension.h:
	* extensions/error-viewer/error-viewer.c: (error_viewer_get_type),
	(error_viewer_new), (error_viewer_class_init),
	(error_viewer_append), (build_ui), (error_viewer_init),
	(error_viewer_finalize), (error_viewer_clear_cb),
	(error_viewer_close_cb):
	* extensions/error-viewer/error-viewer.glade:
	* extensions/error-viewer/error-viewer.h:
	* extensions/error-viewer/extension.c: (register_module):
	* extensions/error-viewer/mozilla/.cvsignore:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.cpp:
	* extensions/error-viewer/mozilla/ErrorViewerConsoleListener.h:
	* extensions/error-viewer/mozilla/Makefile.am:
	* extensions/error-viewer/mozilla/register-listener.cpp:
	* extensions/error-viewer/mozilla/register-listener.h:
	* po/POTFILES.in:

	New Error Viewer extension. Will eventually be merged into the
	much-needed Web Devel extension, whenever I find time to code it.

	TODO: The extension never stops listening and it doesn't automatically
	clear old GtkTreeView entries. So it's kind of like a memory leak.
	Gotta fix that.

2004-01-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.ac: Added "no" to ALL_LINGUAS.

2004-01-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Always check for mozilla.

2004-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gesture.c: (ephy_gesture_class_init):
	* extensions/gestures/ephy-gesture.h:

	Adapt to changed epiphany API.

2004-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/sample-mozilla/.cvsignore:
	* extensions/sample-mozilla/Makefile.am:
	* extensions/sample-mozilla/ephy-sample2-extension.c:
	(ephy_sample2_extension_get_type),
	(ephy_sample2_extension_register_type),
	(ephy_sample2_extension_init), (ephy_sample2_extension_finalize),
	(dom_mouse_down_cb), (tab_added_cb), (tab_removed_cb),
	(impl_attach_window), (impl_detach_window),
	(ephy_sample2_extension_iface_init),
	(ephy_sample2_extension_class_init):
	* extensions/sample-mozilla/ephy-sample2-extension.h:
	* extensions/sample-mozilla/mozilla/.cvsignore:
	* extensions/sample-mozilla/mozilla/mozilla-sample.cpp:
	* extensions/sample-mozilla/mozilla/mozilla-sample.h:
	* extensions/sample-mozilla/sample-mozilla.c: (register_module):

	A sample extension which uses mozilla apis.

2004-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/dashboard-frontend-xmlwriter.c:
	* extensions/dashboard/dashboard-frontend-xmlwriter.h:

	Use the license text from dashboard/COPYING for the
	dashboard-frontend.

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard:

	The dashboard-frontend code is under MIT X11 license.

2004-01-14  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/writing-epiphany-extensions.xml:

	Changed Savannah links to point to gnome.org

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/Makefile.am:
	* extensions/dashboard/dashboard-frontend-xmlwriter.c:
	(dashboard_connect_with_timeout), (NewTextWriterDashboard),
	(FreeTextWriterDashboard), (DashboardSendClue),
	(DashboardSendCluePacket):
	* extensions/dashboard/dashboard-frontend-xmlwriter.h:

	Better dashboard frontend.

	* extensions/dashboard/ephy-dashboard-extension.c:
	(load_status_cb), (tab_added_cb), (tab_removed_cb),
	(impl_attach_window), (impl_detach_window):

	Use the new frontend.
	General code cleanup & bugfix.

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/ephy-dashboard-extension.c:
	(load_status_cb):

	Fix code style.
	Fix a huge mem leak.

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/ephy-dashboard-extension.c:
	(impl_detach_window):

	Don't disconnect from non-existing signals.

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/dashboard/ephy-dashboard-extension.c:
	(ephy_dashboard_extension_get_type),
	(ephy_dashboard_extension_register_type), (load_status_cb),
	(tab_added_cb), (tab_removed_cb), (impl_attach_window),
	(impl_detach_window), (ephy_dashboard_extension_init),
	(ephy_dashboard_extension_class_init):
	* extensions/dashboard/ephy-dashboard-extension.h:
	* extensions/dashboard/ephy-dashboard.c:

	Misc cleanups.

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Added "nl" to ALL_LINGUAS.

2004-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/dashboard/.cvsignore:
	* extensions/dashboard/Makefile.am:
	* extensions/dashboard/dashboard-frontend.c:
	(dashboard_connect_with_timeout), (cluepacket_write_cb),
	(dashboard_send_raw_cluepacket),
	(dashboard_send_raw_cluepacket_sync), (lame_xml_quote),
	(dashboard_xml_quote), (dashboard_build_clue),
	(dashboard_build_cluepacket_from_cluelist),
	(dashboard_build_cluepacket_v), (dashboard_build_cluepacket),
	(dashboard_build_cluepacket_then_free_clues):
	* extensions/dashboard/ephy-dashboard-extension.c:
	(ephy_dashboard_extension_get_type),
	(ephy_dashboard_extension_register_type),
	(ephy_dashboard_extension_init),
	(ephy_dashboard_extension_finalize),
	(ephy_dashboard_extension_set_property),
	(ephy_dashboard_extension_get_property),
	(ephy_dashboard_extension_class_init), (load_status_cb),
	(tab_added_cb), (tab_removed_cb), (impl_attach_window),
	(impl_detach_window), (ephy_dashboard_extension_iface_init):
	* extensions/dashboard/ephy-dashboard-extension.h:
	* extensions/dashboard/ephy-dashboard.c: (register_module):

	Add dashboard extension, from Lee Willis <lee@leewillis.co.uk>.

2004-01-13  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/writing-epiphany-extensions.xml:

	s/Firdbird/Firebird/

2004-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* configure.ac:

	Sigh, yet another intltool change. Remove OrigTree.pm from EXTRA_DIST,
	and depend on intltool >= 0.29.

2004-01-05  Marcel Telka  <marcel@telka.sk>

	* configure.ac (ALL_LINGUAS): Added sk.

2004-01-04  Miloslav Trmac  <mitr@volny.cz>

	* configure.ac: Added Czech (cs) to ALL_LINGUAS.

2004-01-03  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.ac: Added spanish (es) to ALL_LINGUAS

2004-01-03  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/writing-epiphany-extensions.xml:

	Follow API change like Christian.

2004-01-03  Adam Hooper  <adamh@cvs.gnome.org>

	* AUTHORS:
	* MAINTAINERS:

	I've got a sweet new email alias. Also, mention popup blocker in
	MAINTAINERS.

	* doc/writing-epiphany-extensions.xml:

	Some very minor grammatical clarifications.

2004-01-03  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2004-01-02  Christian Persch  <chpe@cvs.gnome.org>

	* README:

	The tabs menu extension now works without a patch to epiphany,
	so removed mention of the patch.

2004-01-02  Danilo Šegan  <dsegan@gmx.net>

	* configure.ac: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2004-01-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c: (tab_added_cb),
	(tab_removed_cb):
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(tab_added_cb), (tab_removed_cb):

	Make it compile from the last change.

2004-01-02  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c:
	(dom_mouse_down_cb), (tab_added_cb), (tab_removed_cb):
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(tab_added_cb), (tab_removed_cb):

	Adapt to epiphany API change.

2004-01-02  Christian Persch  <chpe@cvs.gnome.org>

	Merge outstanding cvs updates from savannah.

2004-01-02  Christian Rose  <menthos@menthos.com>

	* configure.ac: Added "sv" to ALL_LINGUAS.

2004-01-02  Adam Hooper  <adamh@densi.com>

	* doc/writing-epiphany-extensions.xml:

	s/return type/return foo_extension_type: same compile error as I fixed
	earlier today in the sample extension.

	* extensions/popup-blocker/.cvsignore:

	Added .cvsignore

2004-01-01  Adam Hooper  <adamh@densi.com>

	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	(update_action), (update_all_actions):

	Patch by Lee Willis: move LOG ()'s after variable declarations.

2004-01-01  Adam Hooper  <adamh@densi.com>

	* doc/writing-epiphany-extensions.xml:

	<chpe> tab_added_cb (GtkWidget *notebook, GtkWidget *child,
	EphyFooExtension *extension)
	<chpe> you could simply say "EphyEmbed *embed" instead of "GtkWidget
	*child"

2004-01-01  Adam Hooper  <adamh@densi.com>

	* doc/writing-epiphany-extensions.xml:

	Fix typo: remove a const which gave a compile warning (and would break any
	extension using get_property).

2004-01-01  Adam Hooper  <adamh@densi.com>

	* extensions/sample/ephy-sample-extension.c:
	(ephy_sample_extension_register_type):

	Fixed typo which prevented it from compiling.

2004-01-01  Adam Hooper  <adamh@densi.com>

	* doc/writing-epiphany-extensions.xml:

	attach_window and detach_window argument names inconsistency fixed.

2004-01-01  Adam Hooper  <adamh@densi.com>

	* doc/writing-epiphany-extensions.xml:

	Revised according to chpe's and lwillis's suggestions on IRC.
	Basically, typo fixes and a new translations section.

	* extensions/popup-blocker/Makefile.am:
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	* extensions/popup-blocker/popup-blocker.c: (register_module):

	Now that I understand translation, I've fixed it here.

2004-01-01  Adam Hooper  <adamh@densi.com>

	* doc/writing-epiphany-extensions.xml:

	Added a "Writing Epiphany Extensions" HOWTO. It's not perfect (I don't
	think).

2003-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* include/Makefile.am:

	Added files to EXTRA_DIST.

2003-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* extensions/gestures/ephy-gestures-extension.c: (load_gestures),
	(ephy_gestures_extension_init), (ephy_gestures_extension_finalize):

	Load gestures definitions from both system directory and the user's
	profile.

2003-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	* extensions/Makefile.am:
	* po/POTFILES.in:
	* po/de.po:
	* po/en_GB.po:
	* po/fr.po:
	* po/ja.po:

	Release 0.6.

2003-12-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Set epiphany version dependency to 1.1.2.

2003-12-27  Adam Hooper <adamh@densi.com>

	* include/Makefile.am:

	Added eel-gconf-extensions.h to EXTRA_DIST

	* README:
	* configure.ac:
	* po/POTFILES.in:
	* extensions/Makefile.am:
	* extensions/popup-blocker/.cvsignore:
	* extensions/popup-blocker/Makefile.am
	* extensions/popup-blocker/ephy-popup-blocker-extension.c:
	* extensions/popup-blocker/ephy-popup-blocker-extension.h:
	* extensions/popup-blocker/popup-blocker.c:

	Added popup blocker extension. MAY NOT WORK -- I edited over a 56k
	modem and while it compiles, I can't test it.

2003-12-26  Christian Persch  <chpe@cvs.gnome.org>

	* po/POTFILES.in:
	* po/POTFILES.skip:

	Updated.

2003-12-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:
	* extensions/toolbar-extras/.cvsignore:
	* extensions/toolbar-extras/Makefile.am:
	* extensions/toolbar-extras/ephy-multi-smart-action.c:
	(ephy_multi_smart_action_get_type),
	(ephy_multi_smart_action_register_type), (menu_activate_find_cb),
	(menu_case_sensitive_toggled_cb),
	(menu_clean_after_use_toggled_cb), (menu_activate_node_cb),
	(sort_bookmarks), (build_menu), (create_tool_item),
	(create_menu_item), (sync_smartbookmark_id), (sync_mode),
	(create_menu_proxy), (menu_deactivate_cb), (button_toggled_cb),
	(button_pressed_cb), (entry_activate_cb), (connect_proxy),
	(disconnect_proxy), (smartbookmarks_child_changed_cb),
	(smartbookmarks_child_removed_cb), (ephy_multi_smart_action_init),
	(ephy_multi_smart_action_finalize),
	(ephy_multi_smart_action_set_mode),
	(ephy_multi_smart_action_set_id), (smart_address_notifier),
	(mode_notifier), (clean_after_use_notifier),
	(case_sensitive_notifier), (ephy_multi_smart_action_set_window),
	(ephy_multi_smart_action_set_property),
	(ephy_multi_smart_action_get_property),
	(ephy_multi_smart_action_class_init):
	* extensions/toolbar-extras/ephy-multi-smart-action.h:
	* extensions/toolbar-extras/ephy-toolbar-extras-extension.c:
	(ephy_toolbar_extras_extension_get_type),
	(ephy_toolbar_extras_extension_register_type),
	(ephy_toolbar_extras_extension_init),
	(ephy_toolbar_extras_extension_finalize), (find_name),
	(find_action_group), (action_request_cb), (impl_attach_window),
	(impl_detach_window), (ephy_toolbar_extras_extension_set_property),
	(ephy_toolbar_extras_extension_get_property),
	(ephy_toolbar_extras_extension_iface_init),
	(ephy_toolbar_extras_extension_class_init):
	* extensions/toolbar-extras/ephy-toolbar-extras-extension.h:
	* extensions/toolbar-extras/toolbar-extras.c: (register_module):

	New toolbar-extras extension. DOES NOT WORK YET -- needs modifications to
	epiphany.

2003-12-25  Christian Persch  <chpe@cvs.gnome.org>

	* include/ephy-favicon-cache.h:
	* include/ephy-gui.h:

	Added.

	* include/ephy-string.h:

	Synchronised with epiphany.

2003-12-25  Christian Persch  <chpe@cvs.ngome.org>

	* include/egg-toolbars-model.h:

	Added.

2003-12-25  Christian Persch  <chpe@cvs.gnome.org>

	* include/egg-editable-toolbar.h:

	Added.

2003-12-25  Christian Persch  <chpe@cvs.gnome.org>

	* include/eel-gconf-extensions.h:

	Added.

2003-12-24  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* extensions/Makefile.am:

	Enable tabsmenu extension again.

	* extensions/tabsmenu/Makefile.am:
	* extensions/tabsmenu/ephy-tabs-menu-extension.c:
	(ephy_tabs_menu_extension_get_type),
	(ephy_tabs_menu_extension_register_type), (impl_attach_window),
	(impl_detach_window), (ephy_tabs_menu_extension_init),
	(ephy_tabs_menu_extension_finalize),
	(ephy_tabs_menu_extension_class_init):
	* extensions/tabsmenu/ephy-tabs-menu-extension.h:
	* extensions/tabsmenu/ephy-window-action.c:
	* extensions/tabsmenu/ephy-window-action.h:
	* extensions/tabsmenu/tabs-menu.c: (register_module):

	"Move Tab To Window" tabs menu extension completely rewritten.

2003-12-23  Christian Persch  <chpe@cvs.gnome.org>

	* Verified the integrity of the code.

2003-12-23  Christian Persch  <chpe@cvs.gnome.org>

	Test commit.

2003-11-20  Adam Hooper  <adamh@densi.com>
	extensions/gestures/ephy-gestures-extension.c (gesture_performed_cb):
    chpe filed a bug against GTK regarding my previous change; since it was
	fixed in GTK, the fix is no longer needed here.

2003-11-16  Adam Hooper  <adamh@densi.com>
	extensions/gestures/ephy-gestures-extension.c (gesture_performed_cb):
	Don't activate an action if it isn't sensitive.

2003-11-10  Christian Persch  <chpe@cvs.gnome.org>

	Reorganised for import into GNOME CVS.
	Ported to new epiphany extensions API.
